============ Version 0.12.0

2009-03-19  Jonathan Matthew  <jonathan@d14n.org>

	* NEWS:
	* configure.ac:
	Release 0.12.0.

2009-03-18  Jonathan Matthew  <jonathan@d14n.org>

	* backends/gstreamer/rb-player-gst-xfade.c:
	(link_and_unblock_stream), (unlink_blocked_cb),
	(unlink_and_block_stream), (rb_player_gst_xfade_bus_cb):
	Add a flag to detect repeated pad block callback invocations, rather
	than relying on the presence of a pad.  Sometimes we relink the stream
	in the pad block callback, so the next time through we'd unlink it
	again.  Fixes occasional crashes when playing audio CDs.

2009-03-18  Jonathan Matthew  <jonathan@d14n.org>

	* configure.ac:
	I really hope this is the last prerelease.

2009-03-18  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/rb/Loader.py:
	Fix a bunch of other stupid mistakes - typos, parameter ordering,
	passing callback arguments.

2009-03-18  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/rb/Loader.py:
	Rename the 'cancel' member to '_cancel' and add cancel methods as
	required, so cancelling loader operations might actually work.

2009-03-18  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/jamendo/jamendo/JamendoSource.py:
	Store the sax parser as an attribute on the source object rather than
	passing it around as callback userdata.  Avoids a pygobject crash.

2009-03-18  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/jamendo/jamendo/JamendoSource.py:
	* plugins/magnatune/magnatune/MagnatuneSource.py:
	Handle old directories not existing, create new ones as required.

2009-03-17  Jonathan Matthew  <jonathan@d14n.org>

	* configure.ac:
	One more prerelease.

2009-03-17  Jonathan Matthew  <jonathan@d14n.org>

	* configure.ac:
	* plugins/audiocd/Makefile.am:
	* plugins/audiocd/rb-audiocd-source.c: (rb_audiocd_load_metadata),
	(rb_audiocd_load_metadata_cancel):
	Rework autoconf stuff for musicbrainz so --disable-musicbrainz works,
	and the audio CD plugin calls the metadata code when only musicbrainz3
	is enabled.

2009-03-14  Christophe Fergeau  <cfergeau@mandriva.com>

	* plugins/ipod/ipod-info.glade: add translator comment about the
	"Volume usage:" string, fixes bug #566920

2009-03-13  Jonathan Matthew  <jonathan@d14n.org>

	* sources/rb-auto-playlist-source.c:
	(rb_auto_playlist_source_do_query):
	We can only do subset queries if the existing query model is not the
	cached 'all' query model.  Fixes crashes when trying to search in auto
	playlists.

2009-03-13  Jonathan Matthew  <jonathan@d14n.org>

	* README:
	* configure.ac:
	Another prerelease

2009-03-13  Jonathan Matthew  <jonathan@d14n.org>

	* shell/rb-source-header.c: (rb_source_state_sync):
	When we see a source for the first time, set its search text to the
	empty string, rather than NULL.  Fixes #575089.

2009-03-12  Christophe Fergeau  <teuf@gnome.org>

	* plugins/ipod/rb-ipod-helpers.c: add missing <string.h> include

2009-03-12  Jonathan Matthew  <jonathan@d14n.org>

	* NEWS:
	* configure.ac:
	Update things for prerelease of 0.12.0.

2009-03-11  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  Pascal Terjan  <pascal.terjan@free.fr>

	* plugins/audioscrobbler/rb-lastfm-source.c:
	Add more last.fm stream types.  From #398179.

2009-03-11  Jonathan Matthew  <jonathan@d14n.org>

	* tests/test-rhythmdb-property-model.c: (START_TEST), (main):
	Need to use wait_for_signal for some of the property model tests now,
	since rhythmdb emits entry-changed signals in an idle handler.
	Use the common setup stuff the other test suites use for calling
	gtk_init in the child process (if forking).  Should fix #540385.

2009-03-11  Jonathan Matthew  <jonathan@d14n.org>
	
	patch by:  "OrbWeaver"  <orbweaver3d@gmail.com>

	* plugins/audioscrobbler/rb-lastfm-source.c:
	(rb_lastfm_source_constructor), (impl_delete),
	(playing_song_changed_cb), (rb_lastfm_source_station_selection_cb),
	(handle_station_response), (xspf_entry_parsed):
	Refresh the playlist when we start playing the last track, rather than
	trying to use a count of the tracks that haven't been played.  Fixes
	#560866.

2009-03-10  Brian Cameron  <brian.cameron@sun.com>

	* plugins/generic-player/Makefile.am: Add $(HAL_LIBS) to
	libgeneric_player LDFLAGS.  Needed to link on Solaris.
	Fixes bug #574834.

2009-03-09  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/lyrics/lyrics/__init__.py:
	Use 'lyrics' under the user cache dir for the default lyrics cache
	directory instead of ~/.lyrics.  Fixes #533199.

2009-03-09  Jonathan Matthew  <jonathan@d14n.org>

	* sources/Makefile.am:
	* sources/rb-source-search-basic.c: (impl_create_query),
	(impl_set_property), (impl_get_property),
	(rb_source_search_basic_class_init), (rb_source_search_basic_init),
	(rb_source_search_basic_new),
	(rb_source_search_basic_create_for_actions):
	* sources/rb-source-search-basic.h:
	* sources/rb-source-search.c: (default_is_subset),
	(rb_source_search_class_init), (rb_source_search_init),
	(rb_source_search_is_subset), (rb_source_search_create_query),
	(_rb_source_search_create_simple_query),
	(rb_source_search_action_attach),
	(rb_source_search_get_from_action):
	* sources/rb-source-search.h:
	Add a base class and a simple implementation for objects that
	facilitate different kinds of searches.  A search implementation has
	methods for constructing a RhythmDBQuery for a given search string,
	and for determining if the results from one search string will be a
	strict subset of those from another.  The simple implementation
	compares the search string with a single RhythmDBEntry property.

	* sources/rb-source.c: (rb_source_class_init),
	(rb_source_set_property), (rb_source_get_property),
	(rb_source_search), (rb_source_search_type_get_type):
	* sources/rb-source.h:
	Replace impl_can_search with an enum property describing the search
	capabilities of the source.  The available values are 'none',
	'incremental', and 'explicit'.  'incremental' is the existing
	behaviour, and 'explicit' requires that the search entry be activated
	(by pressing enter, etc.) before searching.  The default is 'none'.

	Add more parameters to rb_source_search: the search implementation to
	use, and the previous search text.

	* plugins/audiocd/rb-audiocd-source.c:
	(rb_audiocd_source_class_init):
	* plugins/daap/rb-daap-source.c: (rb_daap_source_class_init):
	* sources/rb-import-errors-source.c:
	(rb_import_errors_source_class_init):
	* sources/rb-missing-files-source.c:
	(rb_missing_files_source_class_init):
	* sources/rb-play-queue-source.c:
	(rb_play_queue_source_class_init):
	* sources/rb-playlist-source.c: (rb_playlist_source_class_init):
	Remove impl_can_search methods.
	
	* widgets/rb-search-entry.c: (rb_search_entry_class_init),
	(rb_search_entry_activate_cb):
	Include the text from the search box when emitting the 'activate'
	signal.

	* shell/rb-source-header.c: (sourcestate_free),
	(rb_source_header_class_init), (rb_source_header_init),
	(rb_source_header_dispose), (merge_source_ui_cb),
	(rb_source_header_refresh_search_bar),
	(rb_source_header_set_source_internal),
	(rb_source_header_set_property), (rb_source_state_sync),
	(search_action_changed_cb), (rb_source_header_search_cb),
	(rb_source_header_clear_search),
	(rb_source_header_view_browser_changed_cb),
	(rb_source_header_sync_control_state),
	(rb_source_header_search_activate_cb):
	* shell/rb-source-header.h:
	* lib/rb-marshal.list:
	* lib/rb-util.c: (rb_signal_accumulator_value_array):
	* lib/rb-util.h:
	Track the active search action in the source header, rather than
	making the source itself do it.  Add signals to allow plugins to
	provide additional search actions (refresh-search-bar,
	get-search-actions).  Add support for 'explicit' search type.

	* shell/rb-shell.c: (rb_shell_class_init), (rb_shell_get_property):
	Add a property providing access to the source header object.

	* plugins/iradio/Makefile.am:
	* plugins/iradio/rb-iradio-source-search.c: (impl_create_query),
	(rb_iradio_source_search_class_init),
	(rb_iradio_source_search_init), (rb_iradio_source_search_new):
	* plugins/iradio/rb-iradio-source-search.h:
	* plugins/iradio/rb-iradio-source.c: (rb_iradio_source_class_init),
	(rb_iradio_source_dispose), (rb_iradio_source_constructor),
	(rb_iradio_source_new), (rb_iradio_source_add_station),
	(impl_search), (rb_iradio_source_do_query):
	* sources/rb-auto-playlist-source.c:
	(rb_auto_playlist_source_class_init),
	(rb_auto_playlist_source_dispose),
	(rb_auto_playlist_source_finalize),
	(rb_auto_playlist_source_constructor),
	(rb_auto_playlist_source_new),
	(rb_auto_playlist_source_set_property),
	(rb_auto_playlist_source_get_property), (impl_reset_filters),
	(impl_search), (impl_get_property_views), (impl_browser_toggled),
	(rb_auto_playlist_source_query_complete_cb),
	(rb_auto_playlist_source_do_query),
	(rb_auto_playlist_source_set_query),
	(rb_auto_playlist_source_get_query),
	(rb_auto_playlist_source_songs_sort_order_changed_cb):
	* sources/rb-browser-source.c: (rb_browser_source_class_init),
	(rb_browser_source_init), (rb_browser_source_dispose),
	(rb_browser_source_constructor), (rb_browser_source_set_property),
	(rb_browser_source_get_property), (impl_search),
	(impl_reset_filters), (rb_browser_source_do_query):
	* sources/rb-podcast-source.c: (rb_podcast_source_class_init),
	(rb_podcast_source_dispose), (rb_podcast_source_constructor),
	(rb_podcast_source_new), (impl_search), (feed_select_change_cb),
	(construct_query_from_selection), (rb_podcast_source_do_query):
	* sources/rb-static-playlist-source.c:
	(rb_static_playlist_source_class_init),
	(rb_static_playlist_source_dispose),
	(rb_static_playlist_source_finalize),
	(rb_static_playlist_source_constructor),
	(rb_static_playlist_source_new), (impl_reset_filters),
	(impl_search), (construct_query_from_selection):
	Rework sources that implement searching to use the new search stuff.
	The internet radio source needs a custom search implementation, since
	it matches on genre and title, but the others are pretty
	straightforward.
	
	* bindings/python/Makefile.am:
	* bindings/python/rb.defs:
	* bindings/python/rb.override:
	Update python bindings for the above.

	Fixes #508750.

2009-03-08  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  Philippe Rouquier <brasero-app@wanadoo.fr>, Bastien Nocera
	<hadess@hadess.net> and me

	* plugins/cd-recorder/rb-cd-recorder-plugin.c:
	* plugins/audiocd/audiocd-ui.xml:
	Slight adjustment to the way the 'duplicate CD' menu item is created;
	should stop things complaining when no CD burning plugin is enabled.

	* configure.ac:
	* plugins/Makefile.am:
	* plugins/brasero-disc-recorder/Makefile.am:
	* plugins/brasero-disc-recorder/cd-recorder.rb-plugin.in:
	* plugins/brasero-disc-recorder/rb-disc-recorder-plugin.c:
	New CD burning plugin using Brasero.  If libbrasero-media is
	available, this plugin is built in preference to the
	nautilus-cd-burner plugin.  The two plugins use the same plugin name,
	and install to the same location, so only one can be available at a
	time.  Fixes #536732.

2009-03-07  Jonathan Matthew  <jonathan@d14n.org>

	* configure.ac:
	* lib/rb-file-helpers.c:
	Add SHARE_UNINSTALLED_BUILDDIR to handle cases where builddir !=
	srcdir.

	* plugins/rb-plugins-engine.c: (load_plugin_module):
	Missed a #define in the previous commit

	* tests/Makefile.am:
	Add podcast-upgrade.xml to EXTRA_DIST

	* tests/test-rhythmdb.c: (START_TEST):
	Find podcast-upgrade.xml relative to the source dir, rather than
	expecting it to be in the build dir.

2009-03-07  Jonathan Matthew  <jonathan@d14n.org>

	* configure.ac:
	Always define uninstalled locations, since we need to use them to run
	tests.

	* lib/rb-file-helpers.c: (rb_file), (rb_file_helpers_init):
	* lib/rb-file-helpers.h:
	Decide whether to use uninstalled locations at runtime, rather than
	compile time.

	* lib/rb-stock-icons.c: (rb_stock_icons_init):
	* metadata/rb-metadata-dbus-client.c: (start_metadata_service):
	* plugins/rb-plugin.c: (rb_get_plugin_paths):
	* shell/main.c: (main):
	Uninstalled locations are always defined now, so use
	USE_UNINSTALLED_DIRS to decide whether to use them.

	* tests/bench-rhythmdb-load.c: (main):
	* tests/test-file-helpers.c: (main):
	* tests/test-rhythmdb-property-model.c: (main):
	* tests/test-rhythmdb-query-model.c: (main):
	* tests/test-rhythmdb-view.c: (main):
	* tests/test-rhythmdb.c: (main):
	* tests/test-widgets.c: (main):
	Always use uninstalled locations in test programs.  Fixes #563051.

2009-03-06  Jonathan Matthew  <jonathan@d14n.org>

	patch by: Tim Retout <tim@retout.co.uk>, Mike Gratton <mike@vee.net>

	* bindings/python/override_common.c:
	(_rhythmdb_query_model_sort_data_free),
	(_rhythmdb_query_model_sort_func):
	* bindings/python/override_common.h:
	* bindings/python/rb.defs:
	* bindings/python/rb.override:
	* bindings/python/rhythmdb.override:
	* widgets/rb-entry-view.c: (rb_entry_view_resort_model):
	Add bindings for the methods used to add custom columns to entry
	views.  Fixes #432318.

2009-03-04  Bastien Nocera  <hadess@hadess.net>

	* configure.ac: Create .tar.bz2 when creating a tarball

2009-03-03  Jonathan Matthew  <jonathan@d14n.org>

	based on patch by:  Bastien Nocera  <hadess@hadess.net>

	* backends/gstreamer/Makefile.am:
	* backends/gstreamer/rb-player-gst-helper.c:
	(rb_player_gst_try_audio_sink), (find_property_element),
	(rb_player_gst_find_element_with_property):
	* backends/gstreamer/rb-player-gst-helper.h:
	Add helper functions to testing audio sinks (making sure they can at
	least go to READY state) and for examining sink bins to find elements
	that provide a particular property.

	* backends/gstreamer/rb-player-gst-xfade.c:
	(rb_player_gst_xfade_dispose), (start_sink_locked), (stop_sink),
	(create_sink), (rb_player_gst_xfade_set_volume):
	* backends/gstreamer/rb-player-gst.c: (rb_player_gst_finalize),
	(rb_player_gst_construct), (rb_player_gst_close),
	(find_volume_handler), (rb_player_gst_set_replaygain),
	(rb_player_gst_set_volume):
	If the audio sink provides a 'volume' property, use that instead of
	a volume element (or the 'volume' property on playbin) for setting
	output volume.  The practical effect is that when using pulseaudio,
	the volume control uses the pulseaudio stream volume, which has much
	lower latency.  Fixes #571606.

2009-03-03  Jonathan Matthew  <jonathan@d14n.org>

	* lib/rb-file-helpers.c: (rb_uri_append_uri):
	g_file_get_path sometimes returns NULL, so rb_uri_append_uri should do
	the same.  Fixes #573325.

2009-02-28  Jonathan Matthew  <jonathan@d14n.org>

	* shell/rb-play-order-random-by-age-and-rating.c:
	(rb_random_by_age_and_rating_get_entry_weight):
	* shell/rb-play-order-random-by-age.c:
	(rb_random_by_age_get_entry_weight):
	Treat the current playing entry as having been played 0 seconds ago,
	rather than using the value from the last-played field, which only
	reflects the last time the entry was played.  Fixes #164250, more or less.

2009-02-27  Jonathan Matthew  <jonathan@d14n.org>

	patch by: Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* plugins/audioscrobbler/rb-lastfm-source.c:
	Change protocol version number to make last.fm streaming work again.
	Fixes #573302.

2009-02-26  Jonathan Matthew  <jonathan@d14n.org>

	* backends/gstreamer/rb-player-gst-xfade.c:
	(adjust_stream_base_time):
	Take the stream lock while adjusting the base time.  This can happen
	simultaneously from two threads when a new segment event arrives
	immediately after linking the stream.

2009-02-25  Bastien Nocera  <hadess@hadess.net>

	* configure.ac:
	* plugins/audiocd/Makefile.am: More fixes for the conditional
	compilation of libmusicbrainz3 (Closes: #573086)

2009-02-24  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  Neil Loknath  <neil.loknath@gmail.com>

	* widgets/rb-header.c: (rb_header_init), (slider_scroll_callback):
	Handle scroll events on the slider to make the seek direction
	consistent with totem.  Fixes #164351.

2009-02-24  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  Oscar Morante  <spacepluk@gmail.com>

	* shell/rb-playlist-manager.c:
	(rb_playlist_manager_cmd_new_playlist),
	(rb_playlist_manager_cmd_new_automatic_playlist):
	Set a default name for newly created playlists.  Fixes #432688.

2009-02-24  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  Alban Crequy  <alban.crequy@collabora.co.uk>

	* plugins/daap/rb-daap.xml:
	* plugins/daap/Makefile.am:
	* plugins/daap/rb-daap-plugin.c: (impl_activate),
	(new_daap_share_resolve_cb), (new_daap_share_location_added_cb),
	(rb_daap_add_source), (rb_daap_remove_source):
	Add a D-Bus interface for adding and removing DAAP shares.
	Fixes #570115.

2009-02-23  Jonathan Matthew  <jonathan@d14n.org>

	* data/glade/create-playlist.glade:
	* widgets/rb-query-creator-properties.c: (update_time_unit_limits),
	(create_time_unit_option_menu), (relativeTimeCriteriaCreateWidget),
	(relativeTimeCriteriaSetWidgetData),
	(relativeTimeCriteriaGetWidgetData):
	* widgets/rb-query-creator.c: (rb_query_creator_load_query),
	(rb_query_creator_set_sorting), (rb_query_creator_get_query),
	(rb_query_creator_get_limit), (rb_query_creator_get_sort_order),
	(append_row), (select_criteria_from_value),
	(property_option_menu_changed), (create_property_option_menu),
	(create_criteria_option_menu), (sort_option_menu_changed),
	(setup_sort_option_menu):
	Replace GtkOptionMenu with GtkComboBox in the query creator.

	* lib/rb-string-value-map.h:
	* plugins/visualizer/rb-vis-widget.h:
	* widgets/rb-cell-renderer-pixbuf.h:
	* widgets/rb-cell-renderer-rating.h:
	* widgets/rb-rating.h:
	Replace GTK_CHECK macros with G_TYPE_CHECK equivalents.

	* lib/rb-tree-dnd.c: (scroll_row_timeout):
	* widgets/gossip-cell-renderer-expander.c:
	(gossip_cell_renderer_expander_activate):
	* widgets/rb-cell-renderer-pixbuf.c: (rb_cell_renderer_pixbuf_new),
	(rb_cell_renderer_pixbuf_activate):
	* widgets/rb-cell-renderer-rating.c: (rb_cell_renderer_rating_new),
	(rb_cell_renderer_rating_activate):
	Replace gtk_tree_view_widget_to_tree_coords.

	* widgets/rb-property-view.c: (rb_property_view_set_search_func):
	* widgets/rb-property-view.h:
	Replace GtkDestroyNotify with GDestroyNotify.

	No more deprecated gtk+ stuff.  Fixes #564800.

2009-02-22  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/rb/Loader.py:
	* plugins/rb/__init__.py:
	Restructure, rewrite, add two new classes: one for loading URI
	contents by chunks (for downloading large files, progressively parsing
	huge xml documents, etc.), one for performing file modification time
	checks.  Implement all of these using both GIO and gnome-vfs.  GIO
	implementations require pygobject 2.16.0.  The loader classes are now
	intended to be single use (they have state) and operations are
	cancellable.

	Add a helper function to use gtk.show_uri() if available, falling back
	to gnome-vfs otherwise.

	* plugins/lyrics/lyrics/__init__.py:
	* plugins/artdisplay/artdisplay/AmazonCoverArtSearch.py:
	* plugins/artdisplay/artdisplay/LocalCoverArtSearch.py:
	* plugins/artdisplay/artdisplay/PodcastCoverArtSearch.py:
	* plugins/artdisplay/artdisplay/__init__.py:
	Rewrite various bits to create loader instances as required, rather
	than sharing them between submodules.
	
	* plugins/artdisplay/artdisplay/Makefile.am:
	* plugins/artdisplay/artdisplay/LocalCoverArtSearchGIO.py:
	* plugins/artdisplay/artdisplay/CoverArtDatabase.py:
	Add a GIO implementation of the local cover art search.  Requires GIO
	2.15.3 or newer.
	
	* bindings/python/rb.defs:
	* bindings/python/rb.override:
	* lib/rb-file-helpers.c: (rb_find_user_file),
	(rb_find_user_data_file), (rb_find_user_cache_file):
	* lib/rb-file-helpers.h:
	Add function for migrating user cache files from ~/.gnome2 to XDG
	cache directory, add python bindings for various directory helper
	functions.

	* plugins/jamendo/jamendo/JamendoConfigureDialog.py:
	* plugins/jamendo/jamendo/JamendoSource.py:
	Rewrite the catalogue downloading and parsing stuff to use the new
	loader classes.  Rework the download/parse logic a bit so we don't
	parse the catalogue twice if we're downloading a new copy on startup.

	* plugins/magnatune/magnatune/MagnatuneSource.py:
	Rewrite all the catalogue and purchasing code using the new loader
	classes.  The purchasing code is completely untested, but at least the
	idea is right as far as I can tell.
	
	* plugins/coherence/upnp_coherence/__init__.py:
	Add code to get the mime type of the icon using gio, falling back to
	gnome-vfs if that doesn't work

	While gnome-vfs code remains, it's only there as a fallback.
	Fixes #510392.

2009-02-19  Bastien Nocera  <hadess@hadess.net>

	* shell/rb-shell.c (construct_widgets),
	(rb_shell_key_press_event_cb): Add support for
	XF86Forward and XF86Back to play the previous/next songs,
	this will only work when Rhythmbox is focused (Closes: #568737)

2009-02-19  Bastien Nocera  <hadess@hadess.net>

	* configure.ac: Allow building with libmusicbrainz3 only,
	and don't require the old libmusicbrainz
	* plugins/audiocd/sj-metadata-getter.c (lookup_cd):
	Update from sound-juicer for above

2009-02-17  Bastien Nocera  <hadess@hadess.net>

	* shell/main.c (main): Set the PulseAudio property as per
	http://pulseaudio.org/wiki/ApplicationProperties

2009-02-16  Jonathan Matthew  <jonathan@d14n.org>

	based on a patch by: John Daiker  <daikerjohn@gmail.com>

	* lib/rb-file-helpers.c: (rb_dot_dir), (rb_user_data_dir),
	(rb_user_cache_dir), (rb_find_user_data_file),
	(rb_file_helpers_shutdown):
	* lib/rb-file-helpers.h:
	Add helpers to get our user data and cache directories, and for
	handling the migration of files from ~/.gnome2/rhythmbox/
	intelligently.
	
	* shell/rb-shell.c: (rb_shell_init), (rb_shell_new),
	(construct_db), (construct_sources):
	Use rb_find_user_data_file to migrate rhythmdb.xml and playlists.xml
	to the user data directory.

	* lib/rb-stock-icons.c: (rb_stock_icons_init):
	* plugins/rb-plugin.c: (rb_get_plugin_paths):
	Add user data dir search paths for icons and plugins

	* plugins/audioscrobbler/rb-audioscrobbler.c:
	(rb_audioscrobbler_load_queue), (rb_audioscrobbler_save_queue):
	Store audioscrobbler cache in user data dir.

	* tests/bench-rhythmdb-load.c: (main):
	Use rb_user_data_dir to find rhythmdb.xml
	
	* bindings/python/Makefile.am:
	* bindings/python/rb.defs:
	Add bindings for rb_user_data_dir and rb_user_cache_dir
	
	* plugins/artdisplay/artdisplay/CoverArtDatabase.py:
	Use rb_user_cache_dir to find the cover cache path.

	Fixes #518589 and #560824.

2009-02-11  Bastien Nocera  <hadess@hadess.net>

	* plugins/mmkeys/rb-mmkeys-plugin.c (filter_mmkeys), (mmkeys_grab):
	Revert changes in the mmkeys plugin for XF86Back and XF86Forward

2009-02-09  Bastien Nocera  <hadess@hadess.net>

	* plugins/mmkeys/rb-mmkeys-plugin.c (filter_mmkeys), (mmkeys_grab):
	Add support for XF86Back and XF86Forward (Closes: #568737)

2009-02-06  Jonathan Matthew  <jonathan@d14n.org>

	* lib/rb-file-helpers.c: (rb_uri_append_uri):
	Stop pretending we can chop up URIs without dealing with escaping.
	Instead, use a temporary GFile to extract the path we're appending.
	Makes loading of playlists from generic player devices work.

2009-02-06  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/generic-player/rb-generic-player-playlist-source.c:
	(rb_generic_player_playlist_delete_from_player):
	Don't try to use priv->playlist_path as a URI.  Fixes deletion of
	playlist files from generic player devices.

2009-02-06  Jonathan Matthew  <jonathan@d14n.org>

	* backends/gstreamer/rb-player-gst-xfade.c:
	(link_and_unblock_stream), (unlink_blocked_cb),
	(unlink_and_dispose_stream), (stream_src_event_cb),
	(actually_start_stream), (stop_sink_later), (maybe_stop_sink),
	(rb_player_gst_xfade_pause):  Rearrange locking a bit more.
	Don't do any work while holding the stream list lock.  It's only used
	for finding streams to process later now.

2009-02-05  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/generic-player/rb-generic-player-source.c:
	(get_device_info):  The playlist_path hal attribute is sometimes a
	string and sometimes a strlist, so try both.  From #570484.

2009-01-29  Jonathan Matthew  <jonathan@d14n.org>

	* shell/rb-shell-player.c: (rb_shell_player_handle_eos_unlocked):
	Compare the entry against our own idea of what's playing, not what the
	play order thinks.

	(rb_shell_player_do_next_internal):
	Don't advance past the end of the regular play order if allow_stop
	is FALSE; always advance the queue play order, though.  Fixes #569386.

2009-01-28  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/mtpdevice/rb-mtp-plugin.c:
	(rb_mtp_plugin_device_removed):
	* plugins/mtpdevice/rb-mtp-source.c: (report_libmtp_errors),
	(rb_mtp_source_class_init), (rb_mtp_source_name_changed_cb),
	(rb_mtp_source_init), (rb_mtp_source_constructor),
	(rb_mtp_source_set_property), (rb_mtp_source_get_property),
	(rb_mtp_source_dispose), (rb_mtp_source_finalize),
	(impl_get_browser_key), (impl_get_paned_key), (rb_mtp_source_new),
	(load_mtp_db_idle_cb), (rb_mtp_source_load_tracks),
	(mimetype_to_filetype), (impl_delete),
	(rb_mtp_source_transfer_track_to_disk), (transfer_track):
	* plugins/mtpdevice/rb-mtp-source.h:
	Rearrange things to improve GObjectness, add some basic 
	reporting for libmtp errors, ensure MP3 is the first format in the
	list of supported types for the device (since if an encoder is
	installed at all, transcoding to MP3 is far more reliable than other
	formats), try to use audio-only types for M4A/AAC tracks added to MTP
	devices, and remove the idle handler used to load tracks off the
	device if the device is removed.  Fixes #567524, #569074, maybe some
	other stuff.

2009-01-28  Jonathan Matthew  <jonathan@d14n.org>

	* metadata/rb-metadata-gst.c:
	Ignore application/msword (mostly for thumbs.db) and
	application/octet-stream (for .DS_Store).

2009-01-28  Jonathan Matthew  <jonathan@d14n.org>

	* AUTHORS:
	* widgets/rb-cell-renderer-rating.c:
	* widgets/rb-rating.c:
	* widgets/rb-rating.h:
	* widgets/rb-song-info.c:
	* widgets/rb-song-info.h:
	Update Olivier Martin's email address.

2009-01-25  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/jamendo/jamendo/JamendoSource.py:
	Parse track durations, protect against finish_loadscreen() being
	called twice due to gnome-vfs weirdness.  Fixes #569009.

2009-01-22  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  Pascal Terjan  <pascal.terjan@free.fr>

	* plugins/audioscrobbler/rb-lastfm-source.c:
	(rb_lastfm_source_constructor): Create the station when the text box
	is activated, as well as when the 'add' button is pressed.
	Fixes #568232.

2009-01-21  Jonathan Matthew  <jonathan@d14n.org>

	* rhythmdb/rhythmdb-monitor.c: (actually_add_monitor):
	Don't get the file URI here - it wasn't used for anything, and we
	weren't freeing it.

2009-01-21  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  Andy Owen <andy-gnome@ultra-premium.com>

	* shell/rb-shell-player.c: (rb_shell_player_do_next_internal):
	Replace instance of rb_shell_player_set_playing_source (NULL)
	with rb_shell_player_stop ().  This crept in with the last.fm
	streaming rewrite.  Fixes #552624.

2009-01-17  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  Uri Sivan  <tartif@gmail.com>

	* plugins/dontreallyclose/dontreallyclose.py:
	Set the state/window_visible gconf key to false when not really
	closing the window.  Fixes #567917.

2009-01-17  Jonathan Matthew  <jonathan@d14n.org>

	based on patch by:  Michael Terry  <michael.terry@canonical.com>

	* shell/rb-shell.c: (rb_shell_cmd_add_folder_to_library),
	(rb_shell_cmd_add_file_to_library):
	Don't try to set the file chooser's current location to '' when the
	state/add_dir gconf key isn't set.  Fixes #551035.

2009-01-14  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/ipod/rb-ipod-plugin.c: (create_source_cb):
	* plugins/ipod/rb-ipod-source.c: (rb_ipod_source_new):
	* plugins/ipod/rb-ipod-source.h:
	Pass the RBPlugin pointer in to the ipod source constructor.

	* plugins/ipod/rb-ipod-source.c: (rb_ipod_source_show_properties):
	Use rb_plugin_find_file to locate ipod-info.glade.
	Fixes #567085.

2009-01-06  Jonathan Matthew  <jonathan@d14n.org>

	* widgets/rb-query-creator.c: (rb_query_creator_get_limit):
	If the size limit is set using the 'GB' option, return that as a
	number of MB in a uint64, rather than GB in a ulong for consistency
	with the 'MB' option.  Fixes #566615.

	* tests/test-widgets.c: (START_TEST):
	Actually test the above.

2009-01-06  Jonathan Matthew  <jonathan@d14n.org>

	* sources/rb-library-source.c:
	(rb_library_source_format_changed_cb):
	Update the example file path when the selected encoding profile
	changes.  Fixes #566621.

2009-01-05 Bastien Nocera  <hadess@hadess.net>

	* plugins/iradio/iradio-initial.pls: update links
	for Virgin radios, the radios are now "Absolute"
	(Closes: #566629)

2009-01-02  Jonathan Matthew  <jonathan@d14n.org>

	* INSTALL.quick:
	update a bit, hopefully the numbers are right now

	* Makefile.am:
	* README.iPod:
	* TODO:
	remove some old junk

2008-12-28  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/rb/Loader.py:  We'll actually require pygobject 2.15.5 (when
	that exists) to use gio to download things, not 2.15.3, due to
	bug #551059.  If your distribution's pygobject package includes the fix
	for that, don't include this change.  Simple..

2008-12-27  Jonathan Matthew  <jonathan@d14n.org>

	* lib/rb-stock-icons.h:
	* shell/rb-tray-icon.c: (rb_tray_icon_init),
	(rb_tray_icon_dispose), (rb_tray_icon_set_tooltip_icon),
	(rb_tray_icon_notify), (tray_icon_tooltip_cb):
	If no pixbuf is supplied, use the app icon instead.
	If a pixbuf is supplied, add a thin black border around it to help
	separate it from the rest of the bits in the tooltip.

	* widgets/eggtrayicon.c: (egg_tray_icon_notify):
	If no pixbuf is supplied, use the app icon instead.

	Fixes #407246, sort of relates to #435950.

2008-12-27  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/artdisplay/artdisplay/__init__.py:
	Use GtkTooltip API instead of GtkTooltips.  From #564800.

2008-12-22  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/audiocd/sj-metadata-musicbrainz3.c: (mb_list_albums):
	Handle mb_query_get_releases returning NULL, which indicates an error.
	It doesn't tell us anything about the error, sadly.  (Closes: #565056)

2008-12-21  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/audiocd/rb-audiocd-source.c: (metadata_cb):
	The caller owns the error here, so we can't free it.

2008-12-21  Jonathan Matthew  <jonathan@d14n.org>

	* shell/rb-tray-icon.c: (rb_tray_icon_init),
	(rb_tray_icon_finalize), (rb_tray_icon_update_tooltip_visibility),
	(rb_tray_icon_set_tooltip_primary_text),
	(rb_tray_icon_set_tooltip_icon),
	(rb_tray_icon_set_tooltip_secondary_markup), (rb_tray_icon_notify),
	(tray_icon_tooltip_cb), (rb_tray_icon_create_blank_image):
	* shell/rb-tray-icon.h:
	Use a normal GtkTooltip, containing an image and some markup, rather
	than a custom arrangement of widgets in a SexyTooltip.  Probably looks
	a bit better and also might be accessible now.  To work with the
	GtkTooltip API, use a GdkPixbuf instead of a GtkImage.

	* shell/rb-shell.c: (rb_shell_db_metadata_art_cb),
	(rb_shell_hidden_notify), (rb_shell_hidden_notify_markup):
	* shell/rb-shell.h:
	* plugins/cd-recorder/rb-playlist-source-recorder.c: (burn_cd),
	(rb_playlist_source_recorder_constructor):
	* bindings/python/rb.defs:
	RBTrayIcon now wants a GdkPixbuf instead of a GtkImage.
	
	* widgets/eggtrayicon.c: (egg_tray_icon_notify):
	* widgets/eggtrayicon.h:
	RBTrayIcon now provides a GdkPixbuf instead of a GtkImage, which is
	OK because that's what libnotify wants.

	* doc/reference/Makefile.am:
	* widgets/libsexy/Makefile.am:
	* widgets/libsexy/sexy-tooltip.c:
	* widgets/libsexy/sexy-tooltip.h:
	Remove our copy of SexyTooltip.

2008-12-21  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/visualizer/rb-visualizer-plugin.c: (can_draw_on_desktop):
	Remove #ifdef for gtk<2.12.

	* doc/reference/Makefile.am:
	* shell/rb-shell.c: (construct_load_ui),
	(rb_shell_player_volume_changed_cb):
	* widgets/Makefile.am:
	* widgets/bacon-volume.h:
	* widgets/bacon-volume.c:
	GtkVolumeButton was added in gtk 2.12, so we don't need our copy of
	BaconVolumeButton or the code to use it any more.

2008-12-21  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  John Daiker  <daikerjohn@gmail.com>

	* configure.ac:
	Increase gtk+ version requirement to 2.12 to get the new tooltip API.

	* shell/rb-shell.c: (rb_shell_finalize), (construct_load_ui),
	(tray_destroy_cb):
	* shell/rb-source-header.c: (rb_source_header_init):
	* shell/rb-statusbar.c: (rb_statusbar_init):
	* widgets/rb-entry-view.c: (rb_entry_view_constructor):
	Use GtkTooltip (or its helper functions) instead of GtkTooltips.
	From #564800.

2008-12-21  Jonathan Matthew  <jonathan@d14n.org>

	* remote/dbus/rb-client.c: (get_playing_song_info),
	(print_playing_song), (print_playing_song_default), (main):
	For --print-playing, use '%st (%tt)' as the format string if the song
	info includes a streaming song title.  Fixes #562047.

2008-12-18  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  John Daiker  <daikerjohn@gmail.com>

	* lib/rb-util.c: (rb_image_new_from_stock):
	* widgets/rb-cell-renderer-pixbuf.c:
	(rb_cell_renderer_pixbuf_render):
	Stop using deprecated gdk-pixbuf functions.

	* plugins/audioscrobbler/rb-lastfm-source.c:
	(rb_lastfm_source_constructor):
	* plugins/iradio/rb-iradio-source.c:
	(rb_iradio_source_constructor):
	* shell/rb-shell.c: (construct_widgets), (construct_load_ui):
	* sources/rb-browser-source.c: (default_pack_paned):
	* sources/rb-library-source.c: (impl_get_config_widget):
	* sources/rb-podcast-source.c: (rb_podcast_source_constructor):
	* widgets/rb-library-browser.c: (rb_library_browser_constructor):
	* widgets/rb-query-creator-properties.c:
	(relativeTimeCriteriaCreateWidget):
	* widgets/rb-query-creator.c: (append_row),
	(property_option_menu_changed):
	Stop using deprecated gtk_box_pack_start/end functions.
	From #564800.

2008-12-18  Bastien Nocera  <hadess@hadess.net>

	* plugins/audiocd/sj-metadata-musicbrainz3.c (mb_list_albums):
	Add fix from sound-juicer

2008-12-18  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/mtpdevice/rb-mtp-plugin.c: (rb_mtp_plugin_eject),
	(rb_mtp_plugin_rename):
	Use g_warning instead of g_critical - mtp device actions
	getting called for some other source is weird, but nothing to
	freak out about.

	* plugins/mtpdevice/rb-mtp-source.c: (add_mtp_track_to_db):
	Make the entry location look like a URI, and append the track filename
	so we can use the right extension for track transfers.  Fixes #537356.

2008-12-18  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/daap/rb-daap-mdns-avahi.c:
	(rb_daap_mdns_avahi_set_entry_group):
	Fix some assertions, should stop it crashing on shutdown.
	Probably fixes #562188.

2008-12-17  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  John Daiker  <daikerjohn@gmail.com>

	* plugins/iradio/rb-station-properties-dialog.c:
	(rb_station_properties_dialog_update_last_played):
	* podcast/rb-feed-podcast-properties-dialog.c:
	(rb_feed_podcast_properties_dialog_update_last_update),
	(rb_feed_podcast_properties_dialog_update_last_episode),
	(rb_feed_podcast_properties_dialog_update_summary):
	* podcast/rb-podcast-properties-dialog.c:
	(rb_podcast_properties_dialog_update_last_played),
	(rb_podcast_properties_dialog_update_date),
	(rb_podcast_properties_dialog_update_description):
	Replace calls to gtk_label_set with gtk_label_set_text.
	From #564800.

2008-12-17  Jonathan Matthew  <jonathan@d14n.org>

	* rhythmdb/rhythmdb.c: (rhythmdb_class_init):
	Add documentation for signals, fix a few gtk-doc warnings
	
	* doc/reference/rhythmbox-sections.txt:
	Remove some junk

2008-12-15  Pedro Fragoso  <ember@ubuntu.com>

	* lib/eel-gconf-extensions.h:
	* lib/rb-tree-dnd.c:
	* lib/rb-tree-dnd.h:
	* lib/rb-util.h:
	* plugins/audiocd/sj-metadata-getter.h:
	* plugins/audiocd/sj-metadata-gvfs.c:
	* plugins/audiocd/sj-metadata-musicbrainz.c:
	* plugins/audiocd/sj-metadata.h:
	* plugins/audiocd/sj-structures.c:
	* plugins/audiocd/sj-structures.h:
	* plugins/iradio/rb-station-properties-dialog.h:
	* plugins/mtpdevice/rb-mtp-source.c:
	* plugins/rb-plugins-engine.c:
	* podcast/rb-feed-podcast-properties-dialog.c:
	* podcast/rb-podcast-properties-dialog.c:
	* podcast/rb-podcast-properties-dialog.h:
	* rhythmdb/rhythmdb-property-model.c:
	* rhythmdb/rhythmdb-property-model.h:
	* rhythmdb/rhythmdb-query-model.c:
	* rhythmdb/rhythmdb-tree.c:
	* rhythmdb/rhythmdb-tree.h:
	* shell/rb-shell-clipboard.c:
	* shell/rb-shell-clipboard.h:
	* shell/rb-shell-player.h:
	* shell/rb-shell-preferences.h:
	* shell/rb-source-header.h:
	* shell/rb-statusbar.h:
	* shell/rb-tray-icon.h:
	* sources/rb-browser-source.h:
	* sources/rb-library-source.h:
	* sources/rb-removable-media-source.c:
	* sources/rb-source.c:
	* sources/rb-source.h:
	* sources/rb-sourcelist-model.h:
	* sources/rb-sourcelist.h:
	* widgets/bacon-volume.h:
	* widgets/eggtrayicon.c:
	* widgets/eggtrayicon.h:
	* widgets/gedit-message-area.h:
	* widgets/gossip-cell-renderer-expander.c:
	* widgets/gossip-cell-renderer-expander.h:
	* widgets/libsexy/sexy-icon-entry.h:
	* widgets/libsexy/sexy-tooltip.h:
	* widgets/rb-cell-renderer-pixbuf.h:
	* widgets/rb-cell-renderer-rating.h:
	* widgets/rb-dialog.h:
	* widgets/rb-entry-view.c:
	* widgets/rb-entry-view.h:
	* widgets/rb-header.h:
	* widgets/rb-library-browser.h:
	* widgets/rb-property-view.h:
	* widgets/rb-query-creator-properties.c:
	* widgets/rb-query-creator.h:
	* widgets/rb-rating.h:
	* widgets/rb-search-entry.h:
	* widgets/rb-song-info.h:
	* widgets/rb-uri-dialog.h:
	GNOME Goal: Clean up GLib and GTK+ includes (Closes: #564000)

2008-12-15  Jonathan Matthew  <jonathan@d14n.org>

	* backends/gstreamer/rb-player-gst-xfade.c: (create_stream):
	Put the per-stream volume element back where it was.  Moving it breaks
	fading out (mostly) and doesn't really fix the problem it was supposed
	to fix.

2008-12-10  Jonathan Matthew  <jonathan@d14n.org>

	* backends/gstreamer/rb-player-gst-xfade.c: (start_stream_fade),
	(actually_start_stream), (rb_player_gst_xfade_play),
	(rb_player_gst_xfade_pause): Rather than doing the stupid drop
	lock-set volume-take lock bit, just block the signal handler.

	(create_stream):
	Move the per-stream volume element before the preroll queue.  This
	decouples it (and our callbacks) from the adder and the output
	pipeline, which should reduce the likelihood of gaps in the output.

	(stream_src_blocked_cb):
	Remove a stray mutex unlock that I somehow left behind.

2008-12-09  Jonathan Matthew  <jonathan@d14n.org>

	* backends/gstreamer/rb-player-gst-xfade.c: (volume_changed_cb),
	(link_unblocked_cb):  Don't hold the stream lock for so long in
	streaming thread callbacks.  This (and contended waiting threads) was
	causing some interruptions in the output when changing tracks.

2008-12-08  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  John Daiker  <daikerjohn@gmail.com>

	* plugins/audioscrobbler/rb-lastfm-source.c:
	(rb_lastfm_source_ban_track):
	Skip to next track when banning the current track.  Fixes #552563.

2008-12-08  Jonathan Matthew  <jonathan@d14n.org>

	* backends/gstreamer/rb-player-gst-xfade.c: (rb_xfade_stream_init),
	(rb_xfade_stream_finalize), (emit_stream_error),
	(volume_changed_cb), (start_stream_fade), (link_unblocked_cb),
	(link_and_unblock_stream), (post_eos_seek_blocked_cb),
	(unlink_blocked_cb), (unlink_and_dispose_stream),
	(rb_player_gst_xfade_bus_cb), (stream_src_blocked_cb),
	(rb_player_gst_xfade_play):
	Rather than inconsistently grabbing either the stream list or sink
	lock, use the per-stream lock I apparently added a while ago to
	protect changes to a single stream's state.  Don't do anything to the
	pipeline while holding this lock, though.

2008-12-07  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/rb-plugin-manager.c: (cursor_changed_cb):
	Don't crash if the plugin's .rb-plugin file doesn't list any authors.
	Fixes #563476.

2008-12-05  Jonathan Matthew  <jonathan@d14n.org>

	patch sort of by:  John Daiker  <daikerjohn@gmail.com>

	* plugins/mtpdevice/rb-mtp-source.c:  Add copies of the
	LIBMTP_FILETYPE_IS_ #defines when compiling with libmtp < 0.3.0.
	From #561950.

2008-12-05  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  "OrbWeaver"  <orbweaver3d@gmail.com>

	* plugins/audioscrobbler/rb-lastfm-source.c:
	(station_is_subscriber_only):  Personal radio streams are now
	available to non-subscribers.  Fixes #562867.

2008-12-03  Bastien Nocera  <hadess@hadess.net>

	* plugins/coherence/upnp_coherence/MediaPlayer.py: Cut the crap,
	remove loads of warnings from the MediaRenderer bits of the
	Coherence UPNP plugin, they should be debug messages, not
	appearing all the time as they do now...

2008-12-02  Bastien Nocera  <hadess@hadess.net>

	* plugins/daap/Makefile.am: Add missing file to the sources,
	fixes make distcheck

2008-12-01  Bastien Nocera  <hadess@hadess.net>

	* configure.ac: Detect if totem-pl-parser was built without
	Podcast parsing support, and refuse to build if so
	(Closes: #559576)

2008-11-24  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/rb-python-plugin.c: (rb_python_object_init),
	(rb_python_object_finalize):
	Acquire GIL before creating and finalizing python plugin objects.
	Should fix #544865.

2008-11-23  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/mtpdevice/rb-mtp-source.c: (rb_mtp_source_new),
	(add_mtp_track_to_db), (load_mtp_db_idle_cb), (impl_track_added):
	Ignore non-audio items on MTP devices.  Fixes #561950.

2008-11-23  Jonathan Matthew  <jonathan@d14n.org>

	* data/ui/rhythmbox-ui.xml:
	* shell/rb-playlist-manager.c: (save_playlist_response_cb),
	(save_playlist), (rb_playlist_manager_cmd_save_playlist),
	(rb_playlist_manager_cmd_save_queue):
	Add 'save to file' actions for the play queue.  Fixes #543808.

2008-11-23  Jonathan Matthew  <jonathan@d14n.org>

	* backends/gstreamer/rb-player-gst-xfade.c: (link_unblocked_cb),
	(stream_src_blocked_cb):
	Take the stream list lock before processing pad block callbacks, since
	they seem to occur simultaneously from multiple threads sometimes.

2008-11-23  Jonathan Matthew  <jonathan@d14n.org>

	* metadata/rb-metadata-gst.c: (qt_pad_added_cb),
	(rb_add_qt_tagger), (rb_metadata_init):
	Use mp4mux instead of qtmux.

2008-11-21  Jonathan Matthew  <jonathan@d14n.org>

	* backends/Makefile.am:
	* backends/gstreamer/Makefile.am:
	* bindings/python/rb.override:
	* corelib/Makefile.am:
	* doc/reference/Makefile.am:
	* plugins/audiocd/rb-audiocd-source.c: (impl_get_ui_actions):
	* plugins/mtpdevice/rb-mtp-source.c: (rb_mtp_source_class_init):
	* plugins/generic-player/rb-generic-player-source.h:
	* shell/rb-removable-media-manager.c:
	(rb_removable_media_manager_set_uimanager), (copy_entry),
	(rb_removable_media_manager_cmd_copy_tracks):
	* shell/rb-removable-media-manager.h:
	* sources/Makefile.am:
	* sources/rb-library-source.c: (rb_library_source_class_init),
	(rb_library_source_dispose),
	(rb_library_source_edit_profile_clicked_cb),
	(impl_get_config_widget), (rb_library_source_preferences_sync),
	(build_filename), (impl_can_paste), (impl_paste):
	* sources/rb-removable-media-source.c:
	(rb_removable_media_source_class_init):
	Remove the option of disabling track transfer.

	* metadata/Makefile.am:
	Remove the option of disabling the metadata helper process.

	* metadata/rb-metadata-gst.c: (rb_metadata_can_save):
	Remove the option of disabling tag writing.

	* lib/rb-proxy-config.c: (rb_proxy_config_get_libsoup_uri):
	* lib/rb-proxy-config.h:
	* plugins/Makefile.am:
	* plugins/audioscrobbler/Makefile.am:
	* plugins/daap/Makefile.am:
	* shell/Makefile.am:
	Remove the option of disabling audioscrobbler/last.fm.  This means
	libsoup is always required.
	
	* plugins/ipod/rb-ipod-source.c: (rb_ipod_source_class_init),
	(rb_ipod_source_constructor), (create_ipod_song_from_entry),
	(ipod_path_from_unix_path):
	Remove the option of disabling ipod writing.

	* configure.ac:
	all of the above.

	libsoup and gnome-media-profiles are now mandatory.  #561142.

2008-11-21  Jonathan Matthew  <jonathan@d14n.org>

	* rhythmdb/rhythmdb-private.h:
	missed a file in the previous commit

2008-11-21  Jonathan Matthew  <jonathan@d14n.org>

	* rhythmdb/rhythmdb-monitor.c: (rhythmdb_init_monitoring),
	(rhythmdb_finalize_monitoring), (actually_add_monitor),
	(rhythmdb_process_changed_files):
	Add a mutex around the monitored directory map because it can be
	accessed from multiple threads.  Probably fixes #484611.

2008-11-21  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/rb/Loader.py:
	When invoking callbacks from an idle handler or a gio completion
	callback, take the gdk lock first.  Probably fixes #473757.

2008-11-19  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/generic-player/rb-generic-player-source.c:
	(impl_delete_thyself):
	playlist_deleted_cb modifies the list of playlists, so we need to take
	a copy before we start deleting them all.  Fixes #544614.

2008-11-18  Jonathan Matthew  <jonathan@d14n.org>

	* backends/gstreamer/rb-encoder-gst.c: (attach_output_pipeline):
	The stream sink needs the stream object when we're replacing an
	existing output file, not just when it doesn't already exist.

2008-11-18  Jonathan Matthew  <jonathan@d14n.org>

	* widgets/rb-library-browser.c: (rb_library_browser_class_init),
	(rb_library_browser_dispose), (rb_library_browser_finalize):
	Remove the browser rebuild idle handler when the browser is disposed.
	Fixes #467420.

2008-11-17  Christophe Fergeau  <teuf@gnome.org>

	patch partly by: James "Doc" Livingston <doclivingston@gmail.com>
	based on code from gtkpod (http://gtkpod.sf.net)

	* plugins/ipod/ipod-init.glade
	* plugins/ipod/rb-ipod-source.c
	* plugins/ipod/rb-ipod-source.h
	* plugins/ipod/rb-ipod-helpers.c
	* plugins/ipod/rb-ipod-helpers.h
	* plugins/ipod/rb-ipod-plugin.c
	* plugins/ipod/Makefile.am: when a "new" ipod (ie one which doesn't
	have a database) is plugged in, show a dialog to let the user tell
	which ipod he owns. 
	Fixes #358029.

2008-11-17  Christophe Fergeau  <teuf@gnome.org>

	* configure.ac: don't disable the ipod plugin when hal is
	disabled since it has #ifdef code to work with or without hal.
	Fixes #560798

2008-11-17  Christophe Fergeau  <teuf@gnome.org>

	* plugins/generic-player/rb-generic-player-source.c:
	* plugins/mtp/rb-mtp-source.c: use
	rb_removable_media_source_should_paste_no_duplicate in the MTP and
	generic player sources

2008-11-17  Jonathan Matthew  <jonathan@d14n.org>

	* rhythmdb/rhythmdb-private.h:
	* rhythmdb/rhythmdb.c: (rhythmdb_dispose), (free_entry_changes),
	(rhythmdb_emit_entry_signals_idle), (process_changed_entries_cb),
	(sync_entry_changed), (rhythmdb_commit_internal):
	Rather than emitting entry-changed signals as part of rhythmdb_commit,
	marshal the data over to the main thread as is done for entry-added
	and entry-deleted.  Take the gdk lock before emitting any of those
	signals.  Fixes any number of weird crashes, as well as deadlocks
	after podcast downloads when a11y is enabled.  #362725.

2008-11-17  Jonathan Matthew  <jonathan@d14n.org>

	* podcast/rb-podcast-manager.c: (podcast_download_thread):
	Close the streams (and unref them) before emitting the error/complete
	status.  Previously there was a race between the download thread and
	the main loop thread that could cause crashes here.  Also, now we can
	report errors that occur when closing the output stream.
	Fixes #554556.

2008-11-16  Jonathan Matthew  <jonathan@d14n.org>

	patch partly by:  Patrick Wade  <patrick.wade@sun.com>
	
	* plugins/iradio/rb-station-properties-dialog.c:
	(rb_station_properties_dialog_constructor):
	* podcast/rb-feed-podcast-properties-dialog.c:
	* podcast/rb-podcast-properties-dialog.c:
	(rb_podcast_properties_dialog_init):
	* widgets/rb-song-info.c: (rb_song_info_constructor):
	* data/glade/song-info.glade:
	Add relationships between the 'rating' label and the rating widget.

	* widgets/rb-rating-helper.c: (rb_rating_set_accessible_name):
	* widgets/rb-rating-helper.h:
	Add helper function for setting the accessible name of a rating widget
	to describe the current rating.

	* widgets/rb-rating.c: (rb_rating_class_init), (rb_rating_init),
	(rb_rating_set_rating), (rb_rating_set_property), (rb_rating_new),
	(rb_rating_realize), (rb_rating_expose),
	(rb_rating_button_press_cb), (rb_rating_set_rating_cb),
	(rb_rating_adjust_rating_cb), (rb_rating_focus):
	* widgets/rb-rating.h:
	Add key bindings to adjust the rating, set the accessible name of the
	widget when the rating changes.

	From #368641.

2008-11-16  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/daap/rb-daap-plugin.c:
	Add ellipsis to 'Connect to DAAP share' (#521025)

2008-11-16  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/iradio/rb-iradio-source.c:
	(stations_view_drag_data_received_cb):
	* sources/rb-podcast-source.c: (impl_receive_drag):
	Apparently _NETSCAPE_URL drag data changed ordering somewhere.
	Fixes #549544.

2008-11-15  Jonathan Matthew  <jonathan@d14n.org>

	* backends/gstreamer/rb-player-gst-xfade.c:
	(link_and_unblock_stream), (start_sink_locked), (start_sink),
	(rb_player_gst_xfade_play):
	Disentangle locking a bit.  Drop the stream list lock as soon as
	possible in rb_player_gst_xfade_play, and don't hold the sink lock
	while processing messages received during sink startup.
	Should fix #560371, maybe #550271.

2008-11-15  Jonathan Matthew  <jonathan@d14n.org>

	* metadata/rb-metadata-gst.c:
	Ignore a few more non-audio/video media types

2008-11-14  Bastien Nocera  <hadess@hadess.net>

	* plugins/generic-player/rb-psp-source.c
	(rb_psp_source_create_playlists): Fix small leak

2008-11-14  Bastien Nocera  <hadess@hadess.net>

	* plugins/generic-player/rb-psp-source.c: Fix run-time
	warning when creating the PSP source, as glib doesn't
	like zero-sized private structures

2008-11-14  Bastien Nocera  <hadess@hadess.net>

	* plugins/generic-player/rb-psp-source.c (rb_psp_is_mount_player):
	Fix object unref on NULL object, spotted by Christophe Fergeau
	(Closes: #560804)

2008-11-14  Bastien Nocera  <hadess@hadess.net>

	* plugins/generic-player/rb-generic-player-source.c
	(rb_generic_player_source_class_init), (impl_constructor),
	(impl_can_move_to_trash), (impl_can_delete),
	(impl_move_to_trash_or_delete), (impl_move_to_trash),
	(impl_delete): Implement delete and move to trash for
	generic players, also fix can_move_to_trash
	(Closes: #560725, #560720)

2008-11-14  Luca Ferretti  <elle.uca@libero.it>

	* sources/rb-missing-files-source.c:
	(rb_missing_files_source_init): use named icon "dialog-warning" 
	instead improper GTK_STOCK_MISSING_IMAGE. Fixes bug #560349

	* sources/rb-import-errors-source.c:
	(rb_import_errors_source_init): use named icon "dialog-error" instead
	GTK_STOCK_DIALOG_ERROR to match previous change
	
2008-11-13  Bastien Nocera  <hadess@hadess.net>

	* plugins/generic-player/rb-psp-source.c
	(rb_psp_source_create_playlists): Fix thinko making
	file playlists when it should be directories that are
	playlists

2008-11-13  Christophe Fergeau  <teuf@gnome.org>

	* lib/rb-tree-dnd.c
	* metadata/rb-metadata-dbus-service.c
	* plugins/generic-player/rb-generic-player-playlist-source.c
	* plugins/ipod/rb-ipod-db.c
	* podcast/rb-podcast-manager.c
	* rhythmdb/rhythmdb.c
	* shell/rb-shell.c: use g_timeout_add_seconds instead of
	g_timeout_add. Fixes part of bug #399012

2008-11-13  Christophe Fergeau  <teuf@gnome.org>

	* sources/rb-removable-media-source.c
	* sources/rb-removable-media-source.h: add
	rb_removable_media_source_should_paste_no_duplicate helper which
	can be used as a vfunc for RbRemovableMediaSource::should_paste for
	sources that want to disallow copying of duplicate songs. For now,
	duplicate checking is done by comparing song title/album/artist
	(which is a bit simplistic ;)
	* plugins/ipod/rb-ipod-source.c: use this helper function instead
	of having dedicated code in the ipod plugin

2008-11-12  Bastien Nocera  <hadess@hadess.net>

	* plugins/generic-player/rb-psp-source.c (find_music_dir),
	(visit_playlist_dirs), (rb_psp_source_create_playlists):
	Enumerate sub-directories ourselves, as the PSP only handles
	only one level of directories underneath the main music dir,
	add a FIXME

2008-11-12  Bastien Nocera  <hadess@hadess.net>

	* plugins/generic-player/rb-psp-source.c (find_dir_no_case):
	Fix small memleak

2008-11-12  Bastien Nocera  <hadess@hadess.net>

	* plugins/generic-player/rb-psp-source.c (find_dir_no_case),
	(find_music_dir): Look harder for the PSP music directory:
	- prefer PSP/MUSIC over MUSIC
	- VFAT sucks, so ignore case when looking for the directories

2008-11-12  Bastien Nocera  <hadess@hadess.net>

	* plugins/generic-player/rb-psp-source.c (hal_udi_is_psp):
	Detect the new PSP-3000

2008-11-11  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/ipod/rb-ipod-source.c: (rb_ipod_source_set_ipod_name),
	(rb_ipod_source_new_playlist), (rb_ipod_source_show_properties):
	Don't crash if there's no database on an ipod.  Fixes #556320.
	
	(rb_ipod_source_show_properties):
	Mark the space used/total space format string for translation.
	Minor code style stuff too.

2008-11-11  Jonathan Matthew  <jonathan@d14n.org>

	* rhythmdb/rhythmdb-tree.c: (rhythmdb_tree_entry_set),
	(rhythmdb_tree_entry_delete):
	* rhythmdb/rhythmdb-tree.h:
	Add an entry flag that indicates the entry has been removed from the
	tree, and don't update the tree for changes made to entries that have
	been removed.  Fixes #539447.

	* tests/test-rhythmdb.c: (START_TEST), (rhythmdb_suite):
	Add a test for the above.

2008-11-11  Jonathan Matthew  <jonathan@d14n.org>

	* podcast/rb-podcast-manager.c: (download_file_info_cb):
	When replacing a downloaded podcast file, delete the existing file
	first.

2008-11-10  Jonathan Matthew  <jonathan@d14n.org>

	patch more or less by: Flavio Martins  <xhaker@gmail.com>

	* plugins/mtpdevice/rb-mtp-source.c: (rb_mtp_source_load_tracks):
	Ignore some broken device names.  Fixes #478715.

2008-11-10  Jonathan Matthew  <jonathan@d14n.org>

	* tests/test-widgets.c: (rb_value_array_equal),
	(rb_gvalue_array_to_string), (rhythmdb_query_equal),
	(query_creator_test_load_query), (START_TEST),
	(rb_query_creator_suite), (main):
	missed a file in the previous commit

2008-11-10  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  James "Doc" Livingston  <doclivingston@gmail.com>

	* tests/Makefile.am:
	* tests/test-file-helpers.c: (START_TEST), (main):
	* tests/test-rhythmdb-query-model.c: (main):
	* tests/test-rhythmdb.c: (main):
	* tests/test-utils.c: (init_once), (init_setup),
	(test_rhythmdb_setup):
	* tests/test-utils.h:
	Add unit tests for the query creator widget, rearrange initialization
	code to support non-forking test run mode.  From #351398.

2008-11-09  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/daap/Makefile.am:
	* plugins/daap/rb-daap-mdns-avahi.c: (client_cb),
	(rb_daap_mdns_avahi_get_client),
	(rb_daap_mdns_avahi_set_entry_group):
	* plugins/daap/rb-daap-mdns-avahi.h:
	Add some machinery to create a single avahi client to use for both
	browsing and publishing.

	* plugins/daap/rb-daap-mdns-browser-avahi.c: (browse_cb),
	(rb_daap_mdns_browser_init), (rb_daap_mdns_browser_finalize):
	* plugins/daap/rb-daap-mdns-publisher-avahi.c: (create_service),
	(rb_daap_mdns_publisher_withdraw), (rb_daap_mdns_publisher_init),
	(rb_daap_mdns_publisher_finalize):
	Use the shared avahi client.  Since we publish and browse using the
	same client, we can use the AVAHI_LOOKUP_RESULT_OUR_OWN flag (rather
	than AVAHI_LOOKUP_RESULT_LOCAL) to ignore just our own share.
	Previously, we ignored all shares on the same machine.  Fixes #342655.

2008-11-09  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/daap/rb-daap-connection.c:
	(connection_set_error_message), (actual_http_response_handler):
	Don't try to parse DAAP responses from iTunes 7 servers, causing
	connection attempts to fail immediately.  From #356627.

2008-11-09  Jonathan Matthew  <jonathan@d14n.org>

	* configure.ac:
	* plugins/daap/rb-daap-mdns-browser-avahi.c: (client_cb),
	(avahi_client_init), (resolve_cb), (rb_daap_mdns_browser_resolve),
	(browse_cb), (rb_daap_mdns_browser_start):
	* plugins/daap/rb-daap-mdns-publisher-avahi.c: (client_cb),
	(avahi_client_init), (create_service):
	Drop avahi 0.5 compatibility.  Avahi 0.6 has been out for almost three
	years now.

2008-11-09  Jonathan Matthew  <jonathan@d14n.org>

	based on patch by:  Takao Fujiwara  <Takao.Fujiwara@sun.com>

	* rhythmdb/rhythmdb.c: (rhythmdb_entry_example_new):
	Make the example artist/album/song title translatable so translators
	can substitute a well-known local example if they think that works
	better than a Beatles song.  Fixes #438861.

2008-11-09  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  Jason Crain  <jason@bluetree.ath.cx>

	* rhythmdb/rhythmdb.c: (rhythmdb_execute_enum_dir):
	Skip the file if g_file_enumerator_next_file fails.  From #556729.
	Still need to report a useful error here, but at least it doesn't
	crash any more.

2008-11-08  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  Susana Pereira  <susana.pereira@gmail.com>

	* plugins/rb-plugins-engine.c: (rb_plugins_engine_activate_plugin):
	Apply some changes from totem's copy of the plugin code to disable
	non-hidden plugins in gconf when they fail to load.  Fixes #551295.

2008-11-08  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  Pelle Kristiansson  <pellek@home.se>

	* shell/rb-shell.c: (rb_shell_window_configure_cb):
	Don't save window size and position when iconified.  Depending on the
	window manager in use, the values may not reflect where the window
	actually was.  Fixes #502827.

2008-11-08  Jonathan Matthew  <jonathan@d14n.org>

	patch mostly by:  John Wimer  <john@god.vtic.net>

	* plugins/audioscrobbler/rb-audioscrobbler.c:
	(rb_audioscrobbler_add_to_queue),
	(maybe_add_current_song_to_queue):
	If the submission queue is full, drop the oldest entry rather than
	refusing to add any more.  Fixes #555598.

2008-11-08  Jonathan Matthew  <jonathan@d14n.org>

	patch partly by:  Lasse Bigum  <zenith@zenith.dk>
	patch also partly by:  Martin Franco  <mfranco@gmx.com>

	* shell/rb-playlist-manager.c:
	(rb_playlist_manager_cmd_load_playlist),
	(save_playlist_response_cb), (export_set_extension_cb),
	(setup_format_menu):
	* shell/rb-playlist-manager.h:
	Add mimetype to playlist format information, add XSPF format, and use
	the playlist information to set up filters for the import dialog.
	Fixes #551217.

	* sources/rb-playlist-source.c: (rb_playlist_source_save_playlist):
	* sources/rb-playlist-source.h:
	Add XSPF export.  From #375665.

2008-11-07  Jonathan Matthew  <jonathan@d14n.org>

	patch partly by:  Steven Brown  <steven.w.j.brown@gmail.com>

	* data/ui/rhythmbox-ui.xml:
	Rename existing plugin placeholders to just 'PluginPlaceholder' (no
	need to qualify with the name of the popup or whatever), and add some
	more.  Fixes #557152.

	* plugins/cd-recorder/rb-cd-recorder-plugin.c:
	* plugins/daap/daap-ui.xml:
	* plugins/fmradio/fmradio-ui.xml:
	* plugins/iradio/iradio-ui.xml:
	* plugins/visualizer/visualizer-ui.xml:
	Adjust to the above change.

2008-11-07  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  Kjartan Maraas  <kmaraas@gnome.org>

	* plugins/audiocd/sj-metadata-musicbrainz3.c: (mb_list_albums):
	* plugins/audiocd/sj-metadata.c:
	* plugins/daap/rb-daap-connection.c: (build_message),
	(rb_daap_connection_get_headers):
	* plugins/daap/rb-daap-src.c: (rb_daap_src_open):
	* rhythmdb/rhythmdb.c: (rhythmdb_entry_set_mount_point):
	* shell/rb-shell-player.c: (rb_shell_player_get_property):
	Fix build with -DG_DISABLE_DEPRECATED, #559582.

2008-11-06  Jonathan Matthew  <jonathan@d14n.org>

	* podcast/rb-podcast-manager.h: Fix signal prototype

	* podcast/rb-podcast-parse.c: (rb_podcast_parse_load_feed):
	* podcast/rb-podcast-parse.h:
	If a feed parses correctly, but contains no downloadable items, report
	it as an error.  Fixes #452512.

2008-11-03  Jonathan Matthew  <jonathan@d14n.org>

	* configure.ac:  We need libsoup unless audioscrobbler and daap are
	both explicitly disabled.  Fixes #559051.

2008-11-03  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/mtpdevice/rb-mtp-source.c: (rb_mtp_source_constructor),
	(rb_mtp_source_new):  fix stupid compile errors

2008-11-02  Jonathan Matthew  <jonathan@d14n.org>

	patch by: Maxim Ermilov <zaspire@rambler.ru>

	* lib/rb-file-helpers.c: (rb_uri_could_be_podcast):
	feed:// URIs are always podcasts.  Fixes #522133.

2008-11-02  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/mtpdevice/rb-mtp-source.c: (rb_mtp_source_constructor),
	(rb_mtp_source_new), (mimetype_to_filetype), (transfer_track),
	(impl_get_mime_types):
	Rework mediatype to libmtp filetype mapping.  Figure out the supported
	media types during initialisation, add FLAC, and try a few different
	file types for m4a/aac.

2008-11-02  Jonathan Matthew  <jonathan@d14n.org>

	* metadata/rb-metadata-gst.c: (qt_pad_added_cb),
	(rb_add_qt_tagger), (rb_metadata_init):
	Add m4a tag editing using qtmux.  Edited files don't play in itunes or
	various other places.

2008-11-02  Jonathan Matthew  <jonathan@d14n.org>

	* configure.ac: Report python compile/link problems a bit more
	usefully, and don't report python plugin support as being enabled
	unless it really is.  Fixes #558085.

2008-10-30  Bastien Nocera  <hadess@hadess.net>

	* plugins/lirc/rhythmbox_lirc_default: Fix "previous" key
	configuration, spotted by jeanpaul145@gmail.com
	(Closes: #558464)

2008-10-28  Jonathan Matthew  <jonathan@d14n.org>

	* sources/rb-library-source.c: (rb_library_source_constructor):
	Convert library location paths to URIs on startup.  Fixes #556711.

2008-10-27  Bastien Nocera  <hadess@hadess.net>

	* plugins/coherence/upnp_coherence/MediaPlayer.py:
	* plugins/coherence/upnp_coherence/MediaStore.py:
	* plugins/coherence/upnp_coherence/UpnpSource.py:
	* plugins/coherence/upnp_coherence/__init__.py: Update the Coherence
	plugin from Franz' code

2008-10-26  Christophe Fergeau  <teuf@gnome.org>

	* plugins/ipod/rb-ipod-db.c: when freeing delayed actions, don't
	blindly try to free the ItdbTrack we get, especially since it
	should never be non-NULL

2008-10-26 Christophe Fergeau  <teuf@gnome.org>

	Patch by: Ed Catmur, Paul Drain and Christophe Fergeau
	Part of bug 411634 – Copying tracks to iPod can create duplicates

	* plugins/ipod/rb-ipod-source.c: implement should_paste and don't
	copy files to the ipod if it already contains a song with the same
	album/artist/title

2008-10-26 Christophe Fergeau  <teuf@gnome.org>

	Patch by: Ed Catmur and Paul Drain
	Part of bug 411634 – Copying tracks to iPod can create duplicates

	* sources/rb-removable-media-source.c
	* sources/rb-removable-media-source.h: add should_paste virtual
	method so that derived sources can indicate whether a paste
	operation should be completed or not

2008-10-15 Christophe Fergeau  <teuf@gnome.org>

	Patch by: John Daiker

	* plugins/ipod/Makefile.am
	* plugins/ipod/ipod-info.glade
	* plugins/ipod/ipod-ui.xml
	* plugins/ipod/rb-ipod-db.c
	* plugins/ipod/rb-ipod-db.h
	* plugins/ipod/rb-ipod-plugin.c
	* plugins/ipod/rb-ipod-source.c
	* plugins/ipod/rb-ipod-source.h: add an ipod properties dialog,
	fixes bug #317089

2008-10-26  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/mtpdevice/rb-mtp-source.c:
	(rb_mtp_source_transfer_track_to_disk),
	(rb_mtp_source_get_playback_uri):
	libmtp may not want file:/// URIs, but our various helper functions
	do.  Actually fixes #552614.

2008-10-25  Jonathan Matthew  <jonathan@d14n.org>

	* backends/gstreamer/rb-player-gst-xfade.c:
	(adjust_base_time_probe_cb), (adjust_stream_base_time):
	If we can't adjust the stream base time the first time, add a pad
	probe to try again next time a buffer exits the bin.

	(stream_src_event_cb):
	Don't allow flush events to pass outside the stream bin.  Flushing the
	adder or the output bin breaks everything.

	(perform_seek), (unlink_blocked_cb), (stream_src_event_cb),
	(rb_player_gst_xfade_set_time):
	Don't unlink to seek in playing streams.  Not sure where I got the
	idea that this was necessary, but it's completely wrong.

	Fixes #553230.

2008-10-25  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/mtpdevice/rb-mtp-source.c:
	(rb_mtp_source_get_playback_uri):
	libmtp doesn't want a file:/// URI, it just wants a path.
	Should fix #552614.

2008-10-25  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/cd-recorder/rb-recorder-gst.c: (add_track),
	(rb_recorder_construct), (rb_recorder_close), (get_dest_from_uri),
	(rb_recorder_open):
	Don't bother pretending we can use URIs here, and actually set the
	location on the sink element.  Fixes #557221.

2008-10-24  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/mtpdevice/rb-mtp-source.c:
	(rb_mtp_source_transfer_track_to_disk),
	(rb_mtp_source_get_playback_uri):
	Add a bit more debug/error output.

2008-10-23  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/generic-player/rb-generic-player-source.c:
	(rb_generic_player_is_mount_player):
	Check portable_audio_player.access_method.protocols first, then
	portable_audio_player.access_method.

2008-10-21  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/audioscrobbler/rb-lastfm-source.c:
	(handle_playlist_response), (handle_xmlrpc_response):
	Don't crash on failed xmlrpc and playlist requests.  Fixes #556551.

2008-10-20  Jonathan Matthew  <jonathan@d14n.org>

	* backends/gstreamer/rb-encoder-gst.c: (start_pipeline),
	(add_encoding_pipeline), (attach_output_pipeline),
	(profile_bin_find_encoder), (create_pipeline_and_source),
	(extract_track), (transcode_track):
	* lib/rb-file-helpers.c: (rb_check_dir_has_space),
	(rb_file_find_extant_parent), (rb_uri_get_filesystem_type):
	* shell/rb-removable-media-manager.c: (do_transfer):
	* sources/rb-library-source.c: (impl_paste):
	Add more debug info for track transfer stuff, might help figure out
	why things are broken for MTP devices..

2008-10-20  Jonathan Matthew  <jonathan@d14n.org>

	* bindings/python/rhythmdb.override:
	Fix wrapper for get_playback_uri - there's no 'db' parameter, and it
	needs to look after the GIL too.

2008-10-19  Jonathan Matthew  <jonathan@d14n.org>

	* rhythmdb/rhythmdb.c: (rhythmdb_process_stat_event):
	Add missing rhythmdb_commit call.

2008-10-18  Jonathan Matthew  <jonathan@d14n.org>

	* rhythmdb/rhythmdb-tree.c: (version_to_int):
	Use roundf to convert the version number to an integer.
	Maybe it'll work most of the time now.

2008-10-16  Jonathan Matthew  <jonathan@d14n.org>

	* widgets/rb-entry-view.c: (rb_entry_view_dispose):
	Remove the model from the tree view, avoiding deletion events for each
	cell when a11y is enabled; mostly fixes shutdown time.  From #419383.

2008-10-14  Bastien Nocera  <hadess@hadess.net>

	* plugins/ipod/rb-ipod-source.c (hal_udi_is_ipod):
	Check for portable_audio_player.access_method.protocols == ipod
	instead of checking for the name of the device, otherwise we won't be
	catching 3rd-party devices that have iPod-like capabilities like the
	Motorola Rokr phones (Closes: #556070)

2008-10-14  Jonathan Matthew  <jonathan@d14n.org>

	* sources/rb-library-source.c: (sanitize_path):
	The filename bits we're creating here aren't URI fragments, so we
	don't need to escape them as if they were.  Fixes #555767.

2008-10-14  Jonathan Matthew  <jonathan@d14n.org>

	* sources/rb-browser-source.c: (rb_browser_source_constructor),
	(cached_all_query_complete_cb),
	(rb_browser_source_query_complete_cb):
	Now we don't have queries pending when setting the browser query
	model.

2008-10-14  Jonathan Matthew  <jonathan@d14n.org>

	* sources/rb-auto-playlist-source.c:
	(rb_auto_playlist_source_query_complete_cb),
	(rb_auto_playlist_source_do_query),
	(rb_auto_playlist_source_set_query):
	Revert auto playlist changes from the previous commit, they cause
	crashes with limited playlists.

2008-10-14  Jonathan Matthew  <jonathan@d14n.org>

	* sources/rb-browser-source.c: (rb_browser_source_class_init),
	(rb_browser_source_constructor), (rb_browser_source_set_property),
	(rb_browser_source_get_property), (cached_all_query_complete_cb),
	(rb_browser_source_populate),
	(rb_browser_source_query_complete_cb),
	(rb_browser_source_do_query):
	Add a property controlling when the query model is populated.  When
	populating the base query model or running other queries, only attach
	the query model to the browser when the query is complete.

	* sources/rb-auto-playlist-source.c:
	(rb_auto_playlist_source_query_complete_cb),
	(rb_auto_playlist_source_do_query), (cached_all_query_complete_cb),
	(rb_auto_playlist_source_set_query):
	When running queries, only attach the query model to the browser when
	the query is complete.

	* sources/rb-library-source.c: (db_load_complete_cb),
	(rb_library_source_constructor), (rb_library_source_new):
	Only populate the base query model for the library when the database
	is fully loaded.

	From #419383.  The main point of this is to avoid adding lots of rows
	to tree models that are already visible, as when accessibility is
	enabled, each row added triggers a synchronous IPC request.
	This makes it possible to start rhythmbox with a fairly large library
	when a11y is enabled.  Probably makes loading a bit faster otherwise.

2008-10-12  Bastien Nocera  <hadess@hadess.net>

	* corelib/Makefile.am:
	* shell/Makefile.am: Link the corelib against gnome-media-profiles,
	not the shell itself, otherwise we end up with missing symbols that
	aren't from the rb shell
	(see https://bugzilla.redhat.com/show_bug.cgi?id=466651)

2008-10-06  Jonathan Matthew  <jonathan@d14n.org>

	* podcast/rb-podcast-manager.c: (rb_podcast_manager_insert_feed):
	Fix detection of podcast episodes that are no longer available to work
	with the new(ish) location/mountpoint scheme.

2008-10-06  Jonathan Matthew  <jonathan@d14n.org>

	* backends/gstreamer/rb-player-gst-xfade.c:
	(stream_new_decoded_pad_cb), (stream_pad_removed_cb),
	(create_stream):
	When the decoder src pad is removed, allow the next one to be linked
	in its place.  Makes chained ogg playback work when using decodebin2.

2008-10-06  Jonathan Matthew  <jonathan@d14n.org>

	* widgets/rb-song-info.c: (rb_song_info_dispose),
	(rb_song_info_set_source_internal),
	(rb_song_info_base_query_model_changed_cb):
	Use the base query model from the source for completion, rather than
	the current query model, since that's probably more helpful.  Fixes
	#523045.

2008-10-05  Jonathan Matthew  <jonathan@d14n.org>

	* data/glade/create-playlist.glade:
	Don't set a non-zero page size on the spin button used for limit
	settings.
	* sources/rb-auto-playlist-source.c: (impl_save_contents_to_xml):
	Don't try to free the array holding the limit value if there isn't one.

2008-10-03  Bastien Nocera  <hadess@hadess.net>

	* data/icons/hicolor/16x16/actions/Makefile.am:
	* data/icons/hicolor/16x16/actions/audio-cd-duplicate.svg:
	* data/icons/hicolor/16x16/actions/audio-cd-new.svg:
	* data/icons/hicolor/22x22/actions/Makefile.am:
	* data/icons/hicolor/22x22/actions/audio-cd-duplicate.svg:
	* data/icons/hicolor/22x22/actions/audio-cd-new.svg:
	* data/icons/hicolor/32x32/actions/Makefile.am:
	* data/icons/hicolor/32x32/actions/audio-cd-duplicate.svg:
	* data/icons/hicolor/32x32/actions/audio-cd-new.svg:
	* data/icons/hicolor/scalable/actions/Makefile.am:
	* data/icons/hicolor/scalable/actions/audio-cd-duplicate.svg:
	* data/icons/hicolor/scalable/actions/audio-cd-new.svg:
	Add icons from brasero for the "create audio cd" and "duplicate audio
	cd" actions
	* plugins/audiocd/audiocd-ui.xml:
	* plugins/cd-recorder/rb-cd-recorder-plugin.c (cmd_duplicate_cd),
	(is_copy_available), (update_source), (impl_activate):
	When nautilus-cd-burner and cdrdao are available, provide a simple
	way to create a copy of an audio CD (Closes: #550496)

2008-10-03  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/audioscrobbler/rb-lastfm-source.c:
	(handle_handshake_response), (handle_station_response):
	Don't crash if the response data isn't in the format we expect to get
	from last.fm.  Fixes #554695.

2008-10-01  William Jon McCann  <jmccann@redhat.com>

	Patch by James "Doc" Livingston

	* shell/rb-shell.c (construct_widgets):
	Add three pixels of padding around source header.
	Fixes #335812

2008-10-01  William Jon McCann  <jmccann@redhat.com>

	* plugins/cd-recorder/rb-recorder-gst.c (rb_recorder_burn):
	Use burnproof by default.  Fix whitespace issues.
	Fixes #346773

2008-10-01  William Jon McCann  <jmccann@redhat.com>

	* backends/gstreamer/rb-encoder-gst.c:
	* backends/gstreamer/rb-encoder-gst.h:
	* backends/gstreamer/rb-player-gst-xfade.c:
	* backends/gstreamer/rb-player-gst-xfade.h:
	* backends/gstreamer/rb-player-gst.c:
	* backends/gstreamer/rb-player-gst.h:
	* backends/rb-encoder.c:
	* backends/rb-encoder.h:
	* backends/rb-player-gst-data-tee.c:
	* backends/rb-player-gst-data-tee.h:
	* backends/rb-player-gst-filter.c:
	* backends/rb-player-gst-filter.h:
	* backends/rb-player-gst-tee.c:
	* backends/rb-player-gst-tee.h:
	* backends/rb-player.c:
	* backends/rb-player.h:
	* bindings/python/override_common.c:
	* bindings/python/override_common.h:
	* lib/rb-async-queue-watch.c:
	* lib/rb-async-queue-watch.h:
	* lib/rb-debug.c:
	* lib/rb-debug.h:
	* lib/rb-file-helpers.c:
	* lib/rb-file-helpers.h:
	* lib/rb-glade-helpers.c:
	* lib/rb-glade-helpers.h:
	* lib/rb-preferences.h:
	* lib/rb-proxy-config.c:
	* lib/rb-proxy-config.h:
	* lib/rb-stock-icons.c:
	* lib/rb-stock-icons.h:
	* lib/rb-string-value-map.c:
	* lib/rb-string-value-map.h:
	* lib/rb-thread.c:
	* lib/rb-thread.h:
	* lib/rb-util.c:
	* lib/rb-util.h:
	* metadata/rb-metadata-common.c:
	* metadata/rb-metadata-dbus-client.c:
	* metadata/rb-metadata-dbus-service.c:
	* metadata/rb-metadata-dbus.c:
	* metadata/rb-metadata-dbus.h:
	* metadata/rb-metadata-gst.c:
	* metadata/rb-metadata.h:
	* metadata/test-metadata.c:
	* plugins/artdisplay/artdisplay/AmazonCoverArtSearch.py:
	* plugins/artdisplay/artdisplay/CoverArtDatabase.py:
	* plugins/artdisplay/artdisplay/LocalCoverArtSearch.py:
	* plugins/artdisplay/artdisplay/PodcastCoverArtSearch.py:
	* plugins/artdisplay/artdisplay/__init__.py:
	* plugins/audiocd/rb-audiocd-plugin.c:
	* plugins/audiocd/rb-audiocd-source.c:
	* plugins/audiocd/rb-audiocd-source.h:
	* plugins/audioscrobbler/rb-audioscrobbler-entry.c:
	* plugins/audioscrobbler/rb-audioscrobbler-entry.h:
	* plugins/audioscrobbler/rb-audioscrobbler-plugin.c:
	* plugins/audioscrobbler/rb-audioscrobbler.c:
	* plugins/audioscrobbler/rb-audioscrobbler.h:
	* plugins/audioscrobbler/rb-lastfm-source.c:
	* plugins/audioscrobbler/rb-lastfm-source.h:
	* plugins/cd-recorder/rb-cd-recorder-plugin.c:
	* plugins/cd-recorder/rb-playlist-source-recorder.c:
	* plugins/cd-recorder/rb-playlist-source-recorder.h:
	* plugins/cd-recorder/rb-recorder-gst.c:
	* plugins/cd-recorder/rb-recorder.h:
	* plugins/daap/rb-daap-connection.c:
	* plugins/daap/rb-daap-connection.h:
	* plugins/daap/rb-daap-dialog.c:
	* plugins/daap/rb-daap-dialog.h:
	* plugins/daap/rb-daap-hash.c:
	* plugins/daap/rb-daap-hash.h:
	* plugins/daap/rb-daap-mdns-browser-avahi.c:
	* plugins/daap/rb-daap-mdns-browser.h:
	* plugins/daap/rb-daap-mdns-publisher-avahi.c:
	* plugins/daap/rb-daap-mdns-publisher.h:
	* plugins/daap/rb-daap-plugin.c:
	* plugins/daap/rb-daap-plugin.h:
	* plugins/daap/rb-daap-share.c:
	* plugins/daap/rb-daap-share.h:
	* plugins/daap/rb-daap-sharing.c:
	* plugins/daap/rb-daap-sharing.h:
	* plugins/daap/rb-daap-source.c:
	* plugins/daap/rb-daap-source.h:
	* plugins/daap/rb-daap-src.c:
	* plugins/daap/rb-daap-src.h:
	* plugins/daap/rb-daap-structure.c:
	* plugins/daap/rb-daap-structure.h:
	* plugins/fmradio/rb-fm-radio-gst-src.c:
	* plugins/fmradio/rb-fm-radio-plugin.c:
	* plugins/fmradio/rb-fm-radio-source.c:
	* plugins/fmradio/rb-fm-radio-source.h:
	* plugins/fmradio/rb-radio-tuner-v4l2.c:
	* plugins/fmradio/rb-radio-tuner.h:
	* plugins/generic-player/rb-generic-player-playlist-source.c:
	* plugins/generic-player/rb-generic-player-playlist-source.h:
	* plugins/generic-player/rb-generic-player-plugin.c:
	* plugins/generic-player/rb-generic-player-source.c:
	* plugins/generic-player/rb-generic-player-source.h:
	* plugins/generic-player/rb-nokia770-source.c:
	* plugins/generic-player/rb-nokia770-source.h:
	* plugins/generic-player/rb-psp-source.c:
	* plugins/generic-player/rb-psp-source.h:
	* plugins/ipod/rb-ipod-db.c:
	* plugins/ipod/rb-ipod-db.h:
	* plugins/ipod/rb-ipod-plugin.c:
	* plugins/ipod/rb-ipod-source.c:
	* plugins/ipod/rb-ipod-source.h:
	* plugins/iradio/rb-iradio-plugin.c:
	* plugins/iradio/rb-iradio-source.c:
	* plugins/iradio/rb-iradio-source.h:
	* plugins/iradio/rb-station-properties-dialog.c:
	* plugins/iradio/rb-station-properties-dialog.h:
	* plugins/jamendo/jamendo/__init__.py:
	* plugins/lirc/rb-lirc-plugin.c:
	* plugins/lyrics/lyrics/AstrawebParser.py:
	* plugins/lyrics/lyrics/LeoslyricsParser.py:
	* plugins/lyrics/lyrics/LyrcParser.py:
	* plugins/lyrics/lyrics/LyricWikiParser.py:
	* plugins/lyrics/lyrics/LyricsConfigureDialog.py:
	* plugins/lyrics/lyrics/LyricsParse.py:
	* plugins/lyrics/lyrics/WinampcnParser.py:
	* plugins/lyrics/lyrics/__init__.py:
	* plugins/magnatune/magnatune/BuyAlbumHandler.py:
	* plugins/magnatune/magnatune/MagnatuneSource.py:
	* plugins/magnatune/magnatune/TrackListHandler.py:
	* plugins/magnatune/magnatune/__init__.py:
	* plugins/mmkeys/rb-mmkeys-plugin.c:
	* plugins/mtpdevice/rb-mtp-plugin.c:
	* plugins/mtpdevice/rb-mtp-source.c:
	* plugins/mtpdevice/rb-mtp-source.h:
	* plugins/power-manager/rb-power-manager-plugin.c:
	* plugins/pythonconsole/pythonconsole.py:
	* plugins/rb-module.c:
	* plugins/rb-module.h:
	* plugins/rb-plugin-manager.c:
	* plugins/rb-plugin-manager.h:
	* plugins/rb-plugin.c:
	* plugins/rb-plugin.h:
	* plugins/rb-plugins-engine.c:
	* plugins/rb-plugins-engine.h:
	* plugins/rb-python-module.c:
	* plugins/rb-python-module.h:
	* plugins/rb-python-plugin.c:
	* plugins/rb-python-plugin.h:
	* plugins/rb/Coroutine.py:
	* plugins/rb/Loader.py:
	* plugins/rb/__init__.py:
	* plugins/sample/rb-sample-plugin.c:
	* plugins/visualizer/rb-fake-visualizer.c:
	* plugins/visualizer/rb-vis-widget.c:
	* plugins/visualizer/rb-vis-widget.h:
	* plugins/visualizer/rb-visualizer-plugin.c:
	* podcast/rb-feed-podcast-properties-dialog.c:
	* podcast/rb-feed-podcast-properties-dialog.h:
	* podcast/rb-podcast-manager.c:
	* podcast/rb-podcast-manager.h:
	* podcast/rb-podcast-parse.c:
	* podcast/rb-podcast-parse.h:
	* podcast/rb-podcast-properties-dialog.c:
	* podcast/rb-podcast-properties-dialog.h:
	* podcast/test-podcast-parse.c:
	* remote/dbus/rb-client.c:
	* rhythmdb/rb-refstring.c:
	* rhythmdb/rb-refstring.h:
	* rhythmdb/rhythmdb-import-job.c:
	* rhythmdb/rhythmdb-import-job.h:
	* rhythmdb/rhythmdb-monitor.c:
	* rhythmdb/rhythmdb-private.h:
	* rhythmdb/rhythmdb-property-model.c:
	* rhythmdb/rhythmdb-property-model.h:
	* rhythmdb/rhythmdb-query-model.c:
	* rhythmdb/rhythmdb-query-model.h:
	* rhythmdb/rhythmdb-query-results.c:
	* rhythmdb/rhythmdb-query-results.h:
	* rhythmdb/rhythmdb-query.c:
	* rhythmdb/rhythmdb-tree.c:
	* rhythmdb/rhythmdb-tree.h:
	* rhythmdb/rhythmdb.c:
	* rhythmdb/rhythmdb.h:
	* shell/main.c:
	* shell/rb-history.c:
	* shell/rb-history.h:
	* shell/rb-play-order-linear-loop.c:
	* shell/rb-play-order-linear-loop.h:
	* shell/rb-play-order-linear.c:
	* shell/rb-play-order-linear.h:
	* shell/rb-play-order-queue.c:
	* shell/rb-play-order-queue.h:
	* shell/rb-play-order-random-by-age-and-rating.c:
	* shell/rb-play-order-random-by-age-and-rating.h:
	* shell/rb-play-order-random-by-age.c:
	* shell/rb-play-order-random-by-age.h:
	* shell/rb-play-order-random-by-rating.c:
	* shell/rb-play-order-random-by-rating.h:
	* shell/rb-play-order-random-equal-weights.c:
	* shell/rb-play-order-random-equal-weights.h:
	* shell/rb-play-order-random.c:
	* shell/rb-play-order-random.h:
	* shell/rb-play-order-shuffle.c:
	* shell/rb-play-order-shuffle.h:
	* shell/rb-play-order.c:
	* shell/rb-play-order.h:
	* shell/rb-playlist-manager.c:
	* shell/rb-playlist-manager.h:
	* shell/rb-removable-media-manager.c:
	* shell/rb-removable-media-manager.h:
	* shell/rb-shell-clipboard.c:
	* shell/rb-shell-clipboard.h:
	* shell/rb-shell-player.c:
	* shell/rb-shell-player.h:
	* shell/rb-shell-preferences.c:
	* shell/rb-shell-preferences.h:
	* shell/rb-shell.c:
	* shell/rb-shell.h:
	* shell/rb-source-header.c:
	* shell/rb-source-header.h:
	* shell/rb-statusbar.c:
	* shell/rb-statusbar.h:
	* shell/rb-tray-icon.c:
	* shell/rb-tray-icon.h:
	* sources/rb-auto-playlist-source.c:
	* sources/rb-auto-playlist-source.h:
	* sources/rb-browser-source.c:
	* sources/rb-browser-source.h:
	* sources/rb-import-errors-source.c:
	* sources/rb-import-errors-source.h:
	* sources/rb-library-source.c:
	* sources/rb-library-source.h:
	* sources/rb-missing-files-source.c:
	* sources/rb-missing-files-source.h:
	* sources/rb-play-queue-source.c:
	* sources/rb-play-queue-source.h:
	* sources/rb-playlist-source.c:
	* sources/rb-playlist-source.h:
	* sources/rb-playlist-xml.h:
	* sources/rb-podcast-source.c:
	* sources/rb-podcast-source.h:
	* sources/rb-removable-media-source.c:
	* sources/rb-removable-media-source.h:
	* sources/rb-source-group.c:
	* sources/rb-source-group.h:
	* sources/rb-source.c:
	* sources/rb-source.h:
	* sources/rb-sourcelist-model.c:
	* sources/rb-sourcelist-model.h:
	* sources/rb-sourcelist.c:
	* sources/rb-sourcelist.h:
	* sources/rb-static-playlist-source.c:
	* sources/rb-static-playlist-source.h:
	* sources/rb-streaming-source.c:
	* sources/rb-streaming-source.h:
	* tests/bench-rhythmdb-load.c:
	* tests/test-audioscrobbler.c:
	* tests/test-file-helpers.c:
	* tests/test-rb-lib.c:
	* tests/test-rhythmdb-property-model.c:
	* tests/test-rhythmdb-query-model.c:
	* tests/test-rhythmdb-query.c:
	* tests/test-rhythmdb-tree-serialization.c:
	* tests/test-rhythmdb-view.c:
	* tests/test-rhythmdb.c:
	* tests/test-utils.c:
	* tests/test-utils.h:
	* widgets/gedit-message-area.c:
	* widgets/gedit-message-area.h:
	* widgets/rb-dialog.c:
	* widgets/rb-dialog.h:
	* widgets/rb-entry-view.c:
	* widgets/rb-entry-view.h:
	* widgets/rb-header.c:
	* widgets/rb-header.h:
	* widgets/rb-library-browser.c:
	* widgets/rb-library-browser.h:
	* widgets/rb-property-view.c:
	* widgets/rb-property-view.h:
	* widgets/rb-query-creator-private.h:
	* widgets/rb-query-creator-properties.c:
	* widgets/rb-query-creator.c:
	* widgets/rb-query-creator.h:
	* widgets/rb-rating-helper.c:
	* widgets/rb-rating-helper.h:
	* widgets/rb-rating.c:
	* widgets/rb-rating.h:
	* widgets/rb-search-entry.c:
	* widgets/rb-search-entry.h:
	* widgets/rb-song-info.c:
	* widgets/rb-song-info.h:
	* widgets/rb-uri-dialog.c:
	* widgets/rb-uri-dialog.h:
	Fix one of the grammatical errors in the license exception.
	From #513617

2008-10-01  William Jon McCann  <jmccann@redhat.com>

	* plugins/iradio/iradio-initial.pls:
	Add other ogg vorbis iradio stations.
	Fixes #553189

2008-10-01  William Jon McCann  <jmccann@redhat.com>

	* data/rhythmbox.schemas:
	Enable audioscrobbler/last.fm plugin by default now that it
	is in better shape.

2008-10-01  William Jon McCann  <jmccann@redhat.com>

	* plugins/audioscrobbler/audioscrobbler-prefs.glade:
	* plugins/audioscrobbler/rb-audioscrobbler-plugin.c
	(impl_activate), (impl_create_configure_dialog):
	* plugins/audioscrobbler/rb-audioscrobbler.c
	(rb_audioscrobbler_username_entry_focus_out_event_cb),
	(rb_audioscrobbler_password_entry_focus_out_event_cb):
	* plugins/audioscrobbler/rb-audioscrobbler.h:
	* plugins/audioscrobbler/rb-lastfm-source.c (on_gconf_changed_cb),
	(rb_lastfm_source_init), (rb_lastfm_source_dispose),
	(rb_lastfm_source_constructor), (rb_lastfm_source_new),
	(set_message_area_text_and_icon), (set_message_area),
	(on_message_area_response), (show_error_message),
	(update_message_area), (impl_get_status):
	* plugins/audioscrobbler/rb-lastfm-source.h:
	* widgets/Makefile.am:
	* widgets/gedit-message-area.c (gedit_message_area_finalize),
	(get_response_data), (find_button), (gedit_message_area_close),
	(paint_message_area), (gedit_message_area_class_init), (style_set),
	(gedit_message_area_init), (get_response_for_widget),
	(action_widget_activated), (gedit_message_area_add_action_widget),
	(gedit_message_area_set_contents), (gedit_message_area_add_button),
	(add_buttons_valist), (gedit_message_area_add_buttons),
	(gedit_message_area_new), (gedit_message_area_new_with_buttons),
	(gedit_message_area_set_response_sensitive),
	(gedit_message_area_set_default_response),
	(gedit_message_area_response),
	(gedit_message_area_add_stock_button_with_text):
	* widgets/gedit-message-area.h:
	Use a gedit-message-area widget to indicate when information
	is needed to log in to the last.fm server.
	Fixes #553990

2008-10-01  Bastien Nocera  <hadess@hadess.net>

	* plugins/lirc/Makefile.am: The target directory for
	the plugin needs to match that of the module name in the
	plugin definition file, otherwise rb_plugin_find_file
	won't be able to find the additional files.
	Fixes the lirc plugin never loading properly

2008-09-30  William Jon McCann  <jmccann@redhat.com>

	* sources/rb-sourcelist.c (rb_sourcelist_cell_set_background),
	(sourcelist_get_group):
	Increase the indentation of sources instead of using
	a cell background color.
	Fixes #553984

2008-09-30  William Jon McCann  <jmccann@redhat.com>

	* plugins/audioscrobbler/rb-lastfm-source.c:
	Use the favorite emblem for the love icon.
	Fixes #553989

2008-09-29  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  Lasse Bigum  <zenith@zenith.dk>

	* shell/rb-shell.c: (construct_widgets):
	Move the 'bottom' UI location to immediately below the source
	notebook, rather than at the actual bottom of the window.  Fixes
	#545625.

2008-09-28  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/ipod/rb-ipod-source.c: (impl_build_dest_uri):
	Don't crash when dealing with a brand new ipod.  Should fix #552617.

2008-09-28  Jonathan Matthew  <jonathan@d14n.org>

	* data/glade/podcast-feed-properties.glade:
	* data/glade/podcast-properties.glade:
	* plugins/iradio/station-properties.glade:
	Fix some more mnemonic_widget properties.

2008-09-27  Jonathan Matthew  <jonathan@d14n.org>

	* configure.ac:  Fix soupless build a bit.

2008-09-26  William Jon McCann  <jmccann@redhat.com>

	* shell/rb-shell.c (rb_shell_cmd_about):
	Use 2008 in copyright notice.

2008-09-26  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  Johan Frank  <johan.frank@gmail.com>

	* plugins/artdisplay/artdisplay/LocalCoverArtSearch.py:
	Skip unidentified files.  Fixes #553811.

2008-09-26  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/dontreallyclose/dontreallyclose.rb-plugin.in:
	"correct" a "spelling mistake", #553664.

2008-09-25  Jonathan Matthew  <jonathan@d14n.org>

	* data/glade/song-info.glade:
	Fix mnemonic_widget property for 'date added' label.

2008-09-23  Jonathan Matthew  <jonathan@d14n.org>

	patch by: Mika Wahlroos  <mika.wahlroos@iki.fi>

	* widgets/rb-search-entry.c: (rb_search_entry_check_style):
	Make the cursor in the search box black along with the text.
	Fixes #552829.

2008-09-23  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/audiocd/rb-audiocd-source.c:
	(rb_audiocd_is_mount_audiocd):
	Don't crash if g_mount_guess_content_type_sync fails.

2008-09-22  Jonathan Matthew  <jonathan@d14n.org>

	* autogen.sh:
	Pass args through to gnome-autogen.sh explicitly, since it doesn't
	happen implicitly any more.  Fixes #553202.

2008-09-21  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  Bruno Prin  <bruno.prin@gmail.com>

	* plugins/jamendo/jamendo/JamendoSaxHandler.py:
	* plugins/jamendo/jamendo/JamendoSource.py:
	Update for the new Jamendo database dump format.  Fixes #450052.

2008-09-18  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/mtpdevice/rb-mtp-source.c: (impl_delete),
	(rb_mtp_source_transfer_track_to_disk),
	(rb_mtp_source_get_playback_uri), (transfer_track):
	Add some useful debug output

2008-09-18  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/generic-player/rb-psp-source.c: (rb_psp_is_mount_player):
	maybe fix a compile error when HAL is disabled, but who does that?

2008-09-18  Jonathan Matthew  <jonathan@d14n.org>

	* lib/rb-file-helpers.c: (rb_check_dir_has_space),
	(rb_file_find_extant_parent), (rb_uri_get_filesystem_type),
	(rb_sanitize_uri_for_filesystem):
	* lib/rb-file-helpers.h:
	* lib/rb-util.c:
	* lib/rb-util.h:
	rb_check_dir_has_space has to walk up the filesystem to find an
	existing ancestor, like rb_uri_get_filesystem_type, so add a helper
	function to do that part of it.  Rearrange some other things as
	necessary.  Probably fixes #552614 again.

	* tests/test-file-helpers.c: (START_TEST), (rb_file_helpers_suite):
	Add some simple tests for rb_check_dir_has_space.

2008-09-17  Jonathan Matthew  <jonathan@d14n.org>

	* doc/reference/rhythmbox-sections.txt:
	Remove stuff that doesn't need to be documented, purely to make me
	feel better about the coverage percentage gtk-doc spits out.

2008-09-17  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/mtpdevice/rb-mtp-source.c:
	(rb_mtp_source_get_playback_uri), (impl_copy):
	Actually use URIs where we're supposed to.  Probably fixes #552614.

2008-09-16  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  Lasse Bigum  <zenith@zenith.dk>

	* shell/rb-shell.c:  Change the 'side pane' shortcut to F9.
	Fixes #532642.

2008-09-14  Bastien Nocera  <hadess@hadess.net>

	* plugins/mmkeys/rb-mmkeys-plugin.c: Add support for
	the Repeat, Shuffle, and fwd/rew keys (even though
	X doesn't support them yet) (Closes: #540051)

2008-09-14  Jonathan Matthew  <jonathan@d14n.org>

	* COPYING:  Add the GPL exception.  Fixes #551868.

2008-09-14  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  Eric Shattow  <lucent+code@gmail.com>

	* plugins/mtpdevice/rb-mtp-source.c: (mimetype_to_filetype),
	(filetype_to_mimetype):
	Map LIBMTP_FILETYPE_ASF <=> video/x-ms-asf.  Might not be right,
	but probably helps a bit.  Fixes #552105.

2008-09-14  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  Eric Shattow  <lucent+code@gmail.com>

	* plugins/mtpdevice/rb-mtp-source.c: (load_mtp_db_idle_cb):
	Call LIBMTP_Get_Tracklisting_With_Callback to stop libmtp 0.3.0+
	complaining.  Fixes #552108.

2008-09-13  Jonathan Matthew  <jonathan@d14n.org>

	* rhythmdb/rhythmdb.c: (podcast_get_playback_uri):
	Update this for the new local/remote location scheme.

2008-09-13  Jonathan Matthew  <jonathan@d14n.org>

	* rhythmdb/rhythmdb-tree.c: (rhythmdb_tree_parser_end_element):
	Don't drop podcast mountpoint values that start with http://.

2008-09-12  Jonathan Matthew  <jonathan@d14n.org>

	* podcast/rb-podcast-manager.c:
	(rb_podcast_manager_get_podcast_dir):
	If the podcast download location is a path, rather than a URI, convert
	it.  Fixes (hopefully) the last bit of #536500.

2008-09-11  Bastien Nocera  <hadess@hadess.net>

	* podcast/rb-podcast-manager.c
	(rb_podcast_manager_get_podcast_dir):
	Change the default Podcast location to ~/Music (ie. the XDG user dir
	for music), or ~/ if it doesn't exist (Closes: #357768)

2008-09-11  Bastien Nocera  <hadess@hadess.net>

	* podcast/rb-feed-podcast-properties-dialog.c
	(rb_feed_podcast_properties_dialog_update_location):
	* podcast/rb-podcast-manager.c (get_download_location),
	(set_download_location), (get_remote_location),
	(rb_podcast_manager_download_entry),
	(rb_podcast_manager_entry_downloaded),
	(rb_podcast_manager_head_query_cb), (download_error),
	(rb_podcast_manager_next_file), (download_file_info_cb),
	(rb_podcast_manager_save_metadata), (download_progress),
	(podcast_download_thread), (end_job), (cancel_job),
	(rb_podcast_manager_db_entry_deleted_cb),
	(remove_if_not_downloaded):
	* podcast/rb-podcast-properties-dialog.c
	(rb_podcast_properties_dialog_update_location),
	(rb_podcast_properties_dialog_update_download_location):
	* rhythmdb/rhythmdb-tree.c (rhythmdb_tree_parser_start_element),
	(rhythmdb_tree_parser_end_element):
	* rhythmdb/rhythmdb.c (process_deleted_entries_cb):
	Forbid podcasts from showing up in the main library, by using
	the local download location to identify the file as soon as we start
	downloading it (Closes: #323440)

	* tests/podcast-upgrade.xml:
	* tests/test-rhythmdb.c (START_TEST), (rhythmdb_suite), (main):
	Add a test for the database upgrade code above

2008-09-10  Bastien Nocera  <hadess@hadess.net>

	* plugins/audiocd/rb-audiocd-source.c (impl_want_uri): Fix audiocd
	activation from nautilus

2008-09-10  Bastien Nocera  <hadess@hadess.net>

	* sources/rb-removable-media-source.c (impl_want_uri):
	Fix impl_want_uri to detect roots of device properly (Closes: #551653)

2008-09-10  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/generic-player/rb-generic-player-source.c:
	(sanitize_path):
	* sources/rb-library-source.c: (sanitize_path), (impl_paste):
	Our sanitize_path function(s) are used for building URIs, not paths,
	so we need to use g_uri_escape_string rather than
	g_filename_from_utf8; also make library destination URIs safe for the
	target filesystem.  Fixes #550117.

2008-09-10  Jonathan Matthew  <jonathan@d14n.org>

	* podcast/rb-podcast-manager.c: (download_file_info_cb):
	If we get a generic 'failed' error here, continue with the download
	anyway.  Things like 'file not found' and 'permission denied' will
	still be reported correctly.  If the file info query fails, use the
	basename from the original URI for the downloaded file.

	(download_progress):
	Make the debug output a bit less obnoxious.
	
	(podcast_download_thread):
	If we didn't get it from the file info query, try to get the download
	size from the stream.  This doesn't actually work yet.

	Fixes #551540.

2008-09-10  Jonathan Matthew  <jonathan@d14n.org>

	* backends/gstreamer/rb-encoder-gst.c: (attach_output_pipeline):
	Fall back to the default sink for the destination URI if
	we can't create a giostreamsink.  Fixes #551513.

2008-09-09  Jonathan Matthew  <jonathan@d14n.org>

	* shell/rb-shell-player.c: (rb_shell_player_sync_with_source):
	Don't provide a window title here if nothing is playing.
	Fixes #546102.

2008-09-09  Bastien Nocera  <hadess@hadess.net>

	* configure.ac:
	* plugins/audiocd/Makefile.am:
	* plugins/audiocd/rb-audiocd-source.c
	(rb_audiocd_create_track_entry): Link against libgstcdda,
	and access the tags directly to get the duration of the tracks,
	avoids a lot of slow seeking on the CD, and makes loading CDs
	awfully fast (Helps: #551011)

2008-09-07  Jonathan Matthew  <jonathan@d14n.org>

	* configure.ac:
	* data/icons/hicolor/24x24/Makefile.am:
	* data/icons/hicolor/24x24/apps/Makefile.am:
	* data/icons/hicolor/Makefile.am:
	Add 24x24 app icon for reasons no one seems to be able to explain.
	Icon apparently made by Jones Lee  <joneslee85@gmail.com>.
	Fixes #524079.

2008-09-07  Jonathan Matthew  <jonathan@d14n.org>

	* lib/rb-file-helpers.c: (rb_uri_create_parent_dirs):
	Fail a bit less vigorously for badly formed URIs.

2008-09-07  Jonathan Matthew  <jonathan@d14n.org>

	* podcast/rb-podcast-manager.c: (download_file_info_cb),
	(rb_podcast_manager_db_entry_deleted_cb),
	(rb_podcast_manager_get_podcast_dir):
	Construct podcast download locations as URIs rather than file paths.
	Use rb_sanitize_uri_for_filesystem in case the podcast download
	location is on a FAT filesystem.

	* sources/rb-podcast-source.c:
	Don't convert the selected URI into a path before setting the gconf
	key, just use it as-is.

	(rb_podcast_source_btn_file_change_cb):
	* data/rhythmbox.schemas:  Mention that the podcast download
	key is supposed to be a URI.

	Fixes #536500, #415641.

2008-09-07  Jonathan Matthew  <jonathan@d14n.org>

	* metadata/rb-metadata-gst.c:  Ignore RAR files.

2008-09-07  Bastien Nocera  <hadess@hadess.net>

	* plugins/ipod/rb-ipod-source.c (rb_ipod_is_mount_ipod):
	* shell/rb-removable-media-manager.c
	(rb_removable_media_manager_add_mount):
	* sources/rb-removable-media-source.c (impl_want_uri):
	Don't print out warnings when a mount doesn't have a corresponding
	volume (Closes: #551178)

2008-09-06  Jonathan Matthew  <jonathan@d14n.org>

	patch partly by: Colin Leroy <colin at colino.net>

	* lib/rb-file-helpers.c: (rb_sanitize_uri_for_filesystem):
	Treat 'msdos' like vfat and fat.

	* lib/rb-util.c: (rb_uri_get_filesystem_type):
	If the URI we're checking doesn't exist, walk up the hierarchy until
	we find something that does.  From #550117.

2008-09-06  Jonathan Matthew  <jonathan@d14n.org>

	* backends/gstreamer/rb-player-gst-xfade.c: (start_sink):
	During sink startup, pass error messages from stream bins to the
	normal message handler rather than assuming that they indicate a
	problem with the sink.  From #550271.

2008-09-06  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  Ernst Persson <ernstp@gmail.com>

	* sources/rb-source-group.h:
	Move the device source group above the playlist group.
	Fixes #487618.

2008-09-06  Jonathan Matthew  <jonathan@d14n.org>

	* remote/dbus/rb-client.c: (parse_pattern):
	* sources/rb-library-source.c: (filepath_parse_pattern):
	Implement %ts, %as, %tS, and %aS (artist sortname) substitutions.

2008-09-05  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/audiocd/rb-audiocd-plugin.c: (create_source_cb),
	(impl_activate):
	* plugins/audiocd/rb-audiocd-source.c: (rb_audiocd_source_new),
	(rb_audiocd_is_mount_audiocd):
	* plugins/audiocd/rb-audiocd-source.h:
	Detect audio CDs based on gio mounts rather than volumes, since we
	require the volume to be mounted.  Sometimes the mount hasn't finished
	by the time we get the volume-added signal, so this works a bit more
	reliably.

2008-09-05  Jonathan Matthew  <jonathan@d14n.org>

	* shell/rb-removable-media-manager.c:
	Fix typo in gtk-doc comments.

2008-09-05  Bastien Nocera  <hadess@hadess.net>

	* plugins/audiocd/rb-audiocd-source.c
	(rb_audiocd_is_volume_audiocd): Also work on older versions
	of glib (Closes: #549458)

2008-09-05  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/audiocd/sj-metadata-gvfs.c:
	* plugins/audiocd/sj-metadata-gvfs.h:
	New files missing from the previous commit.

2008-09-05  Bastien Nocera  <hadess@hadess.net>

	* configure.ac:
	* plugins/audiocd/Makefile.am:
	* plugins/audiocd/rb-audiocd-source.c (metadata_cb),
	(metadata_cancelled_cb), (rb_audiocd_load_metadata),
	(rb_audiocd_is_volume_audiocd):
	* plugins/audiocd/sj-*.[ch]:
	* plugins/audiocd/update-from-egg.sh: Update from sound-juicer
	trunk, adds CD-Text support via gvfs trunk, and Musicbrainz3
	(Closes: #550481)

2008-09-04  Jonathan Matthew  <jonathan@d14n.org>

	* lib/rb-file-helpers.c: (check_file_is_directory),
	(create_parent_dirs), (rb_uri_create_parent_dirs):
	Don't call g_file_make_directory_with_parents if the directory
	we want already exists.  Fixes #550461.

2008-09-03  Jonathan Matthew  <jonathan@d14n.org>

	* backends/gstreamer/rb-player-gst-xfade.c: (perform_seek_idle),
	(unlink_blocked_cb):
	Don't seek from pad block callbacks, it tends to cause crashes when
	playing mp3 streams using mad.

2008-09-02  Bastien Nocera  <hadess@hadess.net>

	* autogen.sh: Allow using the plugins uninstalled with the default
	developer build

2008-09-02  Bastien Nocera  <hadess@hadess.net>

	* sources/rb-removable-media-source.c
	(rb_removable_media_source_constructor): Fix warnings (and missing
	icon when getting the mount from the volume, as with audio CDs

2008-09-01  Bastien Nocera  <hadess@hadess.net>

	* data/rhythmbox.desktop.in.in: Add audio/x-vorbis+ogg as a supported
	mime-type

2008-09-01  Jonathan Matthew  <jonathan@d14n.org>

	* backends/gstreamer/rb-player-gst-xfade.c: (unlink_blocked_cb):
	Take the sink lock earlier to protect against our pad block
	callback being called simulatenously on multiple threads.
	(stop_sink):
	Perform downward state changes from sink to source, as GStreamer
	itself does.  Should fix occasional deadlocking.

2008-08-31  Jonathan Matthew  <jonathan@d14n.org>

	* backends/gstreamer/rb-encoder-gst.c: (prompt_for_overwrite):
	Don't unref the file info object until we're done with the strings
	we pulled out of it.

2008-08-31  Jonathan Matthew  <jonathan@d14n.org>

	patch by: John Millikin  <jmillikin@gmail.com>

	* metadata/rb-metadata-gst.c:
	Ignore PDF files.  Fixes #548046.

2008-08-29  Jonathan Matthew  <jonathan@d14n.org>

	* doc/reference/rhythmbox-sections.txt:
	* shell/rb-removable-media-manager.c:
	(rb_removable_media_manager_class_init), (error_cb):
	* shell/rb-removable-media-manager.h:
	Add gtk-doc for RBRemovableMediaManager

2008-08-27  Bastien Nocera  <hadess@hadess.net>

	* data/rhythmbox.schemas: Add support for the zune:// and
	zcast:// URLs schemes, as per totem-pl-parser changes in
	bug #549032
	See http://www.bbc.co.uk/radio/podcasts/xtra/ for examples

2008-08-26  Bastien Nocera  <hadess@hadess.net>

	* configure.ac:
	* podcast/Makefile.am:
	* podcast/npapi.h:
	* podcast/npruntime.h:
	* podcast/npupp.h:
	* podcast/rhythmbox-itms-plugin.cpp: Remove xulrunner/mozilla/
	whatever dependency for the mozilla plugin, saves use recompiles
	on Firefox upgrades (Closes: #541150)

2008-08-23  Jonathan Matthew  <jonathan@d14n.org>

	* podcast/rb-podcast-manager.c: (download_progress),
	(podcast_download_thread):
	Fix overflows in progress percentage calculation.

2008-08-14  Bastien Nocera  <hadess@hadess.net>

	* lib/rb-util.h:
	* plugins/lirc/Makefile.am:
	* plugins/lirc/rb-lirc-plugin.c (rb_lirc_plugin_read_code),
	(impl_activate):
	* plugins/lirc/rhythmbox_lirc_default: Add a default configuration
	for lirc, so that it works out-of-the-box (Closes: #545555)

2008-08-14  Bastien Nocera  <hadess@hadess.net>

	* sources/rb-podcast-source.c: Remove unneeded libxml include

2008-08-14  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/audioscrobbler/rb-lastfm-source.c:
	(rb_lastfm_source_class_init), (rb_lastfm_source_set_property),
	(rb_lastfm_source_get_property), (rb_lastfm_source_new):
	Make the track entry type the main entry type for the last.fm source,
	and only register that type with the shell.  The shell can only handle
	the main entry type being registered, and crashes when a source that
	does otherwise is created for the second time.  Fixes #546609.

2008-08-12  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/generic-player/rb-psp-source.c:
	(rb_psp_source_class_init), (find_music_dir):
	Fix broken loop in find_music_dir, remove get_mount_path
	implementation - we really want it to return the device root, and then
	provide 'PSP/MUSIC' or 'MUSIC' as the audio folder, but we can't do
	the second part of that yet.  From #547363.

2008-08-11  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  John Daiker  <daikerjohn@gmail.com>

	* data/glade/general-prefs.glade:
	* shell/rb-shell-preferences.c: (rb_shell_preferences_init),
	(rb_shell_preferences_column_check_changed_cb),
	(rb_shell_preferences_sync):
	* sources/rb-browser-source.c: (rb_browser_source_constructor):
	Allow the 'location' column to be optionally displayed in all sources
	like the rest of the columns.  From #397459.

2008-08-10  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/artdisplay/artdisplay/PodcastCoverArtSearch.py:
	Remove unneccessary imports.

2008-08_10  Christophe Fergeau  <teuf@gnome.org>

	patch by:  Linus Walleij  <triad@df.lth.se>

	* plugins/mtp/rb-mtp-source.c: handle playcount and ratings on mtp
	tracks

2008-08-10  Christophe Fergeau  <teuf@gnome.org>

	* plugins/ipod/rb-ipod-source.c: get rid of calls to obsolete
	(noop) libgpod time functions

2008-08-09  Jonathan Matthew  <jonathan@d14n.org>

	* lib/rb-util.c: (rb_threads_init):
	* plugins/audioscrobbler/rb-audioscrobbler.c:
	(rb_audioscrobbler_add_timeout):
	* plugins/rb-plugins-engine.c: (rb_plugins_engine_init):
	* rhythmdb/rhythmdb-monitor.c: (add_changed_file):
	* rhythmdb/rhythmdb-query-model.c:
	(rhythmdb_query_model_set_query_internal):
	* rhythmdb/rhythmdb.c: (rhythmdb_process_one_event):
	* shell/rb-shell.c: (add_to_library_response_cb),
	(idle_handle_load_complete):
	Convert various long period repeating timers to use
	g_timeout_add_seconds in the hope of reducing wakeup frequency.
	From #399012.

2008-08-09  Jonathan Matthew  <jonathan@d14n.org>

	* sources/rb-removable-media-source.c:
	(rb_removable_media_source_constructor):
	Use mount or volume details rather than drive details for removable
	source names and icons.  This should make our device details
	consistent with what nautilus displays.  Also remove an extra unref
	that was causing crashes.  Fixes #494692.

2008-08-09  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/mtpdevice/rb-mtp-plugin.c: (impl_activate),
	(impl_deactivate), (rb_mtp_plugin_setup_dbus_hal_connection):
	If dbus/hal setup fails, don't try to use the hal context.
	Fixes #546500.

2008-08-09  Jonathan Matthew  <jonathan@d14n.org>

	patch partly by:  Linus Walleij  <triad@df.lth.se>

	* configure.ac:
	* plugins/mtpdevice/rb-mtp-source.c:
	Add compatibility with libmtp version 0.3.0; bug #546962.

2008-08-07  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/rb/Loader.py:
	Fix the gio implementation of rb.Loader, and only use it with pygio
	2.15.3 or later.

2008-08-06  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/audiocd/rb-audiocd-source.c:
	(rb_audiocd_is_volume_audiocd):
	Don't check the disc type when deciding if a volume is an audio CD,
	just check it's a disc that has audio.

2008-08-05  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/artdisplay/artdisplay/__init__.py:
	Remove the right widget from the side pane when the art display plugin
	is being deactivated.

2008-08-05  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  Johannes H. Jensen  <joh@pseudoberries.com>

	* lib/Makefile.am:
	* lib/md5.c:
	* lib/md5.h:
	* plugins/audioscrobbler/rb-audioscrobbler.c: (mkmd5):
	* plugins/audioscrobbler/rb-lastfm-source.c: (mkmd5):
	Use GChecksum to calculate MD5 hashes.  Remove the MD5 code we were
	shipping.  Fixes #524827.

2008-08-05  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  Raul Soriano  <GatoLoko@gmail.com>

	* remote/dbus/rb-client.c: (parse_pattern):
	Add '%tb' substitution parameter, giving the track bitrate.
	Fixes #545930.

2008-08-04  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/audioscrobbler/rb-lastfm-source.c:
	(rb_lastfm_source_title_from_uri):
	* plugins/ipod/rb-ipod-source.c: (ipod_get_filename_for_uri):
	* plugins/iradio/rb-iradio-source.c:
	(rb_iradio_source_add_station):
	* plugins/iradio/rb-station-properties-dialog.c:
	(rb_station_properties_dialog_update_location):
	* podcast/rb-feed-podcast-properties-dialog.c:
	(rb_feed_podcast_properties_dialog_update_location):
	* podcast/rb-podcast-properties-dialog.c:
	(rb_podcast_properties_dialog_update_location),
	(rb_podcast_properties_dialog_update_download_location):
	* rhythmdb/rhythmdb.c: (make_access_failed_error):
	* sources/rb-library-source.c:
	(rb_library_source_location_button_clicked_cb),
	(rb_library_source_preferences_sync):
	* widgets/rb-entry-view.c: (rb_entry_view_location_cell_data_func):
	* widgets/rb-query-creator-properties.c:
	(escapedStringCriteriaSetWidgetData):
	* widgets/rb-song-info.c: (rb_song_info_update_location):
	All the g_uri_unescape_string calls were wrong.  We're using it for
	display purposes, so there's no reason to reject any strings.
	Fixes #546203.

2008-08-04  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  Wendy Hu  <Huiwe.Hu@sun.com>

	* backends/gstreamer/rb-player-gst.c:
	(rb_player_gst_handle_missing_plugin_message):
	Don't unref missing plugin messages, we don't own a reference.
	Fixes #546188.

2008-07-31  Jonathan Matthew  <jonathan@d14n.org>

	* lib/rb-file-helpers.c: (rb_uri_mkstemp):
	Fix a stupid typo that broke tag writing

2008-07-31  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  Sebastien Bacher  <seb128@debian.org>

	* lib/rb-file-helpers.c: (rb_dot_dir):
	* plugins/cd-recorder/rb-playlist-source-recorder.c:
	(error_dialog):
	* shell/rb-shell-preferences.c: (help_cb):
	* shell/rb-shell.c: (rb_shell_create_mount_op_cb):
	Various compile fixes, some in code I never even compiled before I
	checked it in.  oops.

2008-07-30  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  Matthias Clasen  <mclasen@redhat.com>

	* lib/rb-stock-icons.c:
	* sources/rb-podcast-source.c: (rb_podcast_source_init):
	* widgets/rb-entry-view.c: (rb_entry_view_init),
	(rb_entry_view_constructor):
	Use standard icon names.  Fixes #544917.

2008-07-30  Christophe Fergeau <teuf@gnome.org>

	* metadata/rb-metadata.h
	* doc/reference/rhythmbox-sections.txt: remove unused
	RB_METADATA_NUM_FIELDS define

2008-07-30  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/cd-recorder/rb-playlist-source-recorder.c:
	(error_dialog), (insert_media_request_cb), (ask_rewrite_disc),
	(rb_playlist_source_recorder_constructor):
	* plugins/cd-recorder/rb-recorder-gst.c: (rb_recorder_burn):
	Fix more format string warnings

2008-07-30  Jonathan Matthew  <jonathan@d14n.org>

	* lib/rb-proxy-config.c:  Fix build without libsoup 2.4.

2008-07-29  Jonathan Matthew  <jonathan@d14n.org>

	GIO port, 6+ months in the making.
	magnatune and jamendo plugins still need to be ported, and something
	still needs to happen with the mtp plugin too.

	* configure.ac:
	* backends/gstreamer/Makefile.am:
	* lib/Makefile.am:
	Increase required versions of glib and nautilus-cd-burner (for gio),
	and libsoup and gstreamer.  Drop howl mdns support.

	* lib/gsequence.c:
	* lib/gsequence.h:
	* shell/rb-history.c:
	* rhythmdb/rhythmdb-property-model.c:
	* rhythmdb/rhythmdb-query-model.c:
	Drop our internal copy of gsequence.  It was added to glib in 2.14, we
	require 2.16 now.

	* shell/Makefile.am:
	* backends/rb-player.c: (rb_player_new):
	* backends/gstreamer/rb-player-gst-xfade.c:
	(rb_player_gst_xfade_class_init),
	(rb_player_gst_xfade_handle_missing_plugin_message),
	(rb_player_gst_xfade_bus_cb):
	* backends/gstreamer/rb-player-gst.c: (rb_player_gst_class_init),
	(rb_player_gst_handle_missing_plugin_message),
	(rb_player_gst_bus_cb):
	Always compile in the crossfading player backend and GStreamer missing
	plugin support.

	* lib/rb-proxy-config.c: (rb_proxy_config_get_libsoup_uri):
	* lib/rb-proxy-config.h:
	* lib/rb-soup-compat.h:
	Drop libsoup 2.2.

	* backends/gstreamer/rb-encoder-gst.c:
	(rb_encoder_gst_emit_completed), (new_decoded_pad_cb),
	(prompt_for_overwrite), (attach_output_pipeline),
	(rb_encoder_gst_encode):
	Where possible, use giostreamsink.  When creating the output stream,
	prompt for overwriting if the target file already exists.  If
	giostreamsink can't write to the target location, use whatever sink
	gstreamer wants to use, without the overwrite prompt.

	* lib/eel-gconf-extensions.c:
	* lib/rb-file-helpers.c:
	* lib/rb-file-helpers.h:
	* lib/rb-util.c:
	* lib/rb-util.h:
	Rewrite file helper functions using gio, dropping some we don't need
	any more (rb_uri_resolve_relative, mostly).  rb_uri_handle_recursively
	and rb_uri_handle_recursively_async are now mostly our own
	implementation, as gio doesn't provide anything like these functions.
	Add some functions to check for free space on the drive containing a
	directory, and something like g_file_make_directory_with_parents.

	Leave URI canonicalisation up to gio entirely - just create a GFile
	from the URI (or whatever) and extract the URI from it.

	* metadata/rb-metadata-dbus-service.c: (main):
	* metadata/rb-metadata-gst.c: (rb_metadata_init),
	(make_undecodable_error), (rb_metadata_gst_unknown_type_cb),
	(rb_metadata_handle_missing_plugin_message),
	(rb_metadata_bus_handler), (rb_metadata_load), (rb_metadata_save),
	(rb_metadata_has_missing_plugins),
	(rb_metadata_get_missing_plugins):
	* metadata/rb-metadata.h:
	Remove gnome-vfs and gnome-authentication calls, remove #ifdefs for
	missing plugin support, and use giostreamsink to create temporary
	tag-writing output files and rename them over the original file.

	* plugins/Makefile.am:
	* plugins/audiocd/rb-audiocd-plugin.c:
	* plugins/audiocd/rb-audiocd-source.c:
	* plugins/audiocd/rb-audiocd-source.h:
	* plugins/audiocd/sj-metadata-musicbrainz.c:
	Instead of nautilus-cd-burner, ask HAL to identify audio CDs for us.
	n-c-b wasn't really helping us much here.

	* plugins/audioscrobbler/rb-audioscrobbler-entry.c:
	* plugins/audioscrobbler/rb-audioscrobbler-entry.h:
	* plugins/audioscrobbler/rb-audioscrobbler.c:
	* plugins/audioscrobbler/rb-lastfm-source.c:
	Drop libsoup 2.2 compatibility, use gio to load and save the queue
	file.

	* plugins/cd-recorder/rb-cd-recorder-plugin.c:
	* plugins/cd-recorder/rb-playlist-source-recorder.c:
	* plugins/cd-recorder/rb-recorder-gst.c:
	Drop heaps of #ifdefs for old n-c-b versions, move free space checks
	to rb-util.

	* plugins/daap/Makefile.am:
	* plugins/daap/rb-daap-connection.c:
	* plugins/daap/rb-daap-plugin.c:
	* plugins/daap/rb-daap-share.c:
	* plugins/daap/rb-daap-src.c:
	* plugins/daap/rb-daap-mdns-browser-howl.c:
	* plugins/daap/rb-daap-mdns-publisher-howl.c:
	Drop howl mdns and libsoup 2.2 support.  Use gio to send files to
	clients.

	* plugins/generic-player/rb-generic-player-playlist-source.c:
	* plugins/generic-player/rb-generic-player-plugin.c:
	* plugins/generic-player/rb-generic-player-source.c:
	* plugins/generic-player/rb-generic-player-source.h:
	* plugins/generic-player/rb-nokia770-source.c:
	* plugins/generic-player/rb-nokia770-source.h:
	* plugins/generic-player/rb-psp-source.c:
	* plugins/generic-player/rb-psp-source.h:
	Rewrite all file handling code with gio, create sources based off
	GMounts.  Probably not using the right drive/volume name yet.
	PSP and nokia770 sources are completely untested.

	* plugins/ipod/rb-ipod-db.c:
	* plugins/ipod/rb-ipod-db.h:
	* plugins/ipod/rb-ipod-plugin.c:
	* plugins/ipod/rb-ipod-source.c:
	* plugins/ipod/rb-ipod-source.h:
	Rewrite file/path handling code with gio.

	* plugins/iradio/rb-iradio-source.c:
	* plugins/iradio/rb-station-properties-dialog.c:
	Use gio URI/file functions, replace gnome_vfs_uri_list_parse with
	rb_uri_list_parse.

	* plugins/magnatune/magnatune/BuyAlbumHandler.py:
	* plugins/magnatune/magnatune/__init__.py:
	Remove unnecessary gnomevfs imports

	* plugins/mtpdevice/rb-mtp-plugin.c:
	* plugins/mtpdevice/rb-mtp-source.c:
	Rewrite some file handling code using gio, use new free space checking
	function in rb-file-helpers.

	* plugins/rb-plugins-engine.c:
	Rewrite plugin scanning code with gio.

	* plugins/rb/Loader.py:
	Add a gio loader implementation that probably doesn't work, drop the
	urllib implementation (we'll require a new enough version of pygobject
	to allow us to just use the gio implementation soon)

	* podcast/rb-feed-podcast-properties-dialog.c:
	* podcast/rb-podcast-manager.c:
	* podcast/rb-podcast-parse.c:
	* podcast/rb-podcast-properties-dialog.c:
	* podcast/test-podcast-parse.c: (main):
	gio doesn't provide anything like gnome_vfs_async_xfer (thankfully!),
	so add our own simple download thread.  Implement simple easily-fooled
	download resume by seeking to an offset equal to the current size of
	the local file.  Rewrite content type checking and URI display code
	with gio.

	* remote/dbus/Makefile.am:
	* remote/dbus/rb-client.c: (main):
	Remove glib version checks, rewrite argument handling using gio.

	* rhythmdb/rhythmdb-import-job.c:
	Update for rb_uri_handle_recursively_async changes, use a GCancellable
	to cancel the import.
	
	* rhythmdb/rhythmdb-monitor.c:
	Use gio file/directory monitoring.  Not quite using it fully yet -
	G_FILE_MONITOR_EVENT_CHANGES_DONE_HINT is probably useful.

	* rhythmdb/rhythmdb-tree.c:
	Bump database format number, as URIs need to be canonicalised yet
	again.  Use a GCancellable to cancel loading.

	* rhythmdb/Makefile.am:
	* rhythmdb/rhythmdb-private.h:
	* lib/rb-marshal.list:
	* rhythmdb/rhythmdb.c:
	* rhythmdb/rhythmdb.h:
	gio doesn't have a 'stat 10000 files' function, so implement it ourselves
	with a thread.  Attempt to mount volumes as required, emitting a
	signal to create a mount operation (rhythmdb theoretically shouldn't
	use gtk).  Move directory recursion into the action thread, rather
	than creating a new thread each time.  Use GSlice to allocate
	RhythmDBEvent and RhythmDBAction structures; we often have quite a lot
	of them.  Remove the gnome-vfs trash code, leaving the gio code added
	before 0.11.5.

	* shell/main.c: (main), (load_uri_args):
	Remove gnome authentication manager calls.  Use gio to process
	commandline args.

	* shell/rb-missing-plugins.c: (rb_missing_plugins_init):
	* shell/rb-playlist-manager.c:
	* shell/rb-shell-player.c: (rb_shell_player_class_init),
	(volume_pre_unmount_cb), (rb_shell_player_init),
	(missing_plugins_cb):
	* shell/rb-shell-preferences.c: (help_cb),
	(rb_shell_preferences_init), (rb_shell_preferences_sync):
	* shell/rb-shell.c: (rb_shell_create_mount_op_cb), (construct_db),
	(rb_shell_cmd_contents), (rb_shell_load_uri):
	* shell/rb-tray-icon.c: (rb_tray_icon_drop_cb):
	Various bits of rewriting for gio.  With new enough gtk+, use
	gtk_show_uri to display help rather than gnome_help_display, and
	create gtk mount operations when requested by rhythmdb.

	* bindings/python/rb.override:
	* shell/rb-removable-media-manager.c:
	* shell/rb-removable-media-manager.h:
	* sources/rb-removable-media-source.c:
	Use gio's drive/volume/mount monitor.  Handle both mounts and volumes
	because in some cases (audio CDs, mostly) we don't require the volume
	to be mounted, but mostly we do.  If a source is created for a volume,
	don't allow one to be created for the corresponding mount, and vice
	versa.  When asked to 'eject', first try ejecting the volume, then the
	mount, and then unmount instead.  If eject or unmount fails, don't
	remove the corresponding source.

	* sources/rb-auto-playlist-source.c:
	* sources/rb-browser-source.c:
	* sources/rb-library-source.c:
	* sources/rb-play-queue-source.c:
	* sources/rb-playlist-source.c:
	* sources/rb-podcast-source.c:
	* sources/rb-static-playlist-source.c:
	Rewrite file handling, URI formatting, list parsing, etc. code with
	gio equivalents.

	* widgets/rb-entry-view.c: (rb_entry_view_location_cell_data_func):
	* widgets/rb-entry-view.h:
	* widgets/rb-property-view.c:
	* widgets/rb-query-creator-properties.c:
	(escapedStringCriteriaSetWidgetData),
	(escapedStringCriteriaGetWidgetData):
	* widgets/rb-song-info.c: (rb_song_info_update_filesize),
	(rb_song_info_update_location):
	* widgets/rb-uri-dialog.c:
	Replace gnome-vfs URI formatting and unescaping functions with gio
	equivalents.

	* tests/bench-rhythmdb-load.c: (main):
	* tests/test-audioscrobbler.c: (START_TEST):
	* tests/test-file-helpers.c: (main):
	* tests/test-rhythmdb-property-model.c: (main):
	* tests/test-rhythmdb-query-model.c: (main):
	* tests/test-rhythmdb.c: (main):
	Update test programs, mostly removing gnome_vfs_init() and
	gnome_vfs_shutdown().

	* lib/rb-debug.c: (rb_debug_init_match):
	Add gio log domain to the set we handle to interrupt debuggers.

	From #510392, fixes #319758.

2008-07-29  Christophe Fergeau  <teuf@gnome.org>

	* backends/gstreamer/rb-player-gst.c: (rb_player_gst_construct):
	* rhythmdb/rhythmdb.c: (rhythmdb_load_error_cb): really fix format
	strings warning, the previous commit was wrong

2008-07-28  Christophe Fergeau  <teuf@gnome.org>

	* rhythmdb/rhythmdb.c: add missing %s in format string

2008-07-27  Jonathan Matthew  <jonathan@d14n.org>

	* rhythmdb/rhythmdb-tree.c: (version_to_int):
	Add proper rounding to make it return the right value.

2008-07-27  Jonathan Matthew  <jonathan@d14n.org>

	* doc/reference/tmpl/*.sgml (deleted):
	Delete blank gtk-doc template files.

2008-07-27  Jonathan Matthew  <jonathan@d14n.org>

	* sources/rb-podcast-source.c:
	* sources/rb-podcast-source.h:
	Add gtkdoc for RBPodcastSource, for what little it's worth

2008-07-27  Christophe Fergeau  <teuf@gnome.org>

	* plugins/artdisplay/artdisplay/__init__.py: add 6 pixels of
	padding above and below the cover art widget

2008-07-26  Jonathan Matthew  <jonathan@d14n.org>

	* MAINTAINERS:  I guess I'm maintaining this thing now.

2008-07-26  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  John Daiker  <daikerjohn@gmail.com>

	* shell/rb-shell-player.c: (rb_shell_player_do_previous):
	Update the header widget properly when seeking back to the start of
	the track.  Fixes #334380.

2008-07-21  Jonathan Matthew  <jonathan@d14n.org>

	* metadata/rb-metadata-gst.c: Ignore .bz2 files.

2008-07-19  Jonathan Matthew  <jonathan@d14n.org>

	* backends/gstreamer/rb-player-gst-xfade.c:
	(stream_queue_probe_cb), (stream_queue_threshold_cb),
	(stream_queue_underrun_cb), (get_times_and_stream):
	If we're pretending a stream is playing in order to display buffering
	status, then we should also use its position (0) and duration for tick
	events etc.  Fixes last.fm submission of songs played from last.fm
	streams, oddly enough.

2008-07-16  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/pythonconsole/pythonconsole.py:
	Explain how to use the python debugger a bit.  Fixes #541445.

2008-07-16  Bastien Nocera  <hadess@hadess.net>

	* plugins/dontreallyclose/Makefile.am: Fix another automake
	warning about a redefined variable

2008-07-16  Bastien Nocera  <hadess@hadess.net>

	* plugins/audioscrobbler/Makefile.am: Remove trailing spaces
	after the backslash

2008-07-12  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  Ed Catmur  <ed@catmur.co.uk>

	* sources/rb-sourcelist.c: (rb_sourcelist_class_init):
	Stop using a deprecated gtk marshaler.  Fixes #542456.

2008-07-09  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  Dereck Wonnacott  <dereck@gmail.com>

	* shell/rb-tray-icon.c: (rb_tray_icon_scroll_event_cb):
	Make the volume adjustment performed when scrolling over the tray icon
	the same as that of the volume control button.  Fixes #454951.

2008-07-09  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  Raul Soriano  <GatoLoko@gmail.com>

	* remote/dbus/rb-client.c: (parse_pattern):
	Add '%st' substitution parameter, giving the streaming song title.
	Fixes #541725.

============ Version 0.11.6

2008-07-08  Jonathan Matthew  <jonathan@d14n.org>

	* configure.ac:
	Don't require intltool 0.40.0.

2008-07-07  Jonathan Matthew  <jonathan@d14n.org>

	* NEWS:
	* README:
	* configure.ac:
	Release 0.11.6

2008-07-07  Jonathan Matthew  <jonathan@d14n.org>

	* Makefile.am:
	* configure.ac:
	Require intltool 0.40.0.

2008-07-06  Colin Walters  <walters@verbum.org>

	* lib/eel-gconf-extensions.c,
	* plugins/daap/rb-daap-structure.c,
	* plugins/rb-module.c: Always use g_warning with a non-dynamic format
	specifier.

2008-07-02  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/ipod/rb-ipod-source.c: (impl_get_mime_types):
	Revert half of the fix for #508537, as we can't encode ipod-compatible
	AAC files yet.

2008-07-02  Bastien Nocera  <hadess@hadess.net>

	* configure.ac:
	* plugins/Makefile.am:
	* plugins/dontreallyclose/Makefile.am:
	* plugins/dontreallyclose/dontreallyclose.py:
	* plugins/dontreallyclose/dontreallyclose.rb-plugin.in:
	Add a plugin by Jonathan to allow minimising to the tray
	(Closes: #318629)

2008-07-02  Jonathan Matthew  <jonathan@d14n.org>

	* configure.ac:
	* plugins/sample-vala/Makefile.am:
	Use valac -C so it doesn't try to compile the code itself.
	Apparently requires vala 0.1.0, but maybe I'm wrong.  Fixes #537338.

2008-07-01  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  Alfredo Pironti  <alfredio@fastwebnet.it>

	* plugins/lirc/rb-lirc-plugin.c: (rb_lirc_plugin_read_code),
	(impl_activate), (impl_deactivate):
	Add lirc 'quit' command that surprisingly quits rhythmbox.  Fixes
	#540610.

2008-06-28  Jonathan Matthew  <jonathan@d14n.org>

	* shell/rb-shell-player.c: (rb_shell_player_constructor),
	(rb_shell_player_handle_eos_unlocked),
	(rb_shell_player_slider_dragging_cb),
	(rb_shell_player_set_playing_time), (tick_cb):
	If the seek slider is still being dragged when we reach EOS, wait
	until it's released; if a seek occurs before then, forget about it.
	Fixes #140020.

	* widgets/rb-header.c: (rb_header_class_init),
	(rb_header_set_playing_entry_internal), (rb_header_set_property),
	(rb_header_get_property), (rb_header_sync), (rb_header_sync_time),
	(slider_press_callback), (slider_moved_timeout),
	(slider_moved_callback), (apply_slider_position),
	(slider_release_callback), (slider_changed_callback):
	Add the 'slider-dragging' property used above.  Rearrange various
	bits of code to behave a little bit better, most importantly removing
	the idle handler that just screwed things up.  Set the upper bound on
	the slider unconditionally when the playing entry changes, fixing
	#496816.

2008-06-27  Bastien Nocera  <hadess@hadess.net>

	* lib/rb-util.c (rb_scale_pixbuf_to_size):
	* lib/rb-util.h:
	* shell/rb-shell.c (rb_shell_db_metadata_art_cb): Add
	rb_scale_pixbuf_to_size to scale to a specific GtkIconSize,
	respecting the scale ratio (Closes: #528231)

2008-06-27  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/daap/rb-daap-share.c: (parse_meta):
	Don't crash if there's no 'meta=' query arg in the request.
	Probably fixes #540391.

2008-06-26  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/audioscrobbler/rb-lastfm-source.c:
	(rb_lastfm_source_station_activated_cb), (handle_station_response),
	(handle_playlist_response):
	Update last.fm station last-played time when we successfully parse a
	playlist.

2008-06-26  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/audioscrobbler/rb-lastfm-source.c:
	(rb_lastfm_source_new):
	* plugins/magnatune/magnatune/__init__.py:
	Don't use RHYTHMDB_ENTRY_STREAM category for magnatune or last.fm
	tracks.  Fixes #515337, also related to #518231.

2008-06-26  Jonathan Matthew  <jonathan@d14n.org>

	* bindings/python/rb.defs:
	* widgets/rb-entry-view.c: (rb_entry_view_get_column):
	* widgets/rb-entry-view.h:
	Add a method for accessing the predefined entry view columns.

2008-06-24  Christophe Fergeau  <teuf@gnome.org>

	* plugins/ipod/rb-ipod-source.c: (create_ipod_song_from_entry):
	simpler way of setting year for tracks added to the ipod

2008-06-23  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/audioscrobbler/rb-lastfm-source.c:
	(rb_lastfm_source_dispose), (rb_lastfm_source_constructor),
	(rb_lastfm_source_new), (impl_delete), (playing_song_changed_cb),
	(rb_lastfm_source_station_activated_cb),
	(rb_lastfm_source_station_selection_cb), (handle_station_response),
	(xspf_entry_parsed), (handle_playlist_response),
	(handle_playlist_response_and_skip), (queue_get_playlist),
	(queue_get_playlist_and_skip):
	Use a single query model to store our last.fm playlist; we don't
	really have per-station playlists anyway, so it was stupid to pretend
	we did.  Instead of changing station when the selection changes, just
	use the selected station when we need to refresh the playlist.  If the
	station is activated, however, refresh the playlist and then skip to
	the first track.

2008-06-23  Jonathan Matthew  <jonathan@d14n.org>

	* doc/reference/rhythmbox-sections.txt:
	* shell/rb-playlist-manager.c: (rb_playlist_manager_class_init):
	* shell/rb-playlist-manager.h:
	* sources/rb-library-source.c:
	* sources/rb-library-source.h:
	gtk-doc for RBPlaylistManager and RBLibrarySource.
	also remove rb_library_source_add_location, as it was unused.

2008-06-22  Jonathan Matthew  <jonathan@d14n.org>

	* shell/rb-shell-clipboard.c:
	* shell/rb-shell-clipboard.h:
	gtk-doc for RBShellClipboard
	
	* doc/reference/rhythmbox-sections.txt:
	Remove vast amounts of stuff we don't really need to document

2008-06-22  Jonathan Matthew  <jonathan@d14n.org>

	* doc/reference/rhythmbox-sections.txt:
	* shell/rb-shell-preferences.c:
	* shell/rb-shell-preferences.h:
	* sources/rb-browser-source.c:
	* sources/rb-browser-source.h:
	gtk-doc for RBShellPreferences and RBBrowserSource

2008-06-22  Jonathan Matthew  <jonathan@d14n.org>

	* shell/rb-shell-player.c: (rb_shell_player_class_init),
	(rb_shell_player_get_playing_path):
	* shell/rb-shell-player.h:
	gtk-doc for RBShellPlayer

2008-06-20  Christophe Fergeau  <teuf@gnome.org>

	* plugins/ipod/rb-ipod-source.c: read/write sort artist when
	transferring tracks between the library and an ipod

2008-06-20  Christophe Fergeau  <teuf@gnome.org>

	* plugins/ipod/rb-ipod-source.c: add an explanation about why we
	need a g_object_ref(_sink) in add_rb_playlist

2008-06-20  Christophe Fergeau  <teuf@gnome.org>

	patch by: Colin Leroy <colin at colino.net>

	* plugins/ipod/rb-ipod-source.c: 
	* plugins/ipod/rb-ipod-static-playlist-source.c: revert previous commit 
	which was wrong, really fix bug #451265 by releasing the iPodDB and
	RbIpodSource references in
	RbIpodStaticPlaylistSource::delete_thyself instead of doing it in
	RbIpodStaticPlaylistSource::dispose

2008-06-18  Christophe Fergeau  <teuf@gnome.org>

	patch by: Colin Leroy <colin at colino.net>

	* plugins/ipod/rb-ipod-source.c: (add_rb_playlist): remove extra
	g_object_ref when creating a new playlist. This extra ref prevented
	RbIpodSource and RbIpodDB objects from being disposed on
	RbIpodSource::delete_thyself, which prevented proper saving of the
	ipod database on ipod ejection. Fixes bug #451265

2008-06-18  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/audioscrobbler/rb-lastfm-source.c:
	(rb_lastfm_source_title_from_uri):
	Add translator comment for the 'user tag radio' format string.
	Fixes #538831.

2008-06-17  Jonathan Matthew  <jonathan@d14n.org>

	patch by: John Millikin  <jmillikin@gmail.com>

	* backends/gstreamer/rb-player-gst.c: (process_tag):
	Fix a leak when we can't transform the tag value.  Fixes #538690.

2008-06-15  Christophe Fergeau  <teuf@gnome.org>

	patch by:  Niels Vorgaard Christensen <vorgaard.c@math.ku.dk>

	* plugins/ipod/rb-ipod-source.c: properly use podcast date and time
	when transferring a podcast to the ipod, fixes bug #528814

2008-06-15  Jonathan Matthew  <jonathan@d14n.org>

	patch by: Luca Ferretti  <elle.uca@libero.it>

	* plugins/audioscrobbler/rb-lastfm-source.c:
	* plugins/cd-recorder/rb-cd-recorder-plugin.c: (impl_activate):
	* plugins/iradio/rb-iradio-source.c:
	(rb_iradio_source_constructor):
	* shell/rb-removable-media-manager.c:
	(rb_removable_media_manager_set_uimanager):
	* sources/rb-play-queue-source.c:
	(rb_play_queue_source_constructor):
	* sources/rb-podcast-source.c: (rb_podcast_source_constructor):
	Use short labels for toolbar buttons actions to avoid wasting space
	when the subject of the action is clear from context.  From #516846.

2008-06-15  Christophe Fergeau  <teuf@gnome.org>

	patch by: Colin Leroy <colin at colino.net>

	* lib/rb-file-helpers.h:
	* lib/rb-file-helpers.c: add rb_sanitize_uri_for_filesystem which 
	filters out chars which are invalid on fat/vfat partitions
	* lib/rb-util.h:
	* lib/rb-util.c: add function to get the filesystem type given an
	uri
	* sources/rb-removable-media-source.c: sanitize filenames (ie strip
	invalid characters on the destination filename) before transferring
	a track to a removable device
	Fixes bug #374078

2008-06-15  Jonathan Matthew  <jonathan@d14n.org>

	patch by: John Millikin  <jmillikin@gmail.com>

	* bindings/python/rhythmdb.override:
	Improve bindings for keyword methods: don't require a refstring for
	the keyword to already exist when adding one, and add an override for
	entry_keywords_get().  From #324540.

2008-06-15  Jonathan Matthew  <jonathan@d14n.org>

	* configure.ac:
	Require totem-pl-parser 2.22.0 for some XSPF changes needed for
	last.fm streaming.

2008-06-15  Jonathan Matthew  <jonathan@d14n.org>

	* shell/rb-shell-player.c: (rb_shell_player_set_source_internal),
	(rb_shell_player_set_queue_source_internal),
	(rb_shell_player_get_playing_entry),
	(rb_shell_player_set_playing_entry),
	(rb_shell_player_play_order_update_cb),
	(rb_shell_player_do_previous), (rb_shell_player_do_next_internal),
	(rb_shell_player_playpause), (rb_shell_player_entry_activated_cb),
	(rb_shell_player_property_row_activated_cb),
	(actually_set_playing_source):
	* sources/rb-play-queue-source.c: (rb_play_queue_source_dispose),
	(rb_play_queue_source_class_init),
	(rb_play_queue_source_constructor),
	(rb_play_queue_source_get_property):
	* sources/rb-source.c: (rb_source_class_init),
	(rb_source_get_property):
	Allow the current playing source to provide its own play order,
	overriding the user's selected play order.  Rework some bits of the
	play queue code to use this.
	
	* rhythmdb/rhythmdb.h:
	Add #defines for cover art extra metadata items.

	* sources/rb-streaming-source.c:
	(rb_streaming_source_get_progress):
	Fix some tiny leaks.

	* plugins/audioscrobbler/Makefile.am:
	* plugins/audioscrobbler/audioscrobbler-ui.xml:
	* plugins/audioscrobbler/rb-lastfm-gst-src.c:
	* plugins/audioscrobbler/rb-lastfm-play-order.c:
	* plugins/audioscrobbler/rb-lastfm-play-order.h:
	* plugins/audioscrobbler/rb-lastfm-source.c:
	Massive rewrite for the ̇(not-so-̈̈) new streaming system, based on
	XSPF playlists containing ind̬ividual tracks.  No custom GStreamer
	source element required.  As the playlist entries can only be played
	once, and seemingly have to be played in order, use a play order that
	tries to enforce these restrictions.

	Fixes #518231, and consequently #373615, #451893, #462595, #466276,
	#500214, and #532399.

2008-06-14  Christophe Fergeau  <teuf@gnome.org>

	Patch by James "Doc" Livingston

	* plugins/ipod/Makefile.am:
	* plugins/ipod/ipod-ui.xml:
	* plugins/ipod/rb-ipod-db.c:
	* plugins/ipod/rb-ipod-db.h:
	* plugins/ipod/rb-ipod-plugin.c:
	* plugins/ipod/rb-ipod-source.c:
	* plugins/ipod/rb-ipod-source.h: 
	* plugins/ipod/rb-ipod-static-playlist-source.c:
	* plugins/ipod/rb-ipod-static-playlist-source.h: makes it possible to
	create/remove/rename static ipod playlists, fixes bug #451265

2008-06-14 Christophe Fergeau <teuf@gnome.org>

	* plugins/ipod/rb-ipod-source.c
	* plugins/ipod/rb-ipod-db.c: 
	* configure.ac: requires libgpod 0.6 to build the ipod plugin,
	libgpod 0.6 is required for ipod classic/video nano support

2008-06-14  Jonathan Matthew  <jonathan@d14n.org>

	* backends/gstreamer/rb-player-gst-xfade.c: (link_unblocked_cb):
	Remove extra stream unref, and only check the stream state while
	holding the stream list lock, just for safety.  Fixes #529427.

2008-06-12  Jonathan Matthew  <jonathan@d14n.org>

	patch by: Marcin Galazka  <mrc@post.pl>

	* widgets/rb-entry-view.c: (rb_entry_view_new):
	* widgets/rb-property-view.c: (rb_property_view_new):
	Set vertical scrollbar policy to automatic.  Fixes #516742.

2008-06-12  Jonathan Matthew  <jonathan@d14n.org>

	* lib/rb-util.c: (get_mount_points):
	Unref volumes, rather than re-refing them.  Spotted by Colin Leroy,
	#537786.

2008-06-12  Christophe Fergeau  <teuf@gnome.org>

	* plugins/ipod/rb-ipod-source.c: (create_ipod_song_from_entry):
	properly extract the year from the time_t we get from a
	PROP_DURATION, this fixes bug #536194, before that patch, the year
	on songs transferred to an ipod was set to a bogus value

2008-06-11  Christophe Fergeau  <teuf@gnome.org>

	Patch by Philippe Troin

	* plugins/ipod/rb-ipod-db.c: (rb_ipod_db_load): properly detect
	shuffles 2g and 3g as ipod shuffles, fixes bug #528301

2008-04-08  Christophe Fergeau  <teuf@gnome.org>

	* plugins/ipod/rb-ipod-source.c: add the 'first added' column to the
	ipod view, fixes bug #512476
 
2008-06-11  Christophe Fergeau  <teuf@gnome.org>

	Patch by Shogun <shogun713 at gmail dot com>

	* plugins/ipod/rb-ipod-source.c: (impl_get_mime_types): favour aac
	over mp3s when transferring to an ipod
	* sources/rb-removable-media-source.c: (impl_paste): audio/x-m4a
	files are to be handled as audio/mpeg files
	Fixes bug #508537

2008-06-10  Jonathan Matthew  <jonathan@d14n.org>

	* backends/gstreamer/rb-player-gst-xfade.c: (start_sink):
	While waiting for the sink to start, pass messages that aren't related
	to the sink back to the regular bus callback.  Fixes buffering status
	not being reported for streaming, and possibly other stuff.

2008-06-09  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  Jeremy Katz  <katzj@redhat.com>

	* data/rhythmbox.schemas:  Add schema for library_strip_chars.
	From #535313.

2008-06-09  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/audioscrobbler/rb-audioscrobbler.c:
	(rb_audioscrobbler_gconf_changed_cb):
	Check if the username/password actually changes, and if it has, reset
	the handshake timer as well as forgetting if we have a handshake.
	Fixes #499745 I guess.

2008-06-09  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/artdisplay/artdisplay/LocalCoverArtSearch.py:
	Look for images with filenames containing the artist and album name
	from the track we're looking for, and failing that, the longest shared
	prefix with the track's file name.  Should help us find covers from
	jamendo downloads, and various other things.  Fixes #414609.

2008-06-09  Jonathan Matthew  <jonathan@d14n.org>

	* lib/rb-marshal.list:
	Add missing marshaller from the fix for #508267.

2008-06-09  Jonathan Matthew  <jonathan@d14n.org>

	* shell/rb-statusbar.c: (rb_statusbar_init):
	Set the size request height on the progress bar so it doesn't cause
	the status bar to expand when visible.  Hopefully fixes #368757 
	forever.

2008-06-09  Jonathan Matthew  <jonathan@d14n.org>

	* rhythmdb/rhythmdb-query-model.c:
	(rhythmdb_query_model_class_init),
	(rhythmdb_query_model_drag_data_received):
	* rhythmdb/rhythmdb-query-model.h:
	Add a new signal, 'filter-entry-drop', allowing model owners (sources,
	mostly) to filter out existing entries being dropped in.

	* sources/rb-source.c: (_rb_source_check_entry_type):
	* sources/rb-source.h:
	Add a helper function for checking entry types against a source's
	entry type.

	* sources/rb-playlist-source.c:
	(rb_playlist_source_entry_added_cb):
	Filter out newly added entries that don't match the playlist's entry
	type, but were in the location map (drag and drop from outside
	rhythmbox).

	* sources/rb-static-playlist-source.c:
	(rb_static_playlist_source_constructor),
	(rb_static_playlist_source_add_location_internal),
	(rb_static_playlist_source_filter_entry_drop):
	Use the query model filter-entry-drop signal to filter out drops of
	entries that don't match the playlist entry type.  Fixes #508267.

2008-06-09  Jonathan Matthew  <jonathan@d14n.org>

	patch partly by:  David Turner  <cillian64@googlemail.com>

	* data/glade/library-prefs.glade:
	Add a label for the library location entry box and put the key
	shortcut there, rather than on the 'library location' heading.
	From #445965.

2008-06-08  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  Andreas Henriksson  <andreas@fatal.se>

	* plugins/artdisplay/artdisplay/CoverArtDatabase.py:
	Move cover art cache directory to $XDG_CACHE_HOME.  From #502006.

2008-06-08  Jonathan Matthew  <jonathan@d14n.org>

	patch mostly by:  Mats Taraldsvik  <mats-post@broadpark.no>

	* bindings/python/rhythmdb.defs:
	* bindings/python/rhythmdb.override:
	Add bindings for the entry type save_to_disk property.
	Fixes #534062.

2008-06-07  Jonathan Matthew  <jonathan@d14n.org>

	patch by: Adam Zimmerman  <adam_zimmerman@sfu.ca>

	* plugins/magnatune/magnatune/MagnatuneSource.py:
	Change partner ID to 'rhythmbox'.  Fixes #533893.

2008-06-07  Jonathan Matthew  <jonathan@d14n.org>

	* backends/gstreamer/rb-encoder-gst.c: (rb_encoder_gst_finalize),
	(rb_encoder_gst_emit_completed), (rb_encoder_gst_encode):
	* backends/rb-encoder.c: (rb_encoder_interface_init),
	(_rb_encoder_emit_completed):
	* backends/rb-encoder.h:
	* bindings/python/rb.defs:
	* lib/rb-marshal.list:
	* shell/rb-removable-media-manager.c: (completed_cb):
	* shell/rb-removable-media-manager.h:
	* sources/rb-library-source.c: (completed_cb):
	* sources/rb-removable-media-source.h:
	* sources/rb-removable-media-source.c: (_track_added_cb),
	(rb_removable_media_source_track_added):
	* plugins/ipod/rb-ipod-source.c: (impl_track_added):
	Add a file size argument to the encoder's 'completed' signal.

	* plugins/mtpdevice/rb-mtp-source.c: (transfer_track),
	(impl_track_added):
	Use it for libmtp transfers, rather than the size of the original
	file.  Fixes #502771, hopefully.

2008-06-07  Jonathan Matthew  <jonathan@d14n.org>

	* backends/gstreamer/rb-player-gst-xfade.c: (preroll_stream):
	Don't set stream->state after starting the state change; we already
	set it to PREROLLING beforehand, and it creates a race condition.
	From #484210.

2008-06-07  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  F. Steinel
	* plugins/lyrics/lyrics/LeoslyricsParser.py:
	Python 2.4 compatibility.  Fixes #531052.

2008-05-30  Bastien Nocera  <hadess@hadess.net>

	* shell/main.c (local_load_uri): Don't crash when passing a
	non-local URI, and there's no errors to report (Closes: #532396)

2008-05-30  Jonathan Matthew  <jonathan@d14n.org>

	* sources/rb-library-source.c (rb_library_source_constructor):
	Convert default music directory to a URI before setting it in gconf.
	Fixes #487415.  Patch more or less by Alexander Gitter.

2008-05-26  Jonathan Matthew  <jonathan@d14n.org>

	* shell/rb-shell-player.c: (rb_shell_player_constructor),
	(rb_shell_player_handle_eos_unlocked),
	(rb_shell_player_set_playing_time):
	Revert some changes I accidentally committed.

2008-05-26  Jonathan Matthew  <jonathan@d14n.org>

	* metadata/rb-metadata-dbus-client.c (kill_metadata_service),
	(start_metadata_service):
	Close the metadata helper process stdout pipe when cleaning up.
	Fixes #534582.

2008-05-24  Jonathan Matthew  <jonathan@d14n.org>

	* shell/rb-play-order.c (default_playing_entry_removed):
	* shell/rb-shell-player.c (rb_shell_player_constructor),
	(rb_shell_player_handle_eos_unlocked),
	(rb_shell_player_slider_dragging_cb), (rb_shell_player_handle_eos),
	(rb_shell_player_get_playing_entry), (rb_shell_player_play),
	(rb_shell_player_do_previous), (rb_shell_player_do_next_internal),
	(rb_shell_player_cmd_previous), (rb_shell_player_cmd_next),
	(rb_shell_player_playpause),
	(rb_shell_player_set_playing_source_internal),
	(rb_shell_player_stop), (rb_shell_player_set_playing_time),
	(rb_shell_player_error), (new_playing_stream_idle_cb):
	* shell/rb-shell.c (rb_shell_activate_source),
	(rb_shell_source_deleted_cb), (rb_shell_quit):
	Use rb_shell_player_stop() instead of 
	rb_shell_player_set_playing_source (player, NULL) to stop playback.
	When stopping playback, clear the playing source and the playing
	entry, and remove and idle callbacks for new playing streams.
	Incorporates patches by Sjoerd Simons and Jay Cornwall; fixes #498397,
	#529287, and probably #443425, #474569, and #451593.

2008-05-20  Christophe Fergeaui  <teuf@gnome.org>

	* plugins/ipod/rb-ipod-source.c: don't connect to notify::name too
	soon during RbIpodSource instanciation since 
	RbIpodSource::priv::ipod_db must be set before the notify::name
	callback can be safely used, this fixes bug #524985. In
	impl_delete_thyself, don't try to use priv->ipod_db if it's NULL
	(which can happen with empty ipods)

2008-05-20  Jonathan Matthew  <jonathan@d14n.org>

	* backends/gstreamer/rb-player-gst-xfade.c (dump_stream_list),
	(adjust_stream_base_time), (volume_changed_cb),
	(link_and_unblock_stream), (perform_seek),
	(post_eos_seek_blocked_cb), (rb_player_gst_xfade_bus_cb),
	(actually_start_stream), (get_times_and_stream), (start_sink),
	(rb_player_gst_xfade_open), (rb_player_gst_xfade_play),
	(rb_player_gst_xfade_pause), (rb_player_gst_xfade_set_replaygain),
	(rb_player_gst_xfade_set_time):
	* configure.ac:
	When starting the sink, process bus messages rather than just waiting
	for the state changes to complete.  With this change, we require
	GStreamer 0.10.12 to build the crossfading player backend.
	Fixes #532434.

	Don't immediately remove streams that have ended, and allow seeking
	in such streams.  There's no way to actually do this yet, but it's
	coming..  (#140020)

2008-05-14  Jonathan Matthew  <jonathan@d14n.org>

	* backends/gstreamer/rb-player-gst-xfade.c (create_stream),
	(stream_src_blocked_cb):
	Increase the maximum buffer count of the preroll queue to 1000 (from
	200) while prerolling, as a tiny fraction of all ogg vorbis files produce
	more than 200 buffers in the first second of decoded output.  This
	allows prerolling to complete for these files.  From #484210.

2008-05-08  Bastien Nocera  <hadess@hadess.net>

	* rhythmdb/rhythmdb-query-model.c (query_model_chain_can_reorder),
	(rhythmdb_query_model_row_drop_possible),
	(rhythmdb_query_model_row_drop_position): Patch from Jonathan Matthew
	<jonathan@d14n.org> to not make sorted queries look like drag
	destinations (Closes: #531759)

2008-05-04  Bastien Nocera  <hadess@hadess.net>

	* plugins/visualizer/rb-visualizer-plugin.c
	(totem_display_is_local): Fix string checking, spotted by Will
	Thompson <will@willthompson.co.uk> (Closes: #531261)

2008-05-04  Jonathan Matthew  <jonathan@d14n.org>

	* shell/rb-play-order-queue.c: (rb_queue_play_order_get_next):
	Rather than returning the entry after the current playing entry,
	return the earliest entry in the query model that isn't already
	playing.  This makes the queue behave a little better when it gets
	shuffled or otherwise played out of order.

	* shell/rb-shell-player.c: (rb_shell_player_entry_activated_cb):
	When an entry in the queue is activated, don't move it to the start of
	the queue; the above change makes this work properly without looking
	weird.

2008-05-01  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/ipod/rb-ipod-source.c: (rb_ipod_song_artwork_add_cb):
	Don't query for artwork if either the album or artist name is NULL.
	Fixes #525324.

2008-05-01  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/lyrics/lyrics/__init__.py:
	oops

2008-04-30  Jonathan Matthew  <jonathan@d14n.org>

	* data/ui/rhythmbox-ui.xml:
	* sources/rb-play-queue-source.c:
	(rb_play_queue_source_update_count),
	(rb_play_queue_source_cmd_shuffle):
	Add 'shuffle queue' action that, um, shuffles the queue.

2008-04-30  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/lyrics/lyrics/__init__.py:
	Localise a few strings that need it.  Fixes #530157.

2008-04-29  Jonathan Matthew  <jonathan@d14n.org>

	* backends/gstreamer/rb-player-gst-xfade.c:
	(post_stream_playing_message), (post_buffering_message),
	(link_unblocked_cb), (link_and_unblock_stream):
	If we emit a stream-playing signal to make buffering work, emit
	another when the stream actually starts playing, so the UI updates see
	that the player is actually playing.  Fixes #482506.

2008-04-29  Jonathan Matthew  <jonathan@d14n.org>

	patch by: Paul Drain  <paul@operationaldynamics.com>

	* configure.ac:
	* doc/reference/Makefile.am:
	* rhythmdb/Makefile.am:
	* shell/rb-shell.c:
	Remove remnants of gda support.  Fixes #530389.

2008-04-28  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  Jay Cornwall  <jay@jcornwall.me.uk>

	* sources/rb-playlist-source.c: (rb_playlist_source_class_init),
	(rb_playlist_source_constructor),
	(rb_playlist_source_set_property),
	(rb_playlist_source_get_property),
	(rb_playlist_source_songs_sort_order_changed_cb),
	(rb_playlist_source_make_sorting_key):
	Add a 'sorting-name' property that is used to construct the GConf key
	in which to store the playlist sort order.

	* sources/rb-static-playlist-source.c:
	(rb_static_playlist_source_new),
	(rb_static_playlist_source_new_from_xml):
	* sources/rb-static-playlist-source.h:
	Add sorting name as a parameter when creating new static playlists.

	* widgets/rb-entry-view.c: (rb_entry_view_class_init),
	(rb_entry_view_set_property), (rb_entry_view_constructor):
	Allow the sort order GConf key to be changed after the widget is
	constructed.
	
	* plugins/daap/rb-daap-source.c: (rb_daap_source_connection_cb):
	Construct sorting names for DAAP playlist based on the DAAP share name
	combined with the playlist name.

	* plugins/ipod/rb-ipod-source.c: (add_rb_playlist):
	* shell/rb-playlist-manager.c: (rb_playlist_manager_new_playlist):
	Don't provide sorting keys for playlists created here.

	This allows DAAP playlists to be sorted by the user.  From #327042.

2008-04-26  Jonathan Matthew  <jonathan@d14n.org>

	* podcast/rb-podcast-parse.c: (rb_podcast_parse_error_quark),
	(rb_podcast_parse_load_feed):
	* podcast/rb-podcast-parse.h:
	* podcast/test-podcast-parse.c: (main):
	In rb_podcast_parse_load_feed, add a flag indicating that the feed
	already exists, and return a GError indicating what actually went
	wrong when we can't parse it.  If the feed already exists, skip the
	MIME type check, as the user has already confirmed that they want to
	use the feed.

	* lib/rb-marshal.list:
	* podcast/rb-podcast-manager.c: (rb_podcast_manager_class_init),
	(rb_podcast_manager_head_query_cb),
	(rb_podcast_manager_subscribe_feed),
	(rb_podcast_manager_free_parse_result),
	(rb_podcast_manager_parse_complete_cb), (confirm_bad_mime_type),
	(rb_podcast_manager_thread_parse_feed),
	(rb_podcast_manager_update_synctime),
	(rb_podcast_manager_insert_feed),
	(rb_podcast_manager_handle_feed_error):
	* podcast/rb-podcast-manager.h:
	Add two new bits of information when parsing feeds: whether the user
	directly requested the feed be parsed (by adding a new feed, or
	updating a single existing feed), used to decide whether to show error
	dialogs; and whether the feed already exists in the database, which
	controls whether the MIME type check is performed.

	When the MIME type check fails for a new feed, ask the user to confirm
	they want to use the feed anyway, and if they do, set the existing
	feed flag and try again.

	* sources/rb-podcast-source.c: (rb_podcast_source_init),
	(rb_podcast_source_dispose), (rb_podcast_source_constructor),
	(rb_podcast_source_add_feed), (rb_podcast_source_cmd_update_feed),
	(rb_podcast_source_feed_error_cell_data_func),
	(rb_podcast_source_download_process_error_cb),
	(rb_podcast_source_entry_activated_cb),
	(rb_podcast_source_location_added_cb), (impl_add_uri),
	(rb_podcast_source_entry_changed_cb),
	(rb_podcast_source_pixbuf_clicked_cb):
	Add a column that displays the error icon for podcasts that had errors
	last time they were updated.

	The effect of all this is that you don't get error dialogs resulting
	from periodic podcast updates any more.  Instead, the error icon
	indicates which feeds had problems, and provides access to the error
	information.

	Fixes #352493.

2008-04-23  Jonathan Matthew  <jonathan@d14n.org>

	* doc/reference/rhythmbox.types:
	Remove some types we don't need to document

	* shell/rb-play-order.c: (rb_play_order_class_init):
	* shell/rb-play-order.h:
	gtk-doc for RBPlayOrder

2008-04-23  Jonathan Matthew  <jonathan@d14n.org>

	* shell/rb-tray-icon.c: (rb_tray_icon_class_init),
	(rb_tray_icon_set_tooltip_icon),
	(rb_tray_icon_set_tooltip_secondary_markup):
	* shell/rb-tray-icon.h:
	gtk-doc for RBTrayIcon

2008-04-23  Jonathan Matthew  <jonathan@d14n.org>

	* shell/rb-statusbar.c: (rb_statusbar_class_init),
	(rb_statusbar_set_source):
	* shell/rb-statusbar.h:
	gtk-doc for RBStatusbar

2008-04-23  Jonathan Matthew  <jonathan@d14n.org>

	* shell/rb-source-header.c: (rb_source_header_class_init):
	* shell/rb-source-header.h:
	gtk-doc for RBSourceHeader

2008-04-23  Jonathan Matthew  <jonathan@d14n.org>

	* doc/reference/rhythmbox-docs.sgml:
	* doc/reference/rhythmbox-sections.txt:
	* shell/rb-play-order-random.c:
	* shell/rb-play-order-random.h:
	gtk-doc for RBPlayOrderRandom

2008-04-23  Jonathan Matthew  <jonathan@d14n.org>

	* lib/rb-glade-helpers.c: (rb_glade_xml_new):
	gtk-doc for glade helper functions.

2008-04-21  Jonathan Matthew  <jonathan@d14n.org>

	patch by: Mika Wahlroos  <mika.wahlroos@iki.fi>

	* plugins/audioscrobbler/audioscrobbler-prefs.glade:
	Update last.fm status page URL.  Fixes #528966.

2008-04-17  James Livingston  <doclivingston@gmail.com>

	Giant pile of copyright header changes to mention the GPL-exception
	for GStreamer plugins, a few typo fixes, adding missing copyright
	headers to tests and updating of my email address.

	* backends/gstreamer/rb-encoder-gst.c:
	* backends/gstreamer/rb-encoder-gst.h:
	* backends/gstreamer/rb-player-gst-xfade.c:
	* backends/gstreamer/rb-player-gst-xfade.h:
	* backends/gstreamer/rb-player-gst.c:
	* backends/gstreamer/rb-player-gst.h:
	* backends/rb-encoder.c:
	* backends/rb-encoder.h:
	* backends/rb-player-gst-data-tee.c:
	* backends/rb-player-gst-data-tee.h:
	* backends/rb-player-gst-filter.c:
	* backends/rb-player-gst-filter.h:
	* backends/rb-player-gst-tee.c:
	* backends/rb-player-gst-tee.h:
	* backends/rb-player.c:
	* backends/rb-player.h:
	* bindings/python/override_common.c:
	* bindings/python/override_common.h:
	* lib/rb-async-queue-watch.c:
	* lib/rb-async-queue-watch.h:
	* lib/rb-cut-and-paste-code.c:
	* lib/rb-cut-and-paste-code.h:
	* lib/rb-debug.c:
	* lib/rb-debug.h:
	* lib/rb-file-helpers.c:
	* lib/rb-file-helpers.h:
	* lib/rb-glade-helpers.c:
	* lib/rb-glade-helpers.h:
	* lib/rb-preferences.h:
	* lib/rb-proxy-config.c:
	* lib/rb-proxy-config.h:
	* lib/rb-soup-compat.h:
	* lib/rb-stock-icons.c:
	* lib/rb-stock-icons.h:
	* lib/rb-string-value-map.c:
	* lib/rb-string-value-map.h:
	* lib/rb-thread.c:
	* lib/rb-thread.h:
	* lib/rb-util.c:
	* lib/rb-util.h:
	* metadata/rb-metadata-common.c:
	* metadata/rb-metadata-dbus-client.c:
	* metadata/rb-metadata-dbus-service.c:
	* metadata/rb-metadata-dbus.c:
	* metadata/rb-metadata-dbus.h:
	* metadata/rb-metadata-gst.c:
	* metadata/rb-metadata.h:
	* metadata/test-metadata.c:
	* plugins/artdisplay/artdisplay/AmazonCoverArtSearch.py:
	* plugins/artdisplay/artdisplay/CoverArtDatabase.py:
	* plugins/artdisplay/artdisplay/LocalCoverArtSearch.py:
	* plugins/artdisplay/artdisplay/PodcastCoverArtSearch.py:
	* plugins/artdisplay/artdisplay/__init__.py:
	* plugins/audiocd/rb-audiocd-plugin.c:
	* plugins/audiocd/rb-audiocd-source.c:
	* plugins/audiocd/rb-audiocd-source.h:
	* plugins/audiocd/sj-error.c:
	* plugins/audiocd/sj-error.h:
	* plugins/audiocd/sj-metadata-musicbrainz.c:
	* plugins/audiocd/sj-metadata-musicbrainz.h:
	* plugins/audiocd/sj-metadata.c:
	* plugins/audiocd/sj-metadata.h:
	* plugins/audiocd/sj-structures.c:
	* plugins/audiocd/sj-structures.h:
	* plugins/audioscrobbler/rb-audioscrobbler-entry.c:
	* plugins/audioscrobbler/rb-audioscrobbler-entry.h:
	* plugins/audioscrobbler/rb-audioscrobbler-plugin.c:
	* plugins/audioscrobbler/rb-audioscrobbler.c:
	* plugins/audioscrobbler/rb-audioscrobbler.h:
	* plugins/audioscrobbler/rb-lastfm-gst-src.c:
	* plugins/audioscrobbler/rb-lastfm-source.c:
	* plugins/audioscrobbler/rb-lastfm-source.h:
	* plugins/cd-recorder/rb-cd-recorder-plugin.c:
	* plugins/cd-recorder/rb-playlist-source-recorder.c:
	* plugins/cd-recorder/rb-playlist-source-recorder.h:
	* plugins/cd-recorder/rb-recorder-gst.c:
	* plugins/cd-recorder/rb-recorder.h:
	* plugins/coherence/upnp_coherence/MediaStore.py:
	* plugins/coherence/upnp_coherence/UpnpSource.py:
	* plugins/coherence/upnp_coherence/__init__.py:
	* plugins/daap/rb-daap-connection.c:
	* plugins/daap/rb-daap-connection.h:
	* plugins/daap/rb-daap-dialog.c:
	* plugins/daap/rb-daap-dialog.h:
	* plugins/daap/rb-daap-hash.c:
	* plugins/daap/rb-daap-hash.h:
	* plugins/daap/rb-daap-mdns-browser-avahi.c:
	* plugins/daap/rb-daap-mdns-browser-howl.c:
	* plugins/daap/rb-daap-mdns-browser.h:
	* plugins/daap/rb-daap-mdns-publisher-avahi.c:
	* plugins/daap/rb-daap-mdns-publisher-howl.c:
	* plugins/daap/rb-daap-mdns-publisher.h:
	* plugins/daap/rb-daap-plugin.c:
	* plugins/daap/rb-daap-plugin.h:
	* plugins/daap/rb-daap-share.c:
	* plugins/daap/rb-daap-share.h:
	* plugins/daap/rb-daap-sharing.c:
	* plugins/daap/rb-daap-sharing.h:
	* plugins/daap/rb-daap-source.c:
	* plugins/daap/rb-daap-source.h:
	* plugins/daap/rb-daap-src.c:
	* plugins/daap/rb-daap-src.h:
	* plugins/daap/rb-daap-structure.c:
	* plugins/daap/rb-daap-structure.h:
	* plugins/fmradio/rb-fm-radio-gst-src.c:
	* plugins/fmradio/rb-fm-radio-plugin.c:
	* plugins/fmradio/rb-fm-radio-source.c:
	* plugins/fmradio/rb-fm-radio-source.h:
	* plugins/fmradio/rb-radio-tuner-v4l2.c:
	* plugins/fmradio/rb-radio-tuner.h:
	* plugins/generic-player/rb-generic-player-playlist-source.c:
	* plugins/generic-player/rb-generic-player-playlist-source.h:
	* plugins/generic-player/rb-generic-player-plugin.c:
	* plugins/generic-player/rb-generic-player-source.c:
	* plugins/generic-player/rb-generic-player-source.h:
	* plugins/generic-player/rb-nokia770-source.c:
	* plugins/generic-player/rb-nokia770-source.h:
	* plugins/generic-player/rb-psp-source.c:
	* plugins/generic-player/rb-psp-source.h:
	* plugins/ipod/rb-ipod-db.c:
	* plugins/ipod/rb-ipod-db.h:
	* plugins/ipod/rb-ipod-plugin.c:
	* plugins/ipod/rb-ipod-source.c:
	* plugins/ipod/rb-ipod-source.h:
	* plugins/iradio/rb-iradio-plugin.c:
	* plugins/iradio/rb-iradio-source.c:
	* plugins/iradio/rb-iradio-source.h:
	* plugins/iradio/rb-station-properties-dialog.c:
	* plugins/iradio/rb-station-properties-dialog.h:
	* plugins/jamendo/jamendo/__init__.py:
	* plugins/lirc/rb-lirc-plugin.c:
	* plugins/lyrics/lyrics/AstrawebParser.py:
	* plugins/lyrics/lyrics/LeoslyricsParser.py:
	* plugins/lyrics/lyrics/LyrcParser.py:
	* plugins/lyrics/lyrics/LyricWikiParser.py:
	* plugins/lyrics/lyrics/LyricsConfigureDialog.py:
	* plugins/lyrics/lyrics/LyricsParse.py:
	* plugins/lyrics/lyrics/WinampcnParser.py:
	* plugins/lyrics/lyrics/__init__.py:
	* plugins/magnatune/magnatune/BuyAlbumHandler.py:
	* plugins/magnatune/magnatune/MagnatuneSource.py:
	* plugins/magnatune/magnatune/TrackListHandler.py:
	* plugins/magnatune/magnatune/__init__.py:
	* plugins/mmkeys/rb-mmkeys-plugin.c:
	* plugins/mtpdevice/rb-mtp-plugin.c:
	* plugins/mtpdevice/rb-mtp-source.c:
	* plugins/mtpdevice/rb-mtp-source.h:
	* plugins/power-manager/rb-power-manager-plugin.c:
	* plugins/pythonconsole/pythonconsole.py:
	* plugins/rb-module.c:
	* plugins/rb-module.h:
	* plugins/rb-plugin-manager.c:
	* plugins/rb-plugin-manager.h:
	* plugins/rb-plugin.c:
	* plugins/rb-plugin.h:
	* plugins/rb-plugins-engine.c:
	* plugins/rb-plugins-engine.h:
	* plugins/rb-python-module.c:
	* plugins/rb-python-module.h:
	* plugins/rb-python-plugin.c:
	* plugins/rb-python-plugin.h:
	* plugins/rb/Coroutine.py:
	* plugins/rb/Loader.py:
	* plugins/rb/__init__.py:
	* plugins/sample/rb-sample-plugin.c:
	* plugins/visualizer/rb-fake-visualizer.c:
	* plugins/visualizer/rb-vis-widget.c:
	* plugins/visualizer/rb-vis-widget.h:
	* plugins/visualizer/rb-visualizer-plugin.c:
	* podcast/rb-feed-podcast-properties-dialog.c:
	* podcast/rb-feed-podcast-properties-dialog.h:
	* podcast/rb-podcast-manager.c:
	* podcast/rb-podcast-manager.h:
	* podcast/rb-podcast-parse.c:
	* podcast/rb-podcast-parse.h:
	* podcast/rb-podcast-properties-dialog.c:
	* podcast/rb-podcast-properties-dialog.h:
	* podcast/test-podcast-parse.c:
	* remote/dbus/rb-client.c:
	* rhythmdb/rb-refstring.c:
	* rhythmdb/rb-refstring.h:
	* rhythmdb/rhythmdb-gda.c:
	* rhythmdb/rhythmdb-gda.h:
	* rhythmdb/rhythmdb-import-job.c:
	* rhythmdb/rhythmdb-import-job.h:
	* rhythmdb/rhythmdb-monitor.c:
	* rhythmdb/rhythmdb-private.h:
	* rhythmdb/rhythmdb-property-model.c:
	* rhythmdb/rhythmdb-property-model.h:
	* rhythmdb/rhythmdb-query-model.c:
	* rhythmdb/rhythmdb-query-model.h:
	* rhythmdb/rhythmdb-query-results.c:
	* rhythmdb/rhythmdb-query-results.h:
	* rhythmdb/rhythmdb-query.c:
	* rhythmdb/rhythmdb-tree.c:
	* rhythmdb/rhythmdb-tree.h:
	* rhythmdb/rhythmdb.c:
	* rhythmdb/rhythmdb.h:
	* shell/main.c:
	* shell/rb-history.c:
	* shell/rb-history.h:
	* shell/rb-play-order-linear-loop.c:
	* shell/rb-play-order-linear-loop.h:
	* shell/rb-play-order-linear.c:
	* shell/rb-play-order-linear.h:
	* shell/rb-play-order-queue.c:
	* shell/rb-play-order-queue.h:
	* shell/rb-play-order-random-by-age-and-rating.c:
	* shell/rb-play-order-random-by-age-and-rating.h:
	* shell/rb-play-order-random-by-age.c:
	* shell/rb-play-order-random-by-age.h:
	* shell/rb-play-order-random-by-rating.c:
	* shell/rb-play-order-random-by-rating.h:
	* shell/rb-play-order-random-equal-weights.c:
	* shell/rb-play-order-random-equal-weights.h:
	* shell/rb-play-order-random.c:
	* shell/rb-play-order-random.h:
	* shell/rb-play-order-shuffle.c:
	* shell/rb-play-order-shuffle.h:
	* shell/rb-play-order.c:
	* shell/rb-play-order.h:
	* shell/rb-playlist-manager.c:
	* shell/rb-playlist-manager.h:
	* shell/rb-removable-media-manager.c:
	* shell/rb-removable-media-manager.h:
	* shell/rb-shell-clipboard.c:
	* shell/rb-shell-clipboard.h:
	* shell/rb-shell-player.c:
	* shell/rb-shell-player.h:
	* shell/rb-shell-preferences.c:
	* shell/rb-shell-preferences.h:
	* shell/rb-shell.c:
	* shell/rb-shell.h:
	* shell/rb-source-header.c:
	* shell/rb-source-header.h:
	* shell/rb-statusbar.c:
	* shell/rb-statusbar.h:
	* shell/rb-tray-icon.c:
	* shell/rb-tray-icon.h:
	* sources/rb-auto-playlist-source.c:
	* sources/rb-auto-playlist-source.h:
	* sources/rb-browser-source.c:
	* sources/rb-browser-source.h:
	* sources/rb-import-errors-source.c:
	* sources/rb-import-errors-source.h:
	* sources/rb-library-source.c:
	* sources/rb-library-source.h:
	* sources/rb-missing-files-source.c:
	* sources/rb-missing-files-source.h:
	* sources/rb-play-queue-source.c:
	* sources/rb-play-queue-source.h:
	* sources/rb-playlist-source.c:
	* sources/rb-playlist-source.h:
	* sources/rb-playlist-xml.h:
	* sources/rb-podcast-source.c:
	* sources/rb-podcast-source.h:
	* sources/rb-removable-media-source.c:
	* sources/rb-removable-media-source.h:
	* sources/rb-source-group.c:
	* sources/rb-source-group.h:
	* sources/rb-source.c:
	* sources/rb-source.h:
	* sources/rb-sourcelist-model.c:
	* sources/rb-sourcelist-model.h:
	* sources/rb-sourcelist.c:
	* sources/rb-sourcelist.h:
	* sources/rb-static-playlist-source.c:
	* sources/rb-static-playlist-source.h:
	* sources/rb-streaming-source.c:
	* sources/rb-streaming-source.h:
	* tests/bench-rhythmdb-load.c:
	* tests/test-audioscrobbler.c:
	* tests/test-file-helpers.c:
	* tests/test-rb-lib.c:
	* tests/test-rhythmdb-property-model.c:
	* tests/test-rhythmdb-query-model.c:
	* tests/test-rhythmdb-query.c:
	* tests/test-rhythmdb-tree-serialization.c:
	* tests/test-rhythmdb-view.c:
	* tests/test-rhythmdb.c:
	* tests/test-utils.c:
	* tests/test-utils.h:
	* widgets/rb-dialog.c:
	* widgets/rb-dialog.h:
	* widgets/rb-entry-view.c:
	* widgets/rb-entry-view.h:
	* widgets/rb-header.c:
	* widgets/rb-header.h:
	* widgets/rb-library-browser.c:
	* widgets/rb-library-browser.h:
	* widgets/rb-property-view.c:
	* widgets/rb-property-view.h:
	* widgets/rb-query-creator-private.h:
	* widgets/rb-query-creator-properties.c:
	* widgets/rb-query-creator.c:
	* widgets/rb-query-creator.h:
	* widgets/rb-rating-helper.c:
	* widgets/rb-rating-helper.h:
	* widgets/rb-rating.c:
	* widgets/rb-rating.h:
	* widgets/rb-search-entry.c:
	* widgets/rb-search-entry.h:
	* widgets/rb-song-info.c:
	* widgets/rb-song-info.h:
	* widgets/rb-uri-dialog.c:
	* widgets/rb-uri-dialog.h:

2008-04-14  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  Mirco Müller  <macslow@bangang.de>

	* data/rhythmbox.schemas:
	* plugins/ipod/rb-ipod-source.c: (rb_ipod_source_class_init),
	(impl_get_browser_key), (impl_get_paned_key):
	* plugins/mtpdevice/rb-mtp-source.c: (rb_mtp_source_class_init),
	(impl_get_browser_key), (impl_get_paned_key):
	Add gconf keys for tracking the browser state for ipod and mtp
	devices, showing the browser by default.  From #508555.

2008-04-13  Jonathan Matthew  <jonathan@d14n.org>

	* podcast/rb-podcast-manager.c: (remove_if_not_downloaded),
	(rb_podcast_manager_insert_feed):
	When updating a podcast feed, remove any episodes that have not been
	downloaded and are no longer present in the feed.  From #331942.

2008-04-12  Jonathan Matthew  <jonathan@d14n.org>

	patch by: Edgar Luna  <edgar.luna@gmail.com>

	* plugins/lyrics/lyrics/__init__.py:
	Use a HButtonBox for the buttons on the lyrics song info pane.
	Fixes #524258.

2008-04-11  Bastien Nocera  <hadess@hadess.net>

	* data/rhythmbox.desktop.in.in: Say that we handle URLs,
	otherwise only local filenames are passed
	* plugins/audiocd/rb-audiocd-source.c
	(_gnome_vfs_to_gvfs_cdda_uri), (impl_want_uri):
	Handle new-style gvfs cdda URIs
	* shell/rb-shell.c (rb_shell_load_uri): When passing URIs that
	are ignored by the playlist parser, try to find a source that
	it could match.

	Fixes starting Rhythmbox from a CDDA nautilus window, or autostarted
	on insertion (Closes: #526139)

2008-04-11  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  Maximilian Grothusmann <maxi@own-hero.net>

	* plugins/artdisplay/artdisplay/AmazonCoverArtSearch.py:
	Use Amazon ECS 4.0 instead of the older discontinued service.
	Use batch searches to reduce the number of requests.  Don't do the
	search when we don't have an artist name or an album name.
	Fixes #513851.

2008-04-10  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  Thomas Andersen  <phomes@gmail.com>

	* plugins/lyrics/lyrics/__init__.py:
	Set the left margin to 6 on the text view used to display lyrics.
	Fixes #527054.

2008-04-09  Jonathan Matthew  <jonathan@d14n.org>

	* backends/gstreamer/rb-player-gst-xfade.c: (emit_stream_error),
	(reap_streams), (schedule_stream_reap), (actually_start_stream):
	Hold the stream list lock while setting and clearing idle handler IDs,
	since we're doing this from gstreamer threads as well as the main
	thread.  Don't clean up streams we're replacing in
	actually_start_stream directly, as that can lead to deadlock.
	Fixes #512226.

2008-04-08  Jonathan Matthew  <jonathan@d14n.org>

	patch by: Frank Scholz  <dev@netzflocken.de>

	* plugins/coherence/upnp_coherence/__init__.py:
	initialize self.coherence in the constructor so deactivate() works
	when coherence init fails.  Fixes #514760.

2008-04-08  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  Thomas Zander  <thomas.e.zander@googlemail.com>

	* backends/gstreamer/rb-player-gst-xfade.c: (emit_stream_error),
	(actually_start_stream):
	* shell/rb-shell-player.c: (rb_shell_player_do_previous),
	(rb_shell_player_cmd_previous):
	Apply the same logic used for the 'previous' action (restart the
	current track if more than 3s in) any time we're asked to go to
	the previous track.  Fixes #521329.

2008-04-05  Jonathan Matthew  <jonathan@d14n.org>

	* doc/reference/rhythmbox-sections.txt:
	* shell/rb-history.c: (rb_history_class_init),
	(rb_history_limit_size):
	* shell/rb-history.h:
	Add gtk-doc for RBHistory
	
	* doc/reference/rhythmbox-docs.sgml:
	No point documenting rb-missing-plugins

2008-04-04  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/audioscrobbler/Makefile.am:
	* plugins/audioscrobbler/rb-audioscrobbler-entry.c:
	* plugins/audioscrobbler/rb-audioscrobbler-entry.h:
	* plugins/audioscrobbler/rb-audioscrobbler.c:
	(rb_audioscrobbler_finalize), (maybe_add_current_song_to_queue),
	(rb_audioscrobbler_build_post_data),
	(rb_audioscrobbler_song_changed_cb),
	(rb_audioscrobbler_load_queue), (rb_audioscrobbler_save_queue),
	(rb_audioscrobbler_print_queue),
	(rb_audioscrobbler_free_queue_entries):
	Split code for dealing with audioscrobbler queue entries out to a
	separate file.  Instead of formatting the timestamp when saving to
	disk, just save the time_t as an integer.  Fixes #508895.

	* tests/Makefile.am:
	* tests/test-audioscrobbler.c: (START_TEST),
	(rb_audioscrobbler_suite), (main):
	Add a few simple tests to make sure queue entries survive being saved.
	Would have caught this and the soup_uri_decode thing.

2008-04-03  Jonathan Matthew  <jonathan@d14n.org>

	* shell/rb-shell-player.c: (open_location_thread):
	Fix build break.

2008-04-03  Bastien Nocera  <hadess@hadess.net>

	* plugins/generic-player/rb-generic-player-playlist-source.c
	(load_playlist):
	* plugins/iradio/rb-iradio-source.c (handle_playlist_entry_cb),
	(rb_iradio_source_add_from_playlist):
	* shell/rb-playlist-manager.c (handle_playlist_entry_cb),
	(rb_playlist_manager_parse_file):
	* shell/rb-shell-player.c (open_location_thread):
	* shell/rb-shell.c (rb_shell_load_uri):
	* sources/rb-playlist-source.c (playlist_iter_func):
	Remove support for older versions of totem-pl-parser than what we
	require in configure.in, ignore inode/directory as well as
	x-directory/normal as the former is used by gvfs

2008-04-03  Jonathan Matthew  <jonathan@d14n.org>

	* shell/rb-playlist-manager.c: (rb_playlist_manager_parse_file):
	Remove the playlist-ended callback.  It was causing crashes (the
	'metadata' parameter doesn't really exist), and doesn't do anything
	useful.  Fixes #525901.

2008-03-31  Bastien Nocera  <hadess@hadess.net>

	* podcast/rb-podcast-parse.c (rb_podcast_parse_load_feed):
	Add patch to force the parsing of Podcasts as "playlists",
	fixes parsing of Podcasts when their URLs use unexpected
	suffixes for Podcasts (Closes: #524967)

2008-03-31  Jonathan Matthew  <jonathan@d14n.org>

	* doc/reference/rhythmbox-sections.txt:
	* lib/rb-proxy-config.c: (rb_proxy_config_class_init):
	* lib/rb-proxy-config.h:
	* lib/rb-string-value-map.c:
	* lib/rb-string-value-map.h:
	Add gtk-doc for RBProxyConfig and RBStringValueMap.

2008-03-31  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/mtpdevice/rb-mtp-source.c: (impl_get_ui_actions):
	Add the MTP source eject action to the toolbar, not the removable
	source eject action.  Fixes #525163.

2008-03-30  Jonathan Matthew  <jonathan@d14n.org>

	* lib/rb-tree-dnd.c: (remove_select_on_drag_timeout),
	(rb_tree_dnd_add_drag_dest_support):
	* metadata/rb-metadata-common.c:
	* metadata/rb-metadata-dbus-client.c: (rb_metadata_get):
	* metadata/rb-metadata.h:
	* rhythmdb/rhythmdb-query-results.c:
	* sources/rb-source-group.c:
	* doc/reference/rhythmbox-sections.txt:
	Add/fix gtk-doc for tree drag and drop stuff, RBMetaData,
	RhythmDBQueryResults, RBSourceGroup.

2008-03-27  Jonathan Matthew  <jonathan@d14n.org>

	* doc/reference/rhythmbox-sections.txt:
	* sources/rb-playlist-source.c: (rb_playlist_source_class_init):
	* sources/rb-playlist-source.h:
	* sources/rb-source.c: (rb_source_class_init):
	* sources/rb-sourcelist-model.c: (rb_sourcelist_model_class_init),
	(rb_sourcelist_model_column_get_type):
	* sources/rb-sourcelist-model.h:
	* sources/rb-sourcelist.c: (rb_sourcelist_class_init):
	* sources/rb-sourcelist.h:
	Add gtk-doc for RBPlaylistSource, RBSourceList, RBSourceListModel.
	Add gtk-doc for the new base-query-model property.

2008-03-27  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  Sebastien Bacher  <seb128@debian.org>

	* data/rhythmbox.desktop.in.in:
	Correct the MIME type for FLAC.  Fixes #521998.

2008-03-26  Bastien Nocera  <hadess@hadess.net>

	* plugins/generic-player/rb-generic-player-source.c
	(set_playlist_formats), (debug_device_info),
	(rb_generic_player_source_get_playlist_format):
	Remove the checks for PLA support in totem-pl-parser, we
	depend on a version that's got support

2008-03-26  Jonathan Matthew  <jonathan@d14n.org>

	* sources/rb-auto-playlist-source.c:
	(rb_auto_playlist_source_class_init),
	(rb_auto_playlist_source_set_property),
	(rb_auto_playlist_source_get_property):
	* sources/rb-browser-source.c: (rb_browser_source_class_init),
	(rb_browser_source_get_property):
	* sources/rb-source.c: (rb_source_class_init),
	(rb_source_get_property):
	* sources/rb-static-playlist-source.c:
	(rb_static_playlist_source_class_init),
	(rb_static_playlist_source_set_property),
	(rb_static_playlist_source_get_property):
	* sources/rb-static-playlist-source.h:
	Add new base-query-model property to RBSource to provide access to the
	unfiltered query model containing all entries for the source.
	Override this in a few places where that's actually different to the
	query-model property.
	
	* plugins/daap/rb-daap-share.c: (databases_cb):
	* plugins/generic-player/rb-generic-player-playlist-source.c:
	(save_playlist):
	* shell/rb-playlist-manager.c:
	(rb_playlist_manager_cmd_shuffle_playlist):
	Use base-query-model in a few places: sharing playlist contents,
	saving playlists to generic audio players, and shuffling playlists.
	Fixes #382980.

2008-03-26  Jonathan Matthew  <jonathan@d14n.org>

	patch by: Nikolai Luthman  <nikolai.luthman@gmail.com>

	* configure.ac:  Move check for -fno-strict-aliasing outside the check
	for python, since we use it elsewhere.  Fixes #524302.

2008-03-26  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/magnatune/magnatune/TrackListHandler.py:
	Use ogg previews in preference to mp3.  Fixes #397097.

2008-03-25  Jonathan Matthew  <jonathan@d14n.org>

	* backends/rb-encoder.c: (rb_encoder_interface_init):
	* doc/reference/rhythmbox-sections.txt:
	Add gtk-doc for RBEncoder

2008-03-24  Jonathan Matthew  <jonathan@d14n.org>

	* doc/reference/rhythmbox-sections.txt:
	* sources/rb-missing-files-source.c:
	* sources/rb-missing-files-source.h:
	* sources/rb-play-queue-source.c:
	(rb_play_queue_source_class_init):
	* sources/rb-play-queue-source.h:
	Add gtk-doc for RBPlayQueueSource and RBMissingFilesSource

2008-03-23  Jonathan Matthew  <jonathan@d14n.org>

	* backends/rb-player-gst-filter.c:
	(rb_player_gst_filter_interface_init):
	* backends/rb-player-gst-tee.c: (rb_player_gst_tee_interface_init):
	* backends/rb-player-gst-tee.h:
	* sources/rb-auto-playlist-source.c:
	* sources/rb-auto-playlist-source.h:
	* doc/reference/rhythmbox-sections.txt:
	Add docs for RBPlayerGstTee, RBPlayerGstFilter, RBAutoPlaylistSource

	* widgets/rb-entry-view.h:
	* widgets/rb-header.h:
	* widgets/rb-property-view.h:
	Rename some args to match the code.

2008-03-22  Christophe Fergeau  <teuf@gnome.org>

	* plugins/audioscrobbler/rb-audioscrobbler.c: with libsoup 2.4,
	soup_uri_decode no longer works in place as it used to, this is quite
	likely the cause for some songs being submitted as 'An%20Artist' to
	audioscrobbler instead of 'An Artist'

2008-03-22  Jonathan Matthew  <jonathan@d14n.org>

	* doc/reference/rhythmbox-sections.txt:
	* widgets/rb-cell-renderer-pixbuf.c:
	(rb_cell_renderer_pixbuf_class_init):
	* widgets/rb-entry-view.c: (rb_entry_view_class_init),
	(rb_entry_view_get_time_date_column_sample):
	* widgets/rb-entry-view.h:
	* widgets/rb-header.c: (rb_header_class_init),
	(rb_header_sync_time):
	* widgets/rb-header.h:
	Add gtk-doc for RBCellRendererPixbuf, RBEntryView, and RBHeader.

2008-03-22  Jonathan Matthew  <jonathan@d14n.org>

	* doc/reference/rhythmbox-sections.txt:
	* widgets/rb-property-view.c: (rb_property_view_class_init):
	* widgets/rb-property-view.h:
	* widgets/rb-query-creator.c: (rb_query_creator_class_init),
	(rb_query_creator_get_sort_order):
	* widgets/rb-query-creator.h:
	Add gtk-doc for RBPropertyView and RBQueryCreator

2008-03-21  Jonathan Matthew  <jonathan@d14n.org>

	* backends/rb-player-gst-data-tee.c:
	(rb_player_gst_data_tee_interface_init):
	* backends/rb-player.c: (rb_player_interface_init):
	* lib/rb-async-queue-watch.c: (rb_async_queue_watch_dispatch):
	* lib/rb-async-queue-watch.h:
	* rhythmdb/rhythmdb-property-model.c:
	(rhythmdb_property_model_class_init):
	* sources/rb-source.c: (rb_source_class_init):
	* widgets/rb-cell-renderer-rating.c:
	(rb_cell_renderer_rating_class_init):
	* widgets/rb-rating.c: (rb_rating_class_init):
	* widgets/rb-search-entry.c: (rb_search_entry_class_init):
	* widgets/rb-uri-dialog.c: (rb_uri_dialog_class_init):
	Fix signal argument descriptions.  Forgot to include the object
	emitting the signals..
	
	* widgets/rb-song-info.c: (rb_song_info_class_init):
	* widgets/rb-song-info.h:
	* doc/reference/rhythmbox-sections.txt:
	gtk-doc for RBSongInfo.

2008-03-21  Jonathan Matthew  <jonathan@d14n.org>

	* doc/reference/rhythmbox-sections.txt:
	* widgets/rb-dialog.c:
	* widgets/rb-dialog.h:
	* widgets/rb-rating-helper.c:
	* widgets/rb-rating.c: (rb_rating_class_init):
	* widgets/rb-rating.h:
	* widgets/rb-cell-renderer-rating.c:
	* widgets/rb-cell-renderer-rating.h:
	More gtk-doc additions (15%!).
	Remove declaration of rb_error_dialog_full, which never existed.
	Fix declaration of 'rated' signal on RBCellRendererRating.

2008-03-21  Jonathan Matthew  <jonathan@d14n.org>

	* backends/rb-player-gst-data-tee.c:
	(rb_player_gst_data_tee_interface_init):
	* backends/rb-player-gst-data-tee.h:
	* backends/rb-player.c: (rb_player_interface_init):
	* doc/reference/rhythmbox-sections.txt:
	* lib/rb-async-queue-watch.c:
	* lib/rb-debug.c:
	* sources/rb-import-errors-source.c:
	* sources/rb-import-errors-source.h:
	* widgets/rb-search-entry.c:
	More gtk-doc additions and fixes.

2008-03-21  Jonathan Matthew  <jonathan@d14n.org>

	* backends/rb-player.h:
	* lib/rb-file-helpers.c:
	* lib/rb-tree-dnd.c:
	* lib/rb-util.c:
	* plugins/audiocd/rb-audiocd-source.c:
	* plugins/audiocd/sj-metadata-musicbrainz.c:
	* plugins/daap/rb-daap-structure.h:
	* remote/dbus/rb-client.c:
	* rhythmdb/rhythmdb.c:
	* rhythmdb/rhythmdb.h:
	* shell/rb-history.c:
	* shell/rb-history.h:
	* shell/rb-play-order.h:
	* shell/rb-playlist-manager.c:
	* shell/rb-playlist-manager.h:
	* sources/rb-library-source.c:
	* tests/test-rhythmdb-query.c: (main):
	* widgets/libsexy/sexy-icon-entry.c:
	* widgets/rb-cell-renderer-rating.c:
	* widgets/rb-cell-renderer-rating.h:
	* widgets/rb-header.c: (rb_header_init):
	* widgets/rb-library-browser.c: (rb_library_browser_class_init):
	Fix lots of gtk-doc warnings
	
	* doc/reference/rhythmbox-sections.txt:
	Massive update

2008-03-21  Jonathan Matthew  <jonathan@d14n.org>

	* sources/rb-source.c
	* backends/rb-player.c: (rb_player_interface_init),
	(rb_player_set_time):
	* backends/rb-player.h:
	* doc/reference/rhythmbox-sections.txt:
	Fix bits of gtk-doc for RBPlayer and RBSource.

2008-03-21  Jonathan Matthew  <jonathan@d14n.org>

	* doc/reference/rhythmbox-sections.txt:
	* sources/rb-source.c: (rb_source_class_init), (rb_source_paste),
	(default_activate), (default_deactivate), (rb_source_activate),
	(rb_source_deactivate):
	* sources/rb-source.h:
	Add gtk-doc for RBSource.  (10%!)

2008-03-20  Jonathan Matthew  <jonathan@d14n.org>

	* doc/reference/rhythmbox-sections.txt:
	* widgets/rb-library-browser.c: (rb_library_browser_class_init):
	* widgets/rb-library-browser.h:
	* widgets/rb-search-entry.c: (rb_search_entry_class_init),
	(rb_search_entry_searching):
	* widgets/rb-search-entry.h:
	Add gtk-doc for RBLibraryBrowser and RBSearchEntry.

	* widgets/rb-uri-dialog.c: (rb_uri_dialog_class_init):
	Fix signal identifiers so they actually show up.

2008-03-19  Jonathan Matthew  <jonathan@d14n.org>

	* doc/reference/rhythmbox.types:
	Bring this up to date too

	* doc/reference/Makefile.am:
	Base the makefile on a more recent example, update the list of
	ignored headers, add CFLAGS for libsoup

2008-03-19  Jonathan Matthew  <jonathan@d14n.org>

	* doc/reference/rhythmbox-docs.sgml:
	Update the gtk-doc structure to match something approaching reality

2008-03-19  Jonathan Matthew  <jonathan@d14n.org>

	* rhythmdb/rhythmdb.h:
	* rhythmdb/rhythmdb-import-job.h:
	* rhythmdb/rhythmdb-private.h:
	* rhythmdb/rhythmdb-property-model.h:
	* widgets/rb-uri-dialog.h:
	Rearrange struct/typedef bits so gtk-doc likes them
	(I'll probably end up doing this for every single class..)

	* rhythmdb/rhythmdb-import-job.c:
	* rhythmdb/rhythmdb-property-model.c:
	Add gtk-doc stuff for RhythmDBImportJob and RhythmDBPropertyModel

	* doc/reference/rhythmbox-sections.txt:
	Update this a bit

2008-03-18  Jonathan Matthew  <jonathan@d14n.org>

	* widgets/rb-uri-dialog.c: (rb_uri_dialog_class_init):
	Add gtk-doc stuff for RBURIDialog.

2008-03-18  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/artdisplay/artdisplay/LocalCoverArtSearch.py:
	Return the full URI, rather than just the path.  Allows local cover
	art searches to work on SMB shares.  Fixes #517103.

2008-03-17  Bastien Nocera  <hadess@hadess.net>

	* shell/rb-shell.c (rb_shell_load_uri): Fix possible
	crasher (and probable with the device activation for 
	removable devices), as the source list isn't ref'ed,
	we shouldn't unref it ourselves

2008-03-17  Jonathan Matthew  <jonathan@d14n.org>

	* doc/reference/Makefile.am:
	Fix gtk-doc build (I hate link order problems), #522821.

============ Version 0.11.5

2008-03-17  James Livingston  <doclivingston@gmail.com>

	* configure.ac: bump version
	* NEWS: add release news

2008-03-15  Jonathan Matthew  <jonathan@d14n.org>

	* bindings/python/rhythmdb.defs:
	* bindings/python/rhythmdb.override:
	Fix bindings for RhythmDBImportJob so it might be usable from python.

2008-03-15  Jonathan Matthew  <jonathan@d14n.org>

	* configure.ac:
	* rhythmdb/Makefile.am:
	* rhythmdb/rhythmdb.c: (rhythmdb_entry_move_to_trash):
	Use gio for trashing files when available so it works better on 
	GNOME 2.22 desktops.  From #510392.

2008-03-14  Bastien Nocera  <hadess@hadess.net>

	* shell/rb-shell.c (rb_shell_load_uri):
	* sources/rb-removable-media-source.c
	(rb_removable_media_source_class_init), (impl_want_uri),
	(impl_uri_is_source): Fix files from removable devices
	being imported in the main library instead of staying in
	their own source when Rhythmbox is activated from nautilus
	(Closes: #519737)

2008-03-13  Bastien Nocera  <hadess@hadess.net>

	* data/rhythmbox.schemas: Change the default window size and
	pane size so that it fits on 800x600 and make the source
	list readable even with bigger fonts
	See https://bugzilla.redhat.com/show_bug.cgi?id=437066

2008-03-08  Jonathan Matthew  <jonathan@d14n.org>

	* data/rhythmbox.schemas:
	Disable astraweb lyrics search (the site is dead), re-enable
	leoslyrics.com search, since that seems to be working again.

2008-03-03  Bastien Nocera  <hadess@hadess.net>

	* metadata/Makefile.am:
	* rhythmdb/Makefile.am:
	* sources/Makefile.am: Use -fno-strict-aliasing for those
	directories when the compiler supports it

2008-02-27  Jonathan Matthew  <jonathan@d14n.org>

	* sources/rb-streaming-source.c: (rb_streaming_source_class_init):
	This class shouldn't return TRUE from impl_can_search, as it knows
	nothing about whether its subclasses can search.  This removes the
	search bar from the last.fm source, which is OK because it didn't work
	anyway.  See bug #430995.

2008-02-23  Bastien Nocera  <hadess@hadess.net>

	* data/rhythmbox.schemas: Add handlers for lastfm:// URIs,
	needed to support last.fm streams (Closes: #490122)

2008-02-24  Jonathan Matthew  <jonathan@d14n.org>

	* shell/rb-shell-player.c: (rb_shell_player_open_location):
	When switching to a new entry, always clear out the playlist URL
	queue, and create a new one if appropriate.  From #490122.

2008-02-21  Bastien Nocera  <hadess@hadess.net>

	* README: Fix command to debug imports, don't know how that ever
	worked

2008-02-21  Jonathan Matthew  <jonathan@d14n.org>

	patch by: Götz Waschk  <waschk@mandriva.org>

	* bindings/vala/rb.vapi:  Fix build with vala 0.1.6.
	Fixes #512549.

2008-02-20  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/lyrics/lyrics/__init__.py:  Don't blindly remove any text in
	brackets.  Sometimes it's important.  Fixes #517551.

2008-02-19  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  Sebastien Bacher  <seb128@debian.org>

	* data/rhythmbox.schemas:  Fix weird typo in ui/toolbar_style schema.
	Fixes #517269.

2008-02-18  Jonathan Matthew  <jonathan@d14n.org>

	* shell/rb-shell-player.c: (rb_shell_player_handle_eos_unlocked):
	Fix stats update for ERROR, STOP and RETRY EOS actions so stats are
	only updated once.

2008-02-15  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/ipod/rb-ipod-source.c: (rb_ipod_song_artwork_add_cb):
	Fix subtly broken DB query so it has a chance of working now.

2008-02-15  Jonathan Matthew  <jonathan@d14n.org>

	* lib/rb-proxy-config.h:  Add missing #if defined(HAVE_LIBSOUP) so
	people can build without libsoup if they really really want to.

2008-02-13  Jonathan Matthew  <jonathan@d14n.org>

	* widgets/rb-search-entry.c: (rb_search_entry_check_style):
	Make the text in the search box black, regardless of theme colour,
	since we make the background yellow the same way.  Fixes #414699.

2008-02-11  Jonathan Matthew  <jonathan@d14n.org>

	interesting parts of patch by:  Dan Winship  <danw@gnome.org>

	* configure.ac:
	* lib/Makefile.am:
	* lib/rb-proxy-config.c: (rb_proxy_config_get_libsoup_uri):
	* lib/rb-proxy-config.h:
	* lib/rb-soup-compat.h:
	* plugins/audioscrobbler/rb-audioscrobbler.c:
	* plugins/audioscrobbler/rb-lastfm-gst-src.c:
	* plugins/audioscrobbler/rb-lastfm-source.c:
	* plugins/daap/rb-daap-connection.c:
	* plugins/daap/rb-daap-plugin.c:
	* plugins/daap/rb-daap-share.c:
	* plugins/daap/rb-daap-src.c:
	Add support for libsoup 2.4, keeping libsoup 2.2 compatibility.
	libsoup 2.2 stuff is pretty ugly, but can be dropped fairly easily.
	Fixes #509701.

2008-02-11  Jonathan Matthew  <jonathan@d14n.org>

	* shell/rb-shell-player.c: (rb_shell_player_handle_eos_unlocked):
	Don't use the playing_entry_eos flag to figure out whether to update
	stats, as it gets reset if the new stream is started synchronously.

2008-02-10  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/mmkeys/rb-mmkeys-plugin.c: (impl_activate):
	Try the new interface/path names for the media player keys interface
	first, falling back if that doesn't work.  Fixes #510406.

2008-02-08  Jonathan Matthew  <jonathan@d14n.org>

	* shell/rb-shell.xml:
	dbus methods that return 'o' types are supposed to return the object
	path, not the object itself.

2008-02-07  James Livingston  <doclivingston@gmail.com>

	* plugins/coherence/upnp_coherence/__init__.py: remove the hardcoded
	iterface name, which I accidently committed

2008-02-05  Bastien Nocera  <hadess@hadess.net>

	* podcast/Makefile.am: Fix warning from automake
	about AM_LDFLAGS not being defined

2008-02-05  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  Damien Carbery  <damien.carbery@sun.com>

	* configure.ac:
	* podcast/Makefile.am:
	Allow the browser plugin install directory to be specified using the
	MOZILLA_PLUGINDIR environment variable.  Fixes #508499.

2008-02-05  James Livingston  <doclivingston@gmail.com>

	patch by: Frank Scholz  <dev@netzflocken.de>


	* plugins/coherence/coherence.rb-plugin.in:
	* plugins/coherence/upnp_coherence/Makefile.am:
	* plugins/coherence/upnp_coherence/MediaPlayer.py:
	* plugins/coherence/upnp_coherence/MediaStore.py:
	* plugins/coherence/upnp_coherence/UpnpSource.py:
	* plugins/coherence/upnp_coherence/__init__.py: Improved the UPnP plugin
	by making us act as a Renderer, exporting artist/album lists and the
	like. Closes #512870

2008-02-05  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/audioscrobbler/rb-audioscrobbler.c:
	(rb_audioscrobbler_perform):
	* plugins/audioscrobbler/rb-lastfm-source.c: (rb_lastfm_perform):
	Add a user-agent header to our HTTP requests.  Some proxies behave
	badly without one.  Fixes #514254.

2008-02-03  Jonathan Matthew  <jonathan@d14n.org>

	patch by: Ed Catmur  <ed@catmur.co.uk>

	* configure.ac: Use pkg-config to find check, so it doesn't always
	need to be installed.  Fixes #507368.
	Don't use our pygobject GValue marshaller if pygobject is new enough
	to have one of its own.

2008-02-02  Christophe Fergeau  <teuf@gnome.org>

	* plugins/ipod/rb-ipod-source.c: (add_ipod_song_to_db): set
	FIRST_SEEN property when adding songs to the library

2008-01-27  Jonathan Matthew  <jonathan@d14n.org>

	* rhythmdb/rhythmdb.c: (rhythmdb_add_import_error_entry),
	(rhythmdb_missing_plugins_cb), (default_sync_metadata):
	Don't pass in NULL for error/ignore entry types, and if we don't have
	a valid entry type for error entries, don't create one.  Probably
	fixes #510236.

2008-01-24  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  Mirco Müller  <macslow@bangang.de>

	* plugins/artdisplay/artdisplay/CoverArtDatabase.py:
	When saving a pixbuf, save in PNG format if it has an alpha channel.
	When looking for cached images, check for PNG format first.
	Fixes #509880.

2008-01-21  Jonathan Matthew  <jonathan@d14n.org>

	* backends/gstreamer/rb-player-gst-xfade.c: (start_stream_fade),
	Record the fade end point before touching the controller so if we're
	already fading, we don't misinterpret the resulting volume change.

	(rb_player_gst_xfade_pause):  If the stream is still fading in,
	calculate the fade start point and length based on its current volume.

2008-01-20  Jonathan Matthew  <jonathan@d14n.org>

	* backends/gstreamer/rb-encoder-gst.c: (add_tags_from_entry):
	* metadata/rb-metadata-common.c:
	* metadata/rb-metadata-gst.c: (rb_metadata_gst_tag_to_field),
	(rb_metadata_gst_field_to_gst_tag):
	* metadata/rb-metadata.h:
	* plugins/audiocd/rb-audiocd-source.c: (metadata_cb):
	* rhythmdb/rhythmdb-private.h:
	* rhythmdb/rhythmdb-tree.c: (save_entry):
	* rhythmdb/rhythmdb.c: (metadata_field_from_prop),
	(rhythmdb_entry_allocate), (rhythmdb_entry_finalize),
	(set_props_from_metadata), (rhythmdb_entry_set_internal),
	(rhythmdb_prop_type_get_type), (rhythmdb_entry_get_string),
	(rhythmdb_entry_get_refstring):
	* rhythmdb/rhythmdb.h:
	As far as possible, rename musicbrainz_artistsortname to
	artist_sortname.  It's not musicbrainz-specific.

2008-01-19  Jonathan Matthew  <jonathan@d14n.org>

	* bindings/python/rhythmdb.defs:
	Add bindings for property ID <-> element name translation methods.

2008-01-19  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  Li Yuan  <li.yuan@sun.com>

	* rhythmdb/rhythmdb-property-model.c:
	(rhythmdb_property_model_iter_nth_child):
	Adjust the index to account for the 'all' property at position 0.
	Fixes property view accessibility (nothing else uses _nth_child),
	#444793.

2008-01-18  Bastien Nocera  <hadess@hadess.net>

	* data/rhythmbox.desktop.in.in: Patch from David Zeuthen
	<david@fubar.dk> to support the new x-content/ mimetypes
	(Closes: #510323)

2008-01-15  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/coherence/upnp_coherence/MediaStore.py:
	* plugins/daap/rb-daap-share.c: (add_entry_to_mlcl):
	Don't send hidden entries to DAAP or UPnP clients.  Fixes #509148.

2008-01-13  Jonathan Matthew  <jonathan@d14n.org>

	* backends/gstreamer/rb-player-gst-xfade.c: (create_stream):
	For audio CD playback, try to disable paranoia mode and reduce read
	speed, and extract the device path from the URI fragment.  Fixes
	#507538.

2008-01-13  Djihed Afifi  <djihed@gmail.com>

	* widgets/rb-header.c: (rb_header_sync):
	Prepend a right-to-left mark to the song information label for RTL
	display.  From #508573.

2008-01-11  Jonathan Matthew  <jonathan@d14n.org>

	* bindings/python/rb.override:
	Don't crash in RBShellPlayer.get_playing_path() if the playing path is
	NULL.  Fixes #508573.

2008-01-09  Bastien Nocera  <hadess@hadess.net>

	* plugins/coherence/upnp_coherence/__init__.py:
	Patch from Ralph Giles <giles@xiph.org> to fix warnings
	when there's no ~/.face file (Closes: #505337)

2008-01-06  Jonathan Matthew  <jonathan@d14n.org>

	* bindings/python/rb.defs:
	* lib/rb-util.c: (rb_set_tree_view_column_fixed_width):
	* lib/rb-util.h:
	* widgets/rb-entry-view.c: (rb_entry_view_set_fixed_column_width):
	Move the tree view column fixed width setting code out to rb-util so
	it can be used elsewhere.

2008-01-05  Jonathan Matthew  <jonathan@d14n.org>

	* widgets/rb-query-creator-properties.c:
	(durationCriteriaCreateWidget), (update_time_unit_limits),
	(relativeTimeCriteriaCreateWidget),
	(relativeTimeCriteriaSetWidgetData):
	Set limits on the spin buttons used in the query creator so the input
	values can't cause integer overflow when converted to seconds.
	Fixes #456110.

2008-01-04  Christophe Fergeau <teuf@gnome.org>

	* plugins/daap/rb-daap-source.c:
	* plugins/generic-player/rb-psp-source.c: 
	* plugins/ipod/rb-ipod-source.c:
	* plugins/mtpdevice/rb-mtp-source.c:
	* sources/rb-auto-playlist-source.c: add missing g_boxed_free when
	manipulating the entry-type of a source, fixes bug #506858

2008-01-03  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/daap/rb-daap-connection.c: (handle_playlists),
	(handle_playlist_entries):
	Don't bother reversing the playlist list when we're going 
	to sort it anyway.  Reverse the playlist entry list, though, 
	since we build it backwards.

2008-01-02  Christophe Fergeau <teuf@gnome.org>

	* plugins/ipod/rb-ipod-source.c: make sure we are only processing
	entries from the iPod in rb_add_artwork_whole_album_cb to avoid a
	crash, fixes bug #493996.

2008-01-02  Ross Burton  <ross@burtonini.com>

	Patch by: Kern Handa
	
	* plugins/ipod/rb-ipod-source.c:
	Save downloaded artwork onto iPod (#493996).

2008-01-01  Ross Burton  <ross@burtonini.com>

	Patch by: Christophe Fergeau.
	
	* plugins/ipod/rb-ipod-source.c:
	Set flags when adding a podcast (#492080)

2008-01-01  Jonathan Matthew  <jonathan@d14n.org>

	Patch by:  Ryan Hughes  <ryan@iheartryan.com>

	* rhythmdb/rhythmdb-query-model.c:
	(rhythmdb_query_model_shuffle_entries):
	* rhythmdb/rhythmdb-query-model.h:
	* bindings/python/rhythmdb.defs:
	Add a method to shuffle the entries in a query model.
	
	* sources/rb-static-playlist-source.c:
	(rb_static_playlist_source_shuffle_playlist):
	* sources/rb-static-playlist-source.h:
	Add a method to shuffle the entries in the playlist's base model (so
	the changes persist)

	* data/ui/rhythmbox-ui.xml:
	* shell/rb-playlist-manager.c: (rb_playlist_manager_set_source),
	(rb_playlist_manager_cmd_shuffle_playlist):
	Use the above to add a 'shuffle playlist' menu item for static
	playlists.  Fixes #165863.

2008-01-01  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/rb-plugins-engine.c: (rb_plugins_engine_init):
	* plugins/rb-python-module.c: (rb_python_module_class_init):
	* plugins/rb-python-module.h:
	Always initialize python if python plugins are enabled.
	Fixes #499208, probably wastes a bit of memory for a few people.

2008-01-01  Jonathan Matthew  <jonathan@d14n.org>

	* backends/gstreamer/rb-encoder-gst.c: (rb_encoder_gst_class_init),
	(rb_encoder_gst_encode):
	* sources/rb-removable-media-source.c: (impl_paste):
	Add mappings for FLAC (audio/flac <-> audio/x-flac) so FLAC files can
	be transferred to devices.  Fixes #486049.

2008-01-01  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  Jay Cornwall  <jay@jcornwall.me.uk>

	* widgets/rb-header.c: (slider_release_callback):
	Remove superfluous call to rb_header_sync_time that will mostly move
	the slider to the wrong place.  Fixes #506641.

2007-12-31  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  Jay Cornwall  <jay@jcornwall.me.uk>

	* plugins/daap/rb-daap-connection.c: (compare_playlists_by_name),
	(handle_playlists):  Sort playlists on DAAP shares into alphabetical
	order.  Fixes #504551.

2007-12-31  Jonathan Matthew  <jonathan@d14n.org>

	* rhythmdb/rhythmdb.c: (rhythmdb_process_metadata_load):
	event->metadata can be NULL in certain error cases, so don't assume
	that it isn't.  Fixes #506440.

2007-12-30  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  Claude Paroz  <claude@2xlibre.net>

	* po/POTFILES.in:
	* plugins/*/Makefile.am:
	* plugins/*/*.rb-plugin.desktop.in:
	Rename .rb-plugin.desktop.in files to .rb-plugin.in.  Fixes #432770.

2007-12-30  Jonathan Matthew  <jonathan@d14n.org>

	patch mostly by:  Sam Solon  <ssolon@usa.net>

	* plugins/mtpdevice/rb-mtp-source.c: (gdate_to_char):
	Zero-pad dates, use 4-digit years.  Fixes #502589.

2007-12-29  Jonathan Matthew  <jonathan@d14n.org>

	patch mostly by:  Sam Solon  <ssolon@usa.net>

	* plugins/mtpdevice/rb-mtp-source.c: (rb_mtp_source_load_tracks):
	If the MTP device doesn't have a friendly name, use the model name; if
	it doesn't have that, use a generic fallback device name.  
	Fixes #490918.

2007-12-29  Jonathan Matthew  <jonathan@d14n.org>

	* backends/gstreamer/rb-player-gst-xfade.c: (preroll_stream),
	(rb_player_gst_xfade_open):
	Fix some broken error message formatting.  Don't try to unblock the
	stream when prerolling fails, as it deadlocks.

	* shell/rb-shell-player.c: (rb_shell_player_open_location),
	(rb_shell_player_set_playing_entry):
	Fix error reporting when rb_player_open or rb_player_play fails.
	Return value variable was being shadowed, and the error wasn't being
	propagated properly.

	Fixes #491812.

2007-12-29  Jonathan Matthew  <jonathan@d14n.org>

	* shell/rb-shell.c: (construct_load_ui),
	(rb_shell_volume_widget_changed_cb),
	(rb_shell_player_volume_changed_cb):
	Use GtkVolumeButton instead of BaconVolumeButton where available.

2007-12-28  Jonathan Matthew  <jonathan@d14n.org>

	* shell/rb-shell-player.c: (rb_shell_player_handle_eos_unlocked),
	(rb_shell_player_handle_eos), (rb_shell_player_do_next_internal),
	(rb_shell_player_do_next), (tick_cb):
	When handling fake EOS events for crossfading, don't stop playback if
	there's nothing else to play.  Fixes #434143.

2007-12-28  Alex Kloss  <alexkloss@att.net>

	* plugins/daap/rb-daap-plugin.c:
	* plugins/visualizer/rb-visualizer-plugin.c:
	* shell/rb-shell-clipboard.c:
	* shell/rb-shell-player.c:
	* shell/rb-shell.c:
	Disambiguate mnemonics, add missing mnemonics for visualization and
	connecting to DAAP shares manually.  Fixes #501649.

2007-12-28  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  Jay Cornwall  <jay@jcornwall.me.uk>

	* plugins/daap/rb-daap-source.c: (rb_daap_source_disconnect):
	Clear the 'disconnecting' flag when we've finished disconnecting.
	Fixes crashes on shutdown, #504556.

2007-12-27  Jonathan Matthew  <jonathan@d14n.org>

	patch by: Kouhei Sutou <kou@cozmixng.org>

	* plugins/artdisplay/artdisplay/AmazonCoverArtSearch.py:
	Specify 'mode=music-jp' when searching Amazon in Japanese.
	I'm sure this makes sense to someone.  Fixes #347818.

2007-12-27  Jonathan Matthew  <jonathan@d14n.org>

	patch by: Kouhei Sutou <kou@cozmixng.org>

	* plugins/artdisplay/artdisplay/AmazonCoverArtSearch.py:
	If we don't have an Amazon search locale mapping for the user's
	locale, try stripping off the _TERRITORY part and look again with just
	the language.  Fixes #495771.

2007-12-27  Jonathan Matthew  <jonathan@d14n.org>

	patch by: Karol Krizka  <kkrizka@gmail.com>

	* plugins/generic-player/rb-generic-player-source.c:
	(impl_constructor), (load_songs):
	Get device information before trying to load songs.  Fixes #505340.

============ Version 0.11.4
2007-12-21  James Livingston  <doclivingston@gmail.com>

	* shell/rb-shell.c: (rb_shell_finalize): revert a change which was
	causing nasty warnings when exiting.

	* configure.ac: bump version to 0.11.4

	* NEWS: update with 0.11.4

2007-12-18  Jonathan Matthew  <jonathan@d14n.org>

	* backends/gstreamer/rb-player-gst-xfade.c:
	(rb_player_gst_xfade_dispose), (start_sink), (stop_sink),
	(rb_player_gst_xfade_close), (rb_player_gst_xfade_play):
	Remove obsolete stuff relating to pausing the sink, which we never do
	any more.

2007-12-16  Jonathan Matthew  <jonathan@d14n.org>

	* shell/rb-shell-player.c: (rb_shell_player_get_playing_time),
	(rb_shell_player_error_get_type):
	* shell/rb-shell-player.h:
	Make rb_shell_player_get_playing_time fail if the player can't figure
	out the playback position.

	* plugins/audioscrobbler/rb-audioscrobbler.c:
	(maybe_add_current_song_to_queue),
	(rb_audioscrobbler_song_changed_cb):
	If we don't get a playback position, assume we're at the start of the
	track.  From #499745.

2007-12-16  Jonathan Matthew  <jonathan@d14n.org>

	* HACKING: Now less heinously out of date.  Fixes #482767.

2007-12-13  Jonathan Matthew  <jonathan@d14n.org>

	* configure.ac:
	* data/icons/hicolor/48x48/Makefile.am:
	* data/icons/hicolor/48x48/apps/Makefile.am:
	* data/icons/hicolor/Makefile.am:
	Add 48x48 icon, so the icon isn't tiny when drag'n'dropping it to the
	desktop.  Icon via Andreas Nilsson.  Fixes #502935.

2007-12-12  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/generic-player/rb-generic-player-playlist-source.c:
	(playlist_format_extension), (handle_playlist_start_cb),
	(handle_playlist_entry_cb), (load_playlist):
	Remove playlist parser API backwards compatibility stuff, use current
	signal names and parameters.

2007-12-11  Jonathan Matthew  <jonathan@d14n.org>

	patch by: Irene Huang  <Irene.Huang@sun.com>

	* plugins/audiocd/rb-audiocd-source.c: (rb_audiocd_scan_songs),
	(rb_audiocd_load_songs):  Take GDK lock when showing error dialogs
	during audio CD reading.  Fixes #502265.

2007-12-10  Bastien Nocera  <hadess@hadess.net>

	* plugins/coherence/upnp_coherence/__init__.py: Export the
	user's ~/.face (as setup by about-me and gdmphotosetup)
	as the server's icon, for display in clients that support
	it (Closes: #487970)

2007-12-09  Jonathan Matthew  <jonathan@d14n.org>

	* podcast/rb-podcast-manager.c:
	(rb_podcast_manager_download_file_info_cb):
	Use rb_uri_exists() to check if the podcast has already been
	downloaded, as we've converted the local path into a URI here.

2007-12-09  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/audioscrobbler/rb-audioscrobbler.c:
	(rb_audioscrobbler_dispose), (rb_audioscrobbler_is_queueable),
	(rb_audioscrobbler_song_changed_cb):
	Add some helpful debug output.  From #499745.

2007-12-04  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/visualizer/rb-visualizer-plugin.c:
	(free_vis_plugin_info), (rb_visualizer_plugin_finalize),
	(get_vis_plugin_list):  If we're going to free the GStreamer feature
	list that we get the visualization plugin strings from, we'll need to
	copy the strings..

2007-12-04  Jonathan Matthew  <jonathan@d14n.org>

	* INSTALL.quick: make this somewhat less horribly out of date.

2007-12-04  Jonathan Matthew  <jonathan@d14n.org>

	* shell/rb-shell-player.c: (rb_shell_player_open_location):
	Don't try to g_object_ref a RhythmDBEntry; it's not a GObject.

2007-12-03  Bastien Nocera  <hadess@hadess.net>

	* plugins/generic-player/rb-generic-player-playlist-source.c:
	(save_playlist), (handle_playlist_start_cb), (load_playlist),
	(rb_generic_player_playlist_source_new),
	(rb_generic_player_playlist_source_get_property),
	(rb_generic_player_playlist_source_set_property),
	(rb_generic_player_playlist_source_class_init):
	* plugins/generic-player/rb-generic-player-playlist-source.h:
	* plugins/generic-player/rb-generic-player-plugin.c:
	(rb_generic_player_plugin_new_playlist):
	* plugins/generic-player/rb-generic-player-source.c:
	(load_playlist_file), (default_load_playlists): Pass the device_root
	when parsing a playlist on a removable device, to allow drive letters
	in playlists (Helps: #427975)

2007-12-03  Bastien Nocera  <hadess@hadess.net>

	* plugins/mmkeys/rb-mmkeys-plugin.c: (media_player_key_pressed),
	(filter_mmkeys), (mmkeys_grab), (impl_activate): Handle the Stop
	key from the control-center D-Bus interface as we used to handle
	the XF86AudioStop key (Closes: #438135)

2007-12-03  Bastien Nocera  <hadess@hadess.net>

	* plugins/generic-player/rb-psp-source.c: (impl_get_mount_path),
	(rb_psp_is_volume_player): Handle PSPs with firmware >= 2.80
	(Closes: #369222)

2007-12-03  Bastien Nocera  <hadess@hadess.net>

	* configure.ac:
	* podcast/Makefile.am:
	* podcast/plugin.symbols:
	* podcast/rhythmbox-itms-plugin.cpp: Add a Mozilla plugin
	to allow the iTMS pages to detect that we can handle itms:// URIs
	(Closes: #489874)

2007-12-03  Bastien Nocera  <hadess@hadess.net>

	* configure.ac: Require totem-pl-parser 2.21.4

	* lib/rb-file-helpers.c: (rb_uri_could_be_podcast):
	* lib/rb-file-helpers.h: Add helper function to detect
	whether it could be a podcast from the URI passed

	* data/rhythmbox.schemas: Handle feed://, itpc:// and itms:// URIs

	* podcast/Makefile.am:
	* podcast/rb-podcast-manager.c:
	(rb_podcast_manager_subscribe_feed),
	(rb_podcast_manager_parse_complete_cb),
	(rb_podcast_manager_thread_parse_feed),
	(rb_podcast_manager_save_metadata),
	(rb_podcast_manager_insert_feed):
	* podcast/rb-podcast-parse.c: (playlist_metadata_foreach),
	(playlist_started), (playlist_ended), (entry_metadata_foreach),
	(entry_parsed), (rb_podcast_parse_load_feed),
	(rb_podcast_parse_channel_free):
	* podcast/rb-podcast-parse.h: Use totem-pl-parser to parse Podcast
	files (including Atom files) (Closes: #355984), as well as OPML files

	* shell/rb-playlist-manager.c: (handle_playlist_entry_cb),
	(playlist_load_started_cb), (playlist_load_ended_cb),
	(rb_playlist_manager_parse_file), (_is_dirty_playlist),
	(rb_playlist_manager_save_playlists):
	* shell/rb-shell-player.c: (rb_shell_player_class_init),
	(rb_shell_player_handle_eos_unlocked), (rb_shell_player_init),
	(playlist_entry_cb), (open_location_thread),
	(rb_shell_player_open_location), (rb_shell_player_sync_play_order),
	(rb_shell_player_do_previous), (rb_shell_player_do_next_internal),
	(rb_shell_player_entry_activated_cb):
	* shell/rb-shell.c: (handle_playlist_entry_cb),
	(rb_shell_load_uri): Update API to totem-pl-parser 2.21.4, detect
	podcasts and OPML files (Closes: #489520) and add them to the
	podcast source

	* podcast/test-podcast-parse.c: (main): Call setlocale
	so we print UTF-8 characters

	(Closes: #484768)

2007-12-03  Jonathan Matthew  <jonathan@d14n.org>

	* rhythmdb/rhythmdb.c: (rhythmdb_save_thread_main):
	When we've decided not to save the database, it would be a good idea
	to actually not save the database.  Fixes #501125.

2007-12-02  Jonathan Matthew  <jonathan@d14n.org>

	* sources/rb-static-playlist-source.c:
	(rb_static_playlist_source_move_entry):
	Move entries in the base query model, not the displayed query model.
	Otherwise, the order change is lost when saving the playlist.

2007-12-02  Jonathan Matthew  <jonathan@d14n.org>

	* bindings/python/Makefile.am:
	* bindings/python/rb.defs:
	* bindings/python/rb.override:
	Add python bindings for the streaming source class.

2007-12-02  Jonathan Matthew  <jonathan@d14n.org>

	* shell/rb-playlist-manager.c: (save_playlist_cb),
	(rb_playlist_manager_save_playlists), (list_playlists_cb),
	(rb_playlist_manager_get_playlists),
	(rb_playlist_manager_get_playlist_names),
	(find_playlist_by_name_cb), (_get_playlist_by_name):
	Fix various playlist manager methods that have been broken since 
	the introduction of source list groups.

2007-11-29  Jonathan Matthew  <jonathan@d14n.org>

	* shell/rb-shell-player.c: (notify_playing_idle),
	(rb_shell_player_open_playlist_url), (rb_shell_player_dispose):
	Remove the notify-playing idle handler when disposing the player.
	Fixes #463948.

2007-11-28  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/audioscrobbler/rb-lastfm-source.c:
	(rb_lastfm_source_metadata_cb):
	Don't crash if we get a blank line in the metadata response, as we
	apparently do sometimes.  Should fix #465271.

2007-11-28  Jonathan Matthew  <jonathan@d14n.org>

	* sources/rb-podcast-source.c: (rb_podcast_source_constructor),
	(rb_podcast_source_load_finish_cb):
	Use g_signal_connect_object instead of _after, and g_idle_add
	instead of gtk_idle_add.  Probably fixes #463950?

2007-11-27  Bastien Nocera  <hadess@hadess.net>

	* plugins/ipod/rb-ipod-source.c: (impl_move_to_trash),
	(impl_build_dest_uri), (request_artwork): Don't put iPod tracks in
	the wastebasket when deleting them, they lost their database entry
	so they're unrecoverable (Closes: #346434)

2007-11-26  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/artdisplay/artdisplay/LocalCoverArtSearch.py:
	Follow symlinks when looking for local cover art.  Fixes #499132.

2007-11-26  Jonathan Matthew  <jonathan@d14n.org>

	* shell/rb-tray-icon.c: (rb_tray_icon_init):
	Revert change from previous commit as it causes gtk warnings on
	startup.

2007-11-25  James Livingston  <doclivingston@gmail.com>

	* bindings/python/rb.defs:
	* metadata/rb-metadata-dbus-service.c: (main):
	* plugins/rb-plugins-engine.c: (rb_plugins_engine_load),
	(rb_plugins_engine_load_cb):
	* plugins/sample-vala/rb-sample-vala-plugin.vala:
	* plugins/visualizer/rb-visualizer-plugin.c: (get_vis_plugin_list):
	* shell/rb-shell.c: (rb_shell_finalize), (construct_widgets):
	* shell/rb-tray-icon.c: (rb_tray_icon_init):
	* tools/massif.sh:
	* widgets/rb-entry-view.c: (rb_entry_view_get_sorting_type):
	* widgets/rb-entry-view.h: fix some memory leaks. patch partially by
	John Daiker.

2007-11-25  Jonathan Matthew  <jonathan@d14n.org>

	* backends/gstreamer/rb-player-gst-xfade.c: (dump_stream_list),
	(volume_changed_cb), (start_stream_fade), (link_unblocked_cb),
	(link_and_unblock_stream), (unlink_blocked_cb),
	(unlink_and_dispose_stream), (rb_player_gst_xfade_bus_cb),
	(actually_start_stream), (get_times_and_stream), (stop_sink),
	(rb_player_gst_xfade_open), (stop_sink_later), (maybe_stop_sink),
	(rb_player_gst_xfade_close), (rb_player_gst_xfade_play),
	(rb_player_gst_xfade_pause), (rb_player_gst_xfade_set_replaygain),
	(rb_player_gst_xfade_set_time):
	Use a short (half second) fade when pausing and unpausing streams.
	Don't pause the sink; instead, stop it when there are no playing
	streams.

	Fixes #434142, #465482, #484883, and parts of #427244 and #452226.

2007-11-21  Jonathan Matthew  <jonathan@d14n.org>

	* rhythmdb/rhythmdb-query-model.c:
	(rhythmdb_query_model_emit_reorder),
	(apply_updated_entry_sequence):
	Use g_malloc/g_free instead of malloc/free.

2007-11-20  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/mtpdevice/rb-mtp-plugin.c: (impl_activate),
	(rb_mtp_plugin_device_added):  Rearrange the device scanning loops so
	we only get the device/vendor IDs for each connected device (which
	involves dbus requests) once, rather than once per device type libmtp
	knows about.  Makes the mtp plugin's device scan about 100 times
	faster, fixing #498198.

2007-11-20  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/mtpdevice/mtp-ui.xml:
	* plugins/mtpdevice/rb-mtp-plugin.c:
	Don't use the same name for the MTP eject action as the generic one.
	Fixes #472541.

2007-11-17  Bastien Nocera  <hadess@hadess.net>

	* plugins/daap/rb-daap-connection.c: (handle_song_listing),
	(rb_daap_connection_state_done): Fix DAAP sharing in client mode
	not playing anything (Closes: #497430)

2007-11-12  Jonathan Matthew  <jonathan@d14n.org>

	* configure.ac:
	* metadata/Makefile.am:
	* metadata/rb-metadata-dbus-client.c: (rb_metadata_load),
	(rb_metadata_has_missing_plugins),
	(rb_metadata_get_missing_plugins):
	* metadata/rb-metadata-dbus-service.c: (_send_error),
	(rb_metadata_dbus_load), (rb_metadata_dbus_can_save),
	(rb_metadata_dbus_save), (test_load):
	* metadata/rb-metadata-dbus.c: (rb_metadata_dbus_get_strv),
	(rb_metadata_dbus_add_strv):
	* metadata/rb-metadata-dbus.h:
	* metadata/rb-metadata-gst.c: (rb_metadata_gst_new_decoded_pad_cb),
	(rb_metadata_gst_unknown_type_cb),
	(rb_metadata_handle_missing_plugin_message),
	(rb_metadata_bus_handler), (rb_metadata_load),
	(rb_metadata_has_missing_plugins),
	(rb_metadata_get_missing_plugins):
	* metadata/rb-metadata.h:
	* metadata/test-metadata.c: (load_metadata_cb):
	Process GStreamer missing-plugin messages.  This requires a slightly
	newer version of GStreamer than we otherwise require, so it's
	conditional.  Missing plugin information is available to callers of
	the RBMetadata interface.

	* shell/Makefile.am:
	* lib/rb-marshal.list:
	* shell/rb-shell.c: (rb_shell_constructor):
	* shell/rb-missing-plugins.c:
	(rb_plugin_install_plugin_is_blacklisted),
	(rb_plugin_install_blacklist_plugin),
	(rb_plugin_install_context_free), (rb_plugin_install_done),
	(on_plugin_installation_done), (missing_plugins_event),
	(missing_plugins_cb), (rb_missing_plugins_init):
	* shell/rb-missing-plugins.h:
	Add some machinery for calling GStreamer plugin installation helpers
	and then retrying the original operation.

	* rhythmdb/rhythmdb-private.h:
	* rhythmdb/rhythmdb.c: (rhythmdb_class_init), (rhythmdb_init),
	(rhythmdb_shutdown), (rhythmdb_finalize), (rhythmdb_read_leave),
	(rhythmdb_process_metadata_load_real),
	(rhythmdb_missing_plugins_cb),
	(rhythmdb_missing_plugin_event_cleanup),
	(rhythmdb_process_metadata_load), (rhythmdb_process_one_event),
	(rhythmdb_execute_load):
	Add missing plugin handling for file importing.  Requires some
	interesting locking to block further import attempts while installing
	plugins.  We don't process missing plugins for files we're going to
	ignore anyway.

	Also, while the database is read-only, add write operations to a
	separate queue rather than requeueing them endlessly until the
	database is writeable again.

	* podcast/rb-podcast-manager.c: (rb_podcast_manager_class_init),
	(rb_podcast_manager_download_file_info_cb),
	(missing_plugins_retry_cb), (missing_plugins_retry_cleanup),
	(rb_podcast_manager_save_metadata), (download_progress_cb):
	Add missing plugin handling for podcast downloads.  When installation
	is complete, retry the metadata load operation.

	* backends/gstreamer/Makefile.am:
	* backends/gstreamer/rb-player-gst-xfade.c:
	(rb_player_gst_xfade_class_init), (emit_missing_plugins),
	(rb_player_gst_xfade_handle_missing_plugin_message),
	(rb_player_gst_xfade_bus_cb):
	* backends/gstreamer/rb-player-gst.c: (rb_player_gst_class_init),
	(rb_player_gst_handle_missing_plugin_message),
	(rb_player_gst_bus_cb), (rb_player_gst_sync_pipeline),
	(end_gstreamer_operation):
	* shell/rb-shell-player.c: (rb_shell_player_class_init),
	(rb_shell_player_init), (missing_plugins_retry_cb),
	(missing_plugins_retry_cleanup), (missing_plugins_cb):
	Add missing plugin handling for playback.  When GStreamer complains
	about missing plugins, stop playback, request installation, then retry
	playback when it's done.

	Fixes #338308.

2007-11-11  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  louisfrancis.rb@gmail.com

	* widgets/rb-rating-helper.c: (rb_rating_render_stars):
	Don't use the deprecated gdk_pixbuf_render_to_drawable,
	use the equivalent gdk_draw_pixbuf call.  Fixes #495779.

2007-11-10  Jonathan Matthew  <jonathan@d14n.org>

	* backends/gstreamer/rb-player-gst-xfade.c:
	(actually_start_stream):
	When starting a new stream with crossfading enabled, remove all
	existing streams except any we're going to fade out and any that are
	already fading out.  Otherwise, we can end up playing two tracks at
	once.  Fixes #480764.

2007-11-08  James Livingston  <doclivingston@gmail.com>

	* bindings/vala/Makefile.am:
	* bindings/vala/rb.vala:
	* bindings/vala/rhythmdb.vala:
	* plugins/sample-vala/Makefile.am: Vala building fixes

	* plugins/fmradio/Makefile.am: fix make distcheck

	* lib/rb-tree-dnd.c: (rb_tree_dnd_data_free):
	* plugins/daap/rb-daap-share.c: (rb_daap_share_dispose):
	* plugins/visualizer/rb-visualizer-plugin.c:
	(rb_visualizer_plugin_finalize): fix some memory leaks

	* configure.ac:
	* NEWS: bump version and update NEWS

2007-11-07  James Livingston  <doclivingston@gmail.com>

	* bindings/vala/Makefile.am:
	* bindings/vala/rb.vala:
	* bindings/vala/rhythmdb.vala:
	* plugins/fmradio/Makefile.am:
	* plugins/sample-vala/Makefile.am: fix make distcheck issues

	* configure.ac: bump version to 0.11.3

2007-11-05  James Livingston  <doclivingston@gmail.com>

	patch by: Paul Drain  <funkey@gmail.com>

	* plugins/fmradio/Makefile.am:
	* plugins/jamendo/Makefile.am: fix some make dist issues.

2007-11-04  Jonathan Matthew  <jonathan@d14n.org>

	based on a patch by: Nguyen Thai Ngoc Duy  <pclouds@gmail.com>

	* configure.ac:
	* widgets/eggtrayicon.c: (egg_tray_icon_unrealize),
	(egg_tray_icon_cancel_message), (egg_tray_icon_notify):
	Drop libnotify 0.2 support, clean up notification code a bit.
	Bug #348619.

2007-10-31  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/jamendo/jamendo/JamendoSource.py:
	Ignore negative track numbers

2007-10-29  Bastien Nocera  <hadess@hadess.net>

	* shell/rb-shell.c: (rb_shell_playing_entry_changed_cb),
	(rb_shell_player_window_title_changed_cb):
	* shell/rb-tray-icon.c: (rb_tray_icon_set_tooltip_primary_text):
	* shell/rb-tray-icon.h: Fix escaping of tooltips (Closes: #445659)

2007-10-29  James Livingston  <doclivingston@gmail.com>

	patch by: David Keijser  <keijser@gmail.com>

	* bindings/vala/rb.vala: Make the vala binding work, if they actually
	did anything. Fixes #475620

2007-10-29  James Livingston  <doclivingston@gmail.com>

	patch by: Mika Wahlroos  <mika.wahlroos@iki.fi>

	* data/glade/song-info.glade:
	* widgets/rb-song-info.c: (rb_song_info_construct_single),
	(rb_song_info_populate_dialog), (rb_song_info_update_date_added): add
	a "date added" field to the song-info dialog. Fixes #480269

2007-10-29  James Livingston  <doclivingston@gmail.com>

	patch by: James Henstridge  <james@jamesh.id.au> to add a new plugin
	to use FM radio tuners. Fixes bug #168735

	* configure.ac:
	* data/rhythmbox.schemas:
	* plugins/Makefile.am:
	+ plugins/fmradio/Makefile.am:
	+ plugins/fmradio/fmradio-ui.xml:
	+ plugins/fmradio/fmradio.rb-plugin.desktop.in:
	+ plugins/fmradio/rb-fm-radio-gst-src.c: (_do_init),
	+ plugins/fmradio/rb-fm-radio-plugin.c: (rb_fm_radio_plugin_init),
	+ plugins/fmradio/rb-fm-radio-source.c:
	+ plugins/fmradio/rb-fm-radio-source.h:
	+ plugins/fmradio/rb-radio-tuner-v4l2.c:
	+ plugins/fmradio/rb-radio-tuner.h:

2007-10-29  Jonathan Matthew  <jonathan@d14n.org>

	based on a patch by:  John Bryant  <bryantk@sover.net>

	* backends/gstreamer/rb-player-gst-xfade.c:
	(stream_new_decoded_pad_cb):  Fix caps leak, bug #491115.

2007-10-28  Bastien Nocera  <hadess@hadess.net>

	* lib/rb-file-helpers.c: (rb_canonicalise_uri):
	Use gnome-vfs functions to canonicalise the local file:/// URIs,
	rather than escaping and unescaping them (Closes: #487415)
	* rhythmdb/rhythmdb-tree.c: (version_to_int),
	(rhythmdb_tree_parser_start_element),
	(rhythmdb_tree_parser_end_element), (save_entry_uint64),
	(save_entry_double), (save_entry), (rhythmdb_tree_entry_delete),
	(search_match_properties): Fix the DB upgrade code to handle
	upgrading from one version to version+2 properly (and not miss
	necessary upgrades)

2007-10-25  Bastien Nocera  <hadess@hadess.net>

	* rhythmdb/rhythmdb.c: (make_access_failed_error):
	Print the proper URI in rb_debug, escaped/sanitised URIs are useless
	to people debugging

2007-10-25  Bastien Nocera  <hadess@hadess.net>

	* shell/rb-shell.c: (rb_shell_construct_notify_titles):
	Don't escape the primary text for the notification popup, as the
	spec says we shouldn't, fix "&amp;" showing up in the notification
	popup (Closes: #445659)

2007-10-25  Bastien Nocera  <hadess@hadess.net>

	* README: Patch from John Bryant and myself to cleanup the
	README wrt. metadata testing/GStreamer 0.10 usage (Closes: #478911)

2007-10-25  Jonathan Matthew  <jonathan@d14n.org>

	* bindings/python/rb.override:
	#ifdef out the wrapping code for
	rb_removable_media_manager_queue_transfer and instead raise a 
	NotImplementedError when track transfer was not built in.
	Fixes #453156.

2007-10-25  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/rb/__init__.py:
	Add some hackery to allow python plugins to add their own source
	directories to the icon search path.

	* plugins/jamendo/Makefile.am:
	* plugins/jamendo/jamendo/JamendoSource.py:
	* plugins/jamendo/jamendo/__init__.py:
	* plugins/magnatune/Makefile.am:
	* plugins/magnatune/magnatune/MagnatuneSource.py:
	* plugins/magnatune/magnatune/__init__.py:
	Use it to make the Jamendo and Magnatune icons themeable.
	From #380896.

2007-10-24  Jonathan Matthew  <jonathan@d14n.org>

	* configure.ac:
	Require gst-python if python is enabled.

	* bindings/python/Makefile.am:
	* bindings/python/rb.override:
	Include gst-python's gst-types.defs file when generating python
	binding code so the player tee and filter methods actually get 
	generated.  Fixes #487847.

2007-10-21  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/pythonconsole/pythonconsole.py:
	Add a menu item enabling remote python debugging with rpdb2.

2007-10-21  Jonathan Matthew  <jonathan@d14n.org>

	* rhythmdb/rhythmdb.c: (rhythmdb_entry_sync_mirrored):
	When updating the last-seen string, update the right member of the
	entry structure.  Fixes #482130.

2007-10-21  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/rb-python-module.c: (rb_python_module_load_with_gil),
	(rb_python_module_new_object), (rb_python_module_class_init):
	Ensure we hold the GIL when loading and instantiating python plugins.
	Else we die when enabling a plugin after startup.

2007-10-20  Bastien Nocera  <hadess@hadess.net>

	* data/rhythmbox.schemas: Enable the store plugins by default,
	to show off how nice features (Closes: #431654)

2007-10-20  Jonathan Matthew  <jonathan@d14n.org>

	based on a patch by:  Philip Withnall <pwithnall@svn.gnome.org>

	* plugins/rb-plugin-manager.c: (cursor_changed_cb),
	(plugin_manager_construct_tree):
	Prevent crash when using find on the plugins list.  Fixes #441902.

2007-10-20  Jonathan Matthew  <jonathan@d14n.org>

	* podcast/rb-feed-podcast-properties-dialog.c:
	(rb_feed_podcast_properties_dialog_update_summary):
	If the feed has no summary, try the description and subtitle.

2007-10-20  James Livingston  <doclivingston@gmail.com>

	* shell/rb-shell-clipboard.c: (rebuild_playlist_menu): fix a warning
	on startup, by not trying to re-build the playlist menu if there is no
	active clipboard source.

2007-10-20  Jonathan Matthew  <jonathan@d14n.org>

	* backends/gstreamer/rb-player-gst-xfade.c:
	(stream_queue_probe_cb):
	The queue element's 'current-level-bytes' property isn't actually a
	guint64.

2007-10-18  Jonathan Matthew  <jonathan@d14n.org>

	* shell/Makefile.am:
	* shell/main.c: (main):
	Release python GIL before entering the main loop so python plugins 
	can run threads usefully.  Fixes #487122.

2007-10-15  Jonathan Matthew  <jonathan@d14n.org>

	* shell/rb-shell-clipboard.c: (rb_shell_clipboard_sync):
	Don't crash if the selected source doesn't have an entry type.
	Fixes #486616.

2007-10-14  Jonathan Matthew  <jonathan@d14n.org>

	* rhythmdb/rhythmdb-import-job.c: (impl_set_property):
	Probably fix a compile error.

2007-10-14  Jonathan Matthew  <jonathan@d14n.org>

	* lib/rb-file-helpers.c: (rb_uri_append_uri):
	Fix rb_uri_append_uri when operating on two URIs.
	
	* sources/rb-playlist-source.c: (rb_playlist_source_class_init),
	(default_mark_dirty), (rb_playlist_source_mark_dirty):
	* sources/rb-playlist-source.h:
	* sources/rb-static-playlist-source.c:
	(rb_static_playlist_source_constructor),
	(rb_static_playlist_source_rows_reordered):
	Add a new method on the playlist source class, called when the
	playlist becomes dirty.  Mark static playlists dirty when rows are
	reordered.
	
	* shell/Makefile.am:
	* corelib/Makefile.am:
	Link rhythmdb into the core shared library rather than the rhythmbox
	binary.
	
	* lib/rb-marshal.list:
	* rhythmdb/Makefile.am:
	* rhythmdb/rhythmdb-import-job.c:
	* rhythmdb/rhythmdb-import-job.h:
	* bindings/python/Makefile.am:
	* bindings/python/rhythmdb.defs:
	New object for tracking the progress of the importing of a set of
	paths.  Counts the total number of database entries to be added, and
	emits a signal when the whole job is done.
	
	* shell/rb-shell.c: (construct_sources):
	* sources/rb-import-errors-source.c: (rb_import_errors_source_new):
	* sources/rb-import-errors-source.h:
	Take entry type as a parameter so we can have import error sources
	attached to devices etc.
	
	* rhythmdb/rhythmdb-monitor.c: (entry_volume_mounted_or_unmounted):
	* rhythmdb/rhythmdb-private.h:
	* rhythmdb/rhythmdb.h:
	* rhythmdb/rhythmdb.c: (process_added_entries_cb),
	(rhythmdb_process_stat_event), (rhythmdb_add_import_error_entry),
	(rhythmdb_process_metadata_load),
	(rhythmdb_process_file_created_or_modified), (queue_stat_uri),
	(queue_stat_uri_tad), (action_thread_main), (rhythmdb_add_uri),
	(rhythmdb_add_uri_with_types), (default_sync_metadata),
	(rhythmdb_register_core_entry_types):
	* sources/rb-removable-media-source.c:
	(rb_removable_media_source_track_added):
	When adding paths to the database, carry around entry types to use for
	ignored files and import errors, as well as for successful imports.
	Allows use of per-device entry types for these.
	
	* sources/rb-sourcelist.c: (rb_sourcelist_edit_source_name):
	When editing a source's name, expand the tree so the source is
	visible.
	
	* shell/rb-shell-clipboard.c: (rb_shell_clipboard_sync),
	(add_playlist_to_menu):  Disable the add-to-playlist menu when the
	selected source's entry type doesn't have playlists.
	
	* shell/rb-statusbar.c: (rb_statusbar_sync_status):
	Adjust the statusbar progress bar logic so the library being busy
	doesn't take precedence over all other progress values.

	* plugins/generic-player/Makefile.am:
	* plugins/generic-player/generic-player-ui.xml:
	* plugins/generic-player/rb-generic-player-playlist-source.c:
	* plugins/generic-player/rb-generic-player-playlist-source.h:
	* plugins/generic-player/rb-generic-player-plugin.c:
	(rb_generic_player_plugin_class_init),
	(rb_generic_player_plugin_new_playlist),
	(rb_generic_player_plugin_delete_playlist), (create_source_cb):
	* plugins/generic-player/rb-generic-player-source.c:
	(rb_generic_player_source_class_init), (impl_constructor),
	(impl_set_property), (impl_get_property), (set_playlist_formats),
	(debug_device_info), (get_device_info), (impl_dispose),
	(impl_finalize), (rb_generic_player_source_new),
	(impl_delete_thyself), (import_complete_cb),
	(import_status_changed_cb), (load_songs), (default_get_mount_path),
	(impl_get_status), (playlist_deleted_cb),
	(rb_generic_player_source_add_playlist),
	(default_uri_from_playlist_uri), (default_uri_to_playlist_uri),
	(rb_generic_player_source_uri_from_playlist_uri),
	(rb_generic_player_source_uri_to_playlist_uri),
	(load_playlist_file),
	(rb_generic_player_source_set_supported_formats),
	(rb_generic_player_source_get_playlist_format),
	(rb_generic_player_source_get_playlist_path):
	* plugins/generic-player/rb-generic-player-source.h:
	* plugins/generic-player/rb-nokia770-source.c:
	(rb_nokia770_source_class_init), (impl_uri_from_playlist_uri):
	Use RhythmDBImportJob to add files from the player.  Use its signals
	to display import status.  Only load playlists from the device when
	the import is complete, so the ordering doesn't get lost.
	
	Add import error and ignored file entry types for each generic player
	device.  Create an import errors source so they don't go into the main 
	import errors source.

	Add methods to map URIs from the file system to the device, so we can
	write playlists to the device that it can understand.  Default mapping
	from the file system to the device is to strip the device's mount
	point.

	Move playlist load/save methods to a new generic player playlist
	source class.  Add methods and UI actions to create and delete playlists 
	on the device.  When these playlists are marked dirty, save them to
	the device after a short delay.

	Add support for iRiver .pla playlists if totem is new enough.

	Fixes #463632.

2007-10-10  Bastien Nocera  <hadess@hadess.net>

	* configure.ac: fix cut'n'paste error in the MTP detection code

2007-10-10  Bastien Nocera  <hadess@hadess.net>

	* plugins/coherence/upnp_coherence/MediaStore.py:
	* plugins/coherence/upnp_coherence/__init__.py:
	- Couple of changes I don't really understand by Frank in the
	Container __init__
	- Give out the "bitrate" in bytes/sec as the spec says it "could" be
	(fixes extremely low bitrates showing up with the PS3 UI)
	- Give out the duration in HH:MM:SS as per the spec (fixes the tracks
	showing up as X hours long instead of X seconds long)
	- Correctly escape filepaths so the web server knows where to find them
	- Force GStreamer application/x-id3 mime-type to audio/mpeg
	- Start the coherence server after the twisted reactor, otherwise
	coherence doesn't get hooked up and nothing works
	- Shutdown coherence so it disappears from the local network

	With help from Frank Scholz <coherence@beebits.net>
	(Closes: #482548)

2007-10-10  Bastien Nocera  <hadess@hadess.net>

	* plugins/rb-python-module.c: (rb_python_module_init_python):
	Fix crash when activating a Python plugin that uses threads,
	the UPNP plugin in this case (Closes: #469852)

2007-10-09  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/power-manager/rb-power-manager-plugin.c:
	(create_dbus_proxy), (inhibit_cb), (uninhibit_cb):
	Try the new dbus name/path/interface for power management first, then
	fall back to the old org.gnome.PowerManager names.  Fixes #483721.

2007-10-08  Jonathan Matthew  <jonathan@d14n.org>

	* bindings/python/rb.defs:
	Fix bindings for entry view and property view constructors.
	Wrong property names == crash.

2007-10-05  Jonathan Matthew  <jonathan@d14n.org>

	based on a patch by:  John Bryant  <bryantk@sover.net>

	* backends/gstreamer/rb-player-gst-xfade.c: (get_times_and_stream),
	(tick_timeout):  Only unref the stream inside get_times_and_stream if
	not returning it.  In tick_timeout, unref once we're done with it.
	Fixes #482458.

2007-10-02  Alex Lancaster  <alexl@users.sourceforge.net>

	* plugins/artdisplay/artdisplay/__init__.py (ArtDisplayPlugin.activate):
	Fix syntax error.

2007-10-03  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/artdisplay/artdisplay/__init__.py:
	Use the right metadata name for the cover art URI, handle
	extra-metadata requests for it too.

2007-10-01  Jonathan Matthew  <jonathan@d14n.org>

	* rhythmdb/rhythmdb-private.h:
	* rhythmdb/rhythmdb.c: (rhythmdb_save_thread_main),
	(rhythmdb_save):
	Track the number of times we've saved the database.  When saving the
	database synchronously, wait until the save count has actually been
	incremented before returning.  Otherwise, rhythmdb_save often returns
	before the thread has even started saving the database.

2007-09-30  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  Stephane Loeuillet  <leroutier@gmail.com>

	* data/rhythmbox.desktop.in.in:  Fix some validation problems in the
	.desktop file.  Fixes #481711.

2007-09-30  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/lyrics/lyrics/LyricsParse.py:
	Fix syntax error, duh.

2007-09-30  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  John Bryant  <bryantk@sover.net>

	* backends/gstreamer/rb-player-gst-xfade.c: (link_unblocked_cb):
	Add a missing unref in the case that we get called twice.
	Fixes #481374.

2007-09-30  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  Austin  <austiny@sohu.com>

	* plugins/lyrics/lyrics-prefs.glade:
	* plugins/lyrics/lyrics/LyricsConfigureDialog.py:
	* plugins/lyrics/lyrics/LyricsParse.py:
	* plugins/lyrics/lyrics/Makefile.am:
	* plugins/lyrics/lyrics/WinampcnParser.py:
	Add lyrics parser for winampcn.com.  Not enabled by default, at least
	for now.  Fixes #477383.

2007-09-30  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/lyrics/lyrics-prefs.glade:
	* plugins/lyrics/lyrics/LyricWikiParser.py:
	* plugins/lyrics/lyrics/LyricsConfigureDialog.py:
	* plugins/lyrics/lyrics/LyricsParse.py:
	* plugins/lyrics/lyrics/Makefile.am:
	Add (refreshingly simple) lyrics parser for lyricwiki.org.
	
	* data/rhythmbox.schemas:
	Disable leoslyrics in the default configuration until it wakes up
	again, enable lyricwiki instead.

2007-09-27  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  Jeff Craig <foxxtrot@foxxtrot.net>

	* plugins/jamendo/jamendo/JamendoSource.py:
	* plugins/jamendo/jamendo/__init__.py:
	Add a 'donate to this artist' menu item/toolbar button
	that links to the artist donation page on the jamendo website.
	Fixes #417485.

2007-09-27  Jonathan Matthew  <jonathan@d14n.org>

	* shell/rb-playlist-manager.c: (_is_dirty_playlist),
	(rb_playlist_manager_is_dirty):  The sourcelist is no longer flat.
	Iterating across it with gtk_tree_model_iter_get_next won't find
	any sources at all.  Instead, use gtk_tree_model_foreach.

2007-09-27  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/lyrics/lyrics/AstrawebParser.py:
	Don't use re.search(a, b) for arbitrary substring searching, as it
	breaks horribly when string a doesn't form a valid regex.

	* plugins/lyrics/lyrics/__init__.py:
	Stop updating lyrics when the window is closed.

2007-09-26  Jonathan Matthew  <jonathan@d14n.org>

	* bindings/python/rb.override:
	rb_source_get_property_views() doesn't ref the property views,
	so don't unref here.  Fixes #469524.

2007-09-25  Jonathan Matthew  <jonathan@d14n.org>

	* shell/rb-shell.c: (rb_shell_load_uri):
	Don't try to unref the playlist source if we didn't find one
	for the new entry.  Fixes #479369.

2007-09-23  Bastien Nocera  <hadess@hadess.net>

	* metadata/test-metadata.c: (load_metadata_cb):
	Fix parsing of non-absolute filenames (Closes: #478912)

2007-09-22  Jonathan Matthew  <jonathan@d14n.org>

	based on a patch by: Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:  better pygtk detection error reporting.  Fixes
	#475769.

2007-09-18  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  Jay Cornwall  <jay@jcornwall.me.uk>

	* plugins/daap/rb-daap-connection.c: (handle_song_listing),
	(rb_daap_connection_do_something):
	* plugins/daap/rb-daap-source.c: (rb_daap_source_new),
	(rb_daap_source_get_playback_uri):
	Add support for the daap.songdataurl DAAP property, apparently useful
	for radio streams.  From #470711.

2007-09-18  Jonathan Matthew  <jonathan@d14n.org>

	* plugins/rb-plugin.c: (rb_plugin_find_file):
	Don't crash (here, at least) if we can't find the file.

2007-09-16  Jonathan Matthew  <jonathan@d14n.org>

	patch by:  Torsten Schoenfeld <kaffeetisch@gmx.de>

	* plugins/generic-player/rb-generic-player-source.c:
	(impl_build_dest_uri):
	Zero-pad track and disc numbers in destination file names.
	Fixes #440457.

2007-09-15  James Livingston  <doclivingston@gmail.com>

	* NEWS:
	* configure.ac: actually commit the version number and news updates
	for the last release. oops

2007-09-12  Jonathan Matthew  <jonathan@d14n.org>

	* backends/gstreamer/rb-player-gst-xfade.c:
	(stream_src_blocked_cb):
	Fix the right g_object_set this time, maybe.

2007-09-10  Jonathan Matthew  <jonathan@d14n.org>

	* backends/gstreamer/rb-player-gst-xfade.c:
	(stream_queue_threshold_cb):
	Fix crashes on PPC (and probably elsewhere) caused by the last commit.

2007-09-10  Jonathan Matthew  <jonathan@d14n.org>

	* backends/gstreamer/rb-player-gst-xfade.c: (create_stream),
	(stream_src_blocked_cb):
	Use time rather than buffer count thresholds for the preroll
	queue size.  Rather than 10 buffers (which could be any amount,
	really), require one second of decoded audio.  This allows WMA files
	to play, and doesn't seem to break anything else  From #424836.

2007-09-08  Jonathan Matthew  <jonathan@d14n.org>

	* AUTHORS:
	* plugins/lirc/lirc.rb-plugin.desktop.in:
	* plugins/power-manager/power-manager.rb-plugin.desktop.in:
	Update my email address in a few visible places

2007-09-05  Bastien Nocera  <hadess@hadess.net>

	* sources/rb-source.c: (rb_source_uri_is_source):
	* sources/rb-source.h: Add _uri_is_source, to allow
	sources to tell us that they are the URI that's being
	passed, as opposed to an item of the source being handled

	* shell/rb-shell.c: (rb_shell_class_init), (_scan_idle),
	(source_activated_cb), (rb_shell_activate_source),
	(handle_playlist_entry_cb), (rb_shell_load_uri):
	* shell/rb-shell.h: emit the removable_media_scan_finished
	signal when we're done scanning removable media on startup,
	Add rb_shell_activate_source to activate a particular source,
	When parsing URIs given on the command-line, check if a source
	is the URI and activate it

	* shell/main.c: (main), (dbus_load_uri),
	(removable_media_scan_finished), (local_load_uri):
	When starting up Rhythmbox, handle filenames passed after scanning
	for removable media has finished, fix a small memory leak in an
	error path

	* plugins/audiocd/rb-audiocd-source.c:
	(rb_audiocd_source_class_init), (impl_want_uri),
	(impl_uri_is_source), (impl_try_playlist): Implement want_uri,
	try_playlist and uri_is_source, Say we want the URI when
	the URI passed matches the device we handle

	(Closes: #471887)

	* plugins/iradio/rb-iradio-source.c:
	(rb_iradio_source_add_from_playlist): Don't use any fallback when
	parsing the playlist, we already fallback by adding the item
	to the source ourselves

2007-09-05  Jonathan Matthew  <notverysmart@gmail.com>

	* configure.ac:
	* lib/rb-file-helpers.c: (rb_music_dir),
	(rb_file_helpers_shutdown):
	Use g_get_user_special_dir instead of xdg_user_dir_lookup
	where available.  Fixes #448330.

2007-08-28  Jonathan Matthew  <notverysmart@gmail.com>

	patch by: Tom Parker  <palfrey@tevp.net>

	* lib/rb-file-helpers.c: (rb_uri_handle_recursively_cb),
	(_recurse_async_cb):
	* lib/rb-file-helpers.h:
	* rhythmdb/rhythmdb-monitor.c: (monitor_subdirectory):
	* rhythmdb/rhythmdb.c: (queue_stat_uri_tad):
	* sources/rb-static-playlist-source.c:
	(rb_static_playlist_source_add_location_cb):
	Use the return value from the callback to determine whether to recurse
	further or not.
	
	* plugins/rb-plugins-engine.c: (rb_plugins_engine_load_cb),
	(rb_plugins_engine_load_dir):
	Don't recurse into directories that look like darcs or CVS control
	directories.  Fixes #434374.

2007-08-28  Jonathan Matthew  <notverysmart@gmail.com>

	patch by:  Jay Cornwall  <jay@jcornwall.me.uk>

	* plugins/daap/rb-daap-structure.c:
	* plugins/daap/rb-daap-structure.h:
	Add a missing content code for server-side smart playlists.
	From bug #390643.

2007-08-27  Jonathan Matthew  <notverysmart@gmail.com>

	* rhythmdb/rhythmdb.c: (record_entry_change),
	(rhythmdb_entry_set_internal):
	Ignore entry changes where new value == old value.  Bug #459562.

2007-08-26  Jonathan Matthew  <notverysmart@gmail.com>

	* data/ui/rhythmbox-ui.xml:
	* plugins/daap/daap-ui.xml:
	* plugins/daap/rb-daap-plugin.c: (rb_daap_plugin_cmd_disconnect),
	(new_daap_share_resolve_cb), (new_daap_share_location_added_cb),
	(rb_daap_plugin_cmd_connect):
	Add the ability to manually connect to a DAAP share by host:port.
	Fixes #343248.

2007-08-26  Jonathan Matthew  <notverysmart@gmail.com>

	* widgets/rb-uri-dialog.c: (rb_uri_dialog_class_init),
	(rb_uri_dialog_init), (rb_uri_dialog_set_property),
	(rb_uri_dialog_get_property), (rb_uri_dialog_new): Rework URI dialog
	construction to use properties.  Make 'label' a property; 'title' is
	already a property on GtkWindow.

	* bindings/python/rb.defs:  Fix remaining warnings about old-style
	constructors, bug #432228.

2007-08-26  Jonathan Matthew  <notverysmart@gmail.com>

	patch mostly by: Bastien Nocera  <hadess@hadess.net>

	* podcast/Makefile.am:
	* podcast/rb-podcast-parse.h:
	* podcast/test-podcast-parse.c:
	Podcast parser test program.  From #434854.

2007-08-26  Jonathan Matthew  <notverysmart@gmail.com>

	patch by: Ed Catmur  <ed@catmur.co.uk>

	* widgets/rb-song-info.c: (rb_song_info_class_init),
	(rb_song_info_get_property):
	Add 'selected-entries' property to expose the selected entries in the
	multiple-entry case.  Fixes #409673.

2007-08-26  Jonathan Matthew  <notverysmart@gmail.com>

	patch by: Ed Catmur  <ed@catmur.co.uk>

	* plugins/artdisplay/artdisplay/__init__.py:
	Drag & drop support for cover art.  Drag images or URLs to the art
	display area to set cover art for an album, and drag from the art
	display area to get an image or URL.  From #363694.

2007-08-26  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	* shell/rb-shell-clipboard.c:
	Use 'user-trash' icon instead of GTK_STOCK_DELETE for the 'move to
	trash' action.  Fixes #362965.

2007-08-26  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	patch by: Ed Catmur  <ed@catmur.co.uk>

	* shell/rb-shell-player.c: (rb_shell_player_play_order_update_cb),
	(rb_shell_player_do_previous_or_seek):
	Keep the 'previous' button sensitive all the time when playing.  If
	pressed within the first 3 seconds with no previous track, go to 'not
	playing'.  Fixes #390381.

2007-08-25  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	* plugins/artdisplay/artdisplay/LocalCoverArtSearch.py:
	Format some debug output a bit better.

2007-08-25  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	* configure.ac: re-add a 'd' that I deleted months ago that didn't
	seem to make any difference.  weird.

2007-08-25  Claudio Saavedra  <csaavedra@alumnos.utalca.cl>

	* plugins/artdisplay/artdisplay/CoverArtDatabase.py: unquote the 
	resulting URI if local.
	* plugins/artdisplay/artdisplay/__init__.py: Add 'coverArt-uri' as 
	a new extra metadata.  Fixes #412843.

2007-08-25  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	* lib/rb-cut-and-paste-code.c: (rb_utf_friendly_time):
	If eel_strdup_strftime returns NULL (which usually indicates broken
	locale settings), return "Unknown" rather than NULL.  Fixes #437967.

2007-08-24  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	patch mostly by:  Cosimo Cecchi  <anarki@lilik.it>

	* plugins/lyrics/lyrics/__init__.py:
	Clarify the optional 'mode' parameter to the search_lyrics method, and
	then don't use it; fixes lyrics not being refreshed on song changes,
	bug #453034.

2007-08-24  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	patch by:  Tim Chevalier  <chevalier@alum.wellesley.edu>

	* plugins/artdisplay/artdisplay/AmazonCoverArtSearch.py:
	Check for product vs album substring matches both ways.
	Finds a few more cover art images.  Fixes #466178.

2007-08-24  Jonathan Matthew  <jonathan@kaolin.wh9.net>
	
	patch by: Tim Retout  <tim@retout.co.uk>

	* shell/rb-playlist-manager.c:
	* shell/rb-shell.c:
	Fix trailing ellipses on a few menu items.  Fixes #467310.

2007-08-24  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	patch by: Tim Retout  <tim@retout.co.uk>

	* bindings/python/Makefile.am:
	* bindings/python/rb.defs:
	* bindings/python/rb.override:
	Add bindings for RBUriDialog.  Fixes #462935.

2007-08-23  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	patch by:  Kouhei Sutou  <kou@cozmixng.org>

	* shell/rb-shell.c: (rb_shell_sync_smalldisplay):
	Make the 'jump to playing song' action insensitive in small display
	mode, where it makes no sense.  Fixes #416650.

2007-08-23  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	patch mostly by: Brian Cameron <brian.cameron@sun.com>

	* plugins/visualizer/rb-visualizer-plugin.c:
	(rb_visualizer_plugin_window_title_change_cb):
	* shell/rb-shell-player.c: (rb_shell_player_sync_with_source):
	Don't crash on Solaris when we don't have a title for the playing
	song.  Fixes #466752.

2007-08-11  James Livingston  <doclivingston@gmail.com>

	patch by: Eduardo Lima

	* plugins/rb-plugins-engine.c: (rb_plugins_engine_get_plugin_icon):
	emit warning rather than crashing if it gets passed NULL. Fixes #465400

2007-08-09  James Livingston  <doclivingston@gmail.com>

	* MAINTAINERS: change the file to use the new format the we need to
	use (mentioned on  desktop-devel-list)

2007-08-08  James Livingston  <doclivingston@gmail.com>

	* plugins/coherence/upnp_coherence/__init__.py: be nicer if Coherence
	isn't present.

	* plugins/coherence/upnp_coherence/MediaStore.py: set the path so that
	local files will be server. Need a propert http server that can read
	from gnomevfs/gstreamer

	* plugins/magnatune/magnatune/MagnatuneSource.py: adapt to the change
	MagnaTune seems to have made to the location of the file in the zip
	file.

2007-08-07  Christophe Fergeau  <cfergeau@gmail.com>

	* configure.ac: revert another bogus change in last.fm ipod commit :-/

2007-08-07  Christophe Fergeau  <cfergeau@gmail.com>

	* plugins/ipod/rb-ipod-db.c: make RbIpodDb creation more robust when 
	the itdb->device is NULL

2007-08-07  Christophe Fergeau  <cfergeau@gmail.com>

	* plugins/coherence/Makefile.am: revert bogus change in previous commit

2007-08-07  Christophe Fergeau  <cfergeau@gmail.com>

	* configure.ac:
	* plugins/audioscrobbler/rb-audioscrobbler.c:
	* plugins/coherence/Makefile.am:
	* plugins/ipod/rb-ipod-source.c: notify last.fm about the songs 
	played on the iPod while it wasn't connected to a computer. Fixes 
	bug #334488. It doesn't handle songs played multiple times, and the 
	last.fm will reject the submission if any songs were submitted to 
	last.fm after the songs were played on the iPod

2007-08-07  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	patch by: Tim Retout  <tim@retout.co.uk>

	* sources/rb-podcast-source.c:
	(rb_podcast_source_feeds_show_popup_cb):
	Make the 'update feed' action visible when appropriate.  Fixes #462788.

2007-08-06  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	* widgets/rb-library-browser.c: (idle_rebuild_model),
	(destroy_idle_rebuild_model), (rb_library_browser_set_selection):
	Store data for child model rebuild idle handlers in a separate data
	structure, rather than in the browser object itself.  Otherwise it
	trips on its own feet and breaks the browser.  Fixes #452703 again.

2007-08-04  James Livingston  <doclivingston@gmail.com>

	patch by: Tim Retout  <tim@retout.co.uk>

	* bindings/python/rhythmdb.override: Fix handling of subqueries and
	disjunctions from python. Fixes #463208

2007-08-04  James Livingston  <doclivingston@gmail.com>

	* shell/rb-play-order.c:
	* shell/rb-play-order.h:
	* shell/rb-shell-player.c: (rb_shell_player_init),
	(rb_shell_player_set_queue_source_internal),
	(rb_shell_player_finalize), (rb_shell_player_sync_play_order),
	(_play_order_description_free), (rb_play_order_new),
	(rb_shell_player_add_play_order),
	(rb_shell_player_remove_play_order):
	* shell/rb-shell-player.h: allow dynamic addition (and removal) of
	play orders, mostly interesting for plugins. Fixes #462470

	* bindings/python/rb.defs: bind to python

2007-08-02  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	* remote/dbus/rb-client.c: (print_playing_song):
	Empty playing URI string means not playing.

2007-08-01  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	* plugins/generic-player/rb-generic-player-source.c:
	(set_playlist_formats):
	Fix build break from previous commit, bug #462245.

2007-07-31  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	* plugins/generic-player/rb-generic-player-source.c:
	(rb_generic_player_source_constructor), (get_is_audio_player_path),
	(set_playlist_path), (set_playlist_formats), (debug_device_info),
	(rb_generic_player_source_get_device_info),
	(rb_generic_player_is_volume_player), (load_playlist_file),
	(visit_playlist_dirs), (default_load_playlists):
	Read device info from the .is_audio_player file (a la Banshee) to 
	override the information we get from HAL.  Change our interpretation
	of playlist_path to be closer to what I think the HAL spec means.
	From bug #380960.

2007-07-31  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	* configure.ac:
	Enable warnings when we appear to be in a git tree

	* lib/Makefile.am:
	* plugins/Makefile.am:
	* plugins/audiocd/Makefile.am:
	* plugins/audioscrobbler/Makefile.am:
	* plugins/cd-recorder/Makefile.am:
	* plugins/daap/Makefile.am:
	* plugins/generic-player/Makefile.am:
	* plugins/ipod/Makefile.am:
	* plugins/iradio/Makefile.am:
	* plugins/lirc/Makefile.am:
	* plugins/mmkeys/Makefile.am:
	* plugins/mtpdevice/Makefile.am:
	* plugins/power-manager/Makefile.am:
	* plugins/sample-vala/Makefile.am:
	* plugins/sample/Makefile.am:
	* plugins/visualizer/Makefile.am:
	* remote/dbus/Makefile.am:
	* shell/Makefile.am:
	* sources/Makefile.am:
	* widgets/Makefile.am:
	Remove WARN_CFLAGS from all makefiles.  It doesn't get substituted,
	and it's included in RHYTHMBOX_CFLAGS anyway.

2007-07-26  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	* plugins/iradio/rb-iradio-source.c:
	(rb_iradio_source_add_station):
	Ensure the strings we get from totem-plparser are valid utf8.
	Fixes #459093.

2007-07-25  James Livingston  <doclivingston@gmail.com>

	* plugins/coherence/upnp_coherence/MediaStore.py:
	* plugins/coherence/upnp_coherence/UpnpSource.py:
	* plugins/coherence/upnp_coherence/__init__.py: fix assorted bits, and
	make the content directory (MediaStore) actually work. You can now
	chew large amounts of CPU while sending/receiving the track data,
	before not playing any of the tracks

2007-07-23  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	* widgets/rb-library-browser.c: (idle_rebuild_model),
	(destroy_idle_rebuild_model), (rb_library_browser_set_selection):
	When the browser selection changes, use an idle handler to rebuild the
	query models.  Sometimes the selection change occurs while an entry
	property change is propagating through the query chain, and if we
	rebuild the query chain before it's done, property models can get out
	of sync, causing assertion failures.  Should fix #452703.

2007-07-21  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	* plugins/mtpdevice/rb-mtp-source.c: (rb_mtp_source_class_init):
	Don't set source_class->impl_can_paste unless track transfer is
	enabled.  Fixes #449286.

2007-07-20  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	* sources/rb-library-source.c:
	(rb_library_source_library_location_cb):
	Don't free the library location URI twice.  Fixes #455232.

2007-07-18  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	* plugins/daap/rb-daap-source.c: (connection_auth_cb):
	Don't assume gnome-keyring actually gave us a password.
	Should fix #453897.

2007-07-11  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	patch by: Adam Zimmerman  <adam_zimmerman@sfu.ca>

	* plugins/magnatune/magnatune-loading.glade:
	Prevent the text from being selected.  Fixes #425408.

2007-07-10  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	* plugins/jamendo/jamendo/JamendoSaxHandler.py:
	* plugins/jamendo/jamendo/JamendoSource.py:
	Throw away data as early as possible, and abuse the musicbrainz album
	ID field to store jamendo album IDs.  Reduces memory usage by about
	30MB.  From bug #424423.

	Also, emit cover art notifications in an idle handler, so they
	actually work.

2007-07-09  Alex Lancaster  <alexl@users.sourceforge.net>

	* plugins/coherence/Makefile.am (plugindir): 
	* plugins/coherence/upnp_coherence/Makefile.am (plugindir): 
	Fix installation location to upnp_coherence.

2007-07-08  James Livingston  <doclivingston@gmail.com>

	* plugins/coherence/coherence.rb-plugin.desktop.in:
	* plugins/coherence/upnp_coherence/Makefile.am:
	* plugins/coherence/upnp_coherence/MediaStore.py:
	* plugins/coherence/upnp_coherence/__init__.py: add start of support
	for sharing tracks over UPnP

2007-07-08  James Livingston  <doclivingston@gmail.com>

	* bindings/python/rhythmdb.defs:
	* bindings/python/rhythmdb.override:
	* plugins/daap/rb-daap-share.c: (add_entry_to_mlcl):
	* rhythmdb/rhythmdb-tree.c: (_foreach_by_type_cb),
	(rhythmdb_tree_entry_foreach_by_type):
	* rhythmdb/rhythmdb.c: (rhythmdb_prop_type_get_type),
	(rhythmdb_entry_register_type): fix python bindings of the rhythmdb
	foreach methods.

2007-07-08  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	patch by: Tim Retout  <tim@retout.co.uk>

	* bindings/python/Makefile.am:
	* bindings/python/rb.defs:
	* bindings/python/rb.override:
	Add python bindings for rb_utf_friendly_time().  Bug #453226.

2007-07-07  Luca Ferretti  <elle.uca@libero.it>

	* plugins/lyrics/lyrics-prefs.glade: don't mark gtk-ok
	and gtk-cancel as translatable

2007-07-05  James Livingston  <doclivingston@gmail.com>

	* plugins/coherence/upnp_coherence/Makefile.am:
	* plugins/coherence/upnp_coherence/UpnpSource.py: add missing file,
	and fix a typo

2007-07-05  Dennis Cranston  <dennis_cranston@yahoo.com>

	* data/glade/playback-prefs.glade:
	HIG capitalization, mnemonic, and spacing fixes.  Bug #452010.

2007-07-04  James Livingston  <doclivingston@gmail.com>

	* plugins/rb-python-module.c: (rb_python_garbage_collect),
	(rb_python_shutdown): disable our manual python garbage collection for
	now, since it explodes if something imports twisted's gtk2 reactor. It
	doesn't make much of a difference anyway, since the python runtime
	runs GC itself.

	* configure.ac:
	* plugins/Makefile.am:
	* plugins/coherence/Makefile.am:
	* plugins/coherence/coherence.rb-plugin.desktop.in:
	* plugins/coherence/upnp_coherence/UpnpSource.py:
	* plugins/coherence/upnp_coherence/__init__.py: add the start of a
	UPnP A/V plugin, using Coherence. It currently adds entries for all
	audio items and can play them

2007-07-01  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	* podcast/rb-podcast-parse.c: (rb_podcast_parse_load_feed):
	Ignore the query string when checking if a podcast URL has a .rss or
	.xml extension.  Fixes #437911, sort of.

2007-07-01  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	* plugins/ipod/rb-ipod-db.c: (rb_ipod_db_set_thumbnail_internal):
	Fix build with newer versions of libgpod.

2007-07-01  James Livingston  <doclivingston@gmail.com>

	* shell/main.c: (main):
	* shell/rb-shell.c: (rb_shell_class_init), (rb_shell_set_property),
	(rb_shell_get_property), (rb_shell_new):
	* shell/rb-shell.h: remove the argc and argv properties from the
	shell, as they're not used. Fixes #448538

2007-06-30  Jürg Billeter  <j@bitron.ch>

	* configure.ac: fix Vala version check

2007-06-30  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	* bindings/python/rb.defs:
	The argument to rb_shell_notebook_set_page can usefully be NULL,
	so allow python code to pass None here.

2007-06-30  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	* plugins/visualizer/rb-visualizer-plugin.c:
	(update_tee_visualizer):
	Remove mysterious unused variable.

2007-06-29  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	* plugins/visualizer/rb-visualizer-plugin.c:
	(update_playbin_visualizer), (tee_visualizer_inserted),
	(tee_visualizer_pre_remove), (update_tee_visualizer),
	(update_visualizer), (impl_activate):
	In tee mode, only start the video sink as necessary.  If it
	refuses to start, disable visualization and report the error
	to the user.  From bug #406807.

2007-06-28  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	* sources/rb-auto-playlist-source.c:
	(rb_auto_playlist_source_constructor):
	* sources/rb-static-playlist-source.c:
	(rb_static_playlist_source_constructor):
	Only add the search actions once.  Fixes #451268.

2007-06-27  Bastien Nocera  <hadess@hadess.net>

	* data/ui/rhythmbox-ui.xml: Moved the Play button to the left-most
	(Closes: #423117)

2007-06-27  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	* plugins/generic-player/rb-generic-player-source.c:
	(impl_build_dest_uri):
	For untagged files, replace the original file extension with
	that of the output format.  Fixes #451455.

2007-06-26  James Livingston  <doclivingston@gmail.com>

	* plugins/mtpdevice/Makefile.am:make distcheck pass

	* configure.ac:
	* NEWS: bump versions and update NEWS

2007-06-25  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	* shell/rb-shell-player.c: (rb_shell_player_playing_changed_cb):
	Don't block the 'play' action signal handler if it's already blocked,
	since we now only allow one outstanding idle handler to unblock it
	and signal blocks are recursive.

2007-06-25  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	* bindings/python/rb.defs:
	Bind the necessary stuff to add and show pages in the main UI
	notebook.

2007-06-24  James Livingston  <doclivingston@gmail.com>

	* bindings/python/rb.defs:
	* bindings/python/rb.override:
	* bindings/python/rhythmdb.defs:
	* bindings/python/rhythmdb.override: bind more things to python

	* sources/rb-sourcelist.c: (rb_sourcelist_class_init),
	(rb_sourcelist_constructor), (rb_sourcelist_new): don't do things in
	the _new function, do them in the constructor. Required for binding to
	python.

2007-06-24  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	* backends/gstreamer/rb-player-gst-xfade.c: (stop_sink_later),
	(rb_player_gst_xfade_play):
	Fix some brain damage from the previous change to this file:
	only stop the sink if it's actually a good idea to.

2007-06-24  James Livingston  <doclivingston@gmail.com>

	* bindings/python/rb.override: remove accidently committed reference
	to rb-online-catalogue-source.h

2007-06-24  James Livingston  <doclivingston@gmail.com>

	patch by: Tim Retout  <tim@retout.co.uk>

	* widgets/rb-property-view.c: (rb_property_view_get_selection):
	* widgets/rb-property-view.h: add rb_property_view_get_selection()
	method

	* bindings/python/rb.defs:
	* bindings/python/rb.override: bind the above. Fixes #449925

2007-06-24  James Livingston  <doclivingston@gmail.com>

	* bindings/python/override_common.c: (_helper_wrap_string_glist),
	(_helper_unwrap_boxed_pylist), (_helper_unwrap_gobject_pylist),
	(_helper_unwrap_string_pylist), (_helper_unwrap_boxed_gptrarray):
	* bindings/python/override_common.h: add some new wrap/unwrap methods
	and fix bugs in some existing ones.

	* bindings/python/rb.defs:
	* bindings/python/rb.override:
	* bindings/python/rhythmdb.override: bind a few more methods, as well
	as fixing lots of bugs: leaks when wrap/unwrapping lists, leaks from
	boxed_new, thread safety of some vfuncs

	* lib/rb-util.c: (rb_list_destroy_free), (rb_list_deep_free):
	* lib/rb-util.h: add a function similar to rb_list_deep_free, but
	taking the GDestroyNotify function to use, instead of g_free

2007-06-23  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	* lib/rb-util.c: (rb_slist_deep_free):
	* lib/rb-util.h:
	New utility function to free a GSList and its contents.

	* sources/rb-library-source.c: (rb_library_source_constructor),
	(rb_library_source_preferences_sync),
	(rb_library_source_library_location_cb), (sanitize_pattern),
	(layout_example_label_update), (build_filename), (impl_can_paste),
	(impl_paste), (rb_library_source_sync_child_sources):
	When library_strip_chars is set in gconf, replace whitespace in the
	filename pattern with underscores.  Fix numerous memory leaks while
	we're at it.  Fixes #450281.

2007-06-23  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	* shell/rb-shell-player.c: (rb_shell_player_dispose),
	(rb_shell_player_jump_to_current_cb), (new_playing_stream_idle_cb),
	(current_playing_stream_idle_cb), (playing_stream_cb),
	(_idle_unblock_signal_cb), (rb_shell_player_playing_changed_cb):
	Clean up all rb-shell-player idle and timeout handlers when disposed.
	Should fix #450108.

2007-06-23  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	* backends/gstreamer/rb-player-gst-xfade.c: (stop_sink_later),
	(rb_player_gst_xfade_close):
	Don't shut the sink down straight away if we stop the last playing
	stream - things go slightly crazy if we start playing another stream
	immediately afterwards.

2007-06-20  James Livingston  <doclivingston@gmail.com>

	* plugins/lyrics/lyrics/__init__.py: disconnect from the create-song-info
	signal when deactivating. Stops there being multiple "lyrics" tabs.

2007-06-20  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	* backends/gstreamer/rb-player-gst-xfade.c:
	(rb_player_gst_xfade_bus_cb):
	Pretend the function logging the imperfect stream details is called
	'check-imperfect', just to make it a bit more usable.

2007-06-20  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	* backends/gstreamer/rb-player-gst-xfade.c:
	(rb_player_gst_xfade_bus_cb), (create_stream):
	If appropriate debug output is enabled, include an identity in the
	stream bin with check-imperfect-timestamp and/or
	check-imperfect-offset set, and report resulting messages through
	rb_debug.  Should help us figure out why particular files don't play
	well with the crossfading backend.

	* lib/rb-debug.c: (rb_debug_matches), (rb_debug_real):
	* lib/rb-debug.h:
	Add rb_debug_matches(), used in the above.

2007-06-19  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	* data/Makefile.am:
	remove reference to appicon_DATA that apparently breaks autogen
	sometimes.

2007-06-19  James Livingston  <doclivingston@gmail.com>

	* plugins/lyrics/lyrics/LyricsConfigureDialog.py:
	* plugins/lyrics/lyrics/LyricsParse.py: handle the engines gconf key
	being unset better

2007-06-19  James Livingston  <doclivingston@gmail.com>

	* plugins/ipod/rb-ipod-source.c: (playlist_track_removed),
	(playlist_track_added), (impl_delete_thyself): disconnect the signals
	from the ipod playlist's query model before asking it to be destroyed.
	Stops us receiving the signals during destruction. Fixes #445699

2007-06-19  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	* plugins/audioscrobbler/rb-lastfm-gst-src.c:
	(rb_lastfm_src_set_uri), (rb_lastfm_src_uri_set_uri):
	Return FALSE from set_uri when we can't create a http source element.
	Fixes #441785.

2007-06-19  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	* plugins/ipod/rb-ipod-db.c: (rb_ipod_db_queue_set_thumbnail):
	Reference the right object (pixbuf, not track)

2007-06-18  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	* lib/rb-file-helpers.c: (rb_uri_make_hidden):
	* lib/rb-file-helpers.h:
	Add a function to prepend a '.' to the file name component of a URI.

	* metadata/rb-metadata-gst.c: (rb_metadata_save):
	Use it to hide the temporary files used while updating metadata.
	Fixes #382376.

2007-06-18  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	* shell/rb-shell-preferences.c: (rb_shell_preferences_new):
	Replace the source-must-have-a-name assertion with a warning, and just
	skip any sources that don't have names.  Fixes #409540.

2007-06-18  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	* data/glade/uri-new.glade:
	Set a width-request on the URI dialog.  Fixes #445151.

2007-06-18  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	* plugins/magnatune/magnatune/MagnatuneSource.py:
	* plugins/magnatune/magnatune/TrackListHandler.py:
	Store per-album info (cover art, artist info, purchase URLs) in
	per-album dicts, rather than per-track, and use the SKU to find the
	album info for a given track.  Reduces memory usage by about 10MB
	(or about 50%).  From #424423.

2007-06-17  James Livingston  <doclivingston@gmail.com>

	* plugins/lyrics/lyrics/LyricsConfigureDialog.py:
	* plugins/lyrics/lyrics/__init__.py: don't do crazy things when the
	gconf key for folders isn't set

2007-06-17  James Livingston  <doclivingston@gmail.com>

	* plugins/daap/rb-daap-src.c: define MSG_NOSIGNAL as 0 to be a no-op
	flag, if it isn't defined already. This hack is needed for platform
	which don't have it, such as Solaris. Fixes #447951

2007-06-17  James Livingston  <doclivingston@gmail.com>

	* plugins/ipod/rb-ipod-db.c: (rb_ipod_db_set_thumbnail_internal): fix
	C89 compatibility, add g_return_if_fail for some parameter checking

2007-06-17  James Livingston  <doclivingston@gmail.com>

	* plugins/audioscrobbler/rb-lastfm-source.c:
	(rb_lastfm_source_love_track), (rb_lastfm_source_skip_track),
	(rb_lastfm_source_ban_track), (rb_lastfm_source_new_song_cb): disable
	the last.fm buttons while we are in the middle of changing tracks.
	Fixes #416202

2007-06-17  James Livingston  <doclivingston@gmail.com>

	* rhythmdb/rhythmdb.c: (rhythmdb_entry_register_type): require entry
	types to have a name. Should catch any occurrances of 388783 if they
	happend again

	* plugins/audiocd/rb-audiocd-source.c: (rb_audiocd_source_new):
	* plugins/daap/rb-daap-source.c: (rb_daap_source_new):
	* plugins/generic-player/rb-nokia770-source.c:
	(rb_nokia770_source_new):
	* plugins/generic-player/rb-psp-source.c: (rb_psp_source_new): give
	these entry types a name

2007-06-17  James Livingston  <doclivingston@gmail.com>

	* plugins/lyrics/lyrics/Makefile.am:
	* plugins/sample-vala/Makefile.am: fix some distcheck stuff

2007-06-17  James Livingston  <doclivingston@gmail.com>

	* configure.ac:  remove data/art/Makefile.in from the output
	* plugins/daap/rb-daap-source.c: (rb_daap_source_disconnect): fix a
	braino
	* po/POTFILES.in update for MTP and lyric plugins

2007-06-17  James Livingston  <doclivingston@gmail.com>

	* plugins/daap/rb-daap-source.c: (rb_daap_source_disconnect): don't
	attempt to disconnect if we aready are. Fixes #330201

2007-06-17  James Livingston  <doclivingston@gmail.com>

	patch by: Riley Patterson  <rileypatterson@gmail.com>

	* plugins/mtpdevice/rb-mtp-source.c: (transfer_track): use the
	basename of the file, not the full path. Fixes #446813

2007-06-17  James Livingston  <doclivingston@gmail.com>

	patch by: Jaap A. Haitsma <jaap@haitsma.org>

	* data/Makefile.am:
	* shell/main.c: (main):
	* shell/rb-shell.c: (rb_shell_cmd_about): use out new icon in the
	about dialog, set the application name, update copyright year, and add
	website label. Fixes #448195

2007-06-16  James Livingston  <doclivingston@gmail.com>

	patch mostly by: Sirio Bolaños Puchet <vorstar@mac.com>

	* configure.ac:
	* data/rhythmbox.schemas:
	* plugins/lyrics/Makefile.am:
	* plugins/lyrics/lyrics-prefs.glade:
	* plugins/lyrics/lyrics.py:
	* plugins/lyrics/lyrics.rb-plugin.desktop.in:
	* plugins/lyrics/lyrics/AstrawebParser.py:
	* plugins/lyrics/lyrics/LeoslyricsParser.py:
	* plugins/lyrics/lyrics/LyrcParser.py:
	* plugins/lyrics/lyrics/LyricsConfigureDialog.py:
	* plugins/lyrics/lyrics/LyricsParse.py:
	* plugins/lyrics/lyrics/Makefile.am:
	* plugins/lyrics/lyrics/__init__.py: Add support for multiple lyric
	searching backends (including lyrc.co.ar and astraweb.com), and
	generally improve things. use rb.Loader() to retrieve data instead of
	urllib.

2007-06-13  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	* podcast/rb-podcast-manager.c: (rb_podcast_manager_next_file):
	Search for the start of the query string from the start of the URL,
	not the end, since the query string sometimes contains question
	marks.  Fixes #446796.

2007-06-12  James Livingston  <doclivingston@gmail.com>

	* backends/gstreamer/rb-player-gst-xfade.c:
	(rb_player_gst_xfade_finalize): free the waiting filter elements as
	well as the tee ones.
	
	(pipeline_op),
	(rb_player_gst_xfade_add_tee), (rb_player_gst_xfade_remove_tee),
	(rb_player_gst_xfade_add_filter),
	(rb_player_gst_xfade_remove_filter): merge tee_op and filter_op
	together into pipeline_op, as they are identical apart from the
	previous element in the pipeline

2007-06-11  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	* plugins/visualizer/rb-visualizer-plugin.c: (fixate_vis_caps):
	Use the visualization element's template caps, rather than what's
	already set, as the basis for fixating new caps.  Makes quality
	changes work with the crossfading backend.

2007-06-11  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	* rhythmdb/rhythmdb.c: (rhythmdb_entry_category_get_type):
	* rhythmdb/rhythmdb.h:
	Fix declaration of RhythmDBEntryCategory stuff so it actually
	compiles.

2007-06-10  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	* bindings/python/rhythmdb.defs:
	* bindings/python/rhythmdb.override:
	* rhythmdb/rhythmdb.c: (rhythmdb_entry_category_type_get_type):
	* rhythmdb/rhythmdb.h:
	Convert RhythmDBEntryCategory into a proper enum and add python
	bindings for it.

2007-06-10  Christophe Fergeau  <teuf@gnome.org>

	* plugins/ipod/rb-ipod-source.c: update rating, last played time and
	play count on the iPod, fixes bug #374076

2007-06-10  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	patch by: Jaap A. Haitsma  <jaap@haitsma.org>

	* data/glade/playback-prefs.glade:
	Improve playback preferences usability a bit:
	- show the unit for crossfade time
	- change resolution of crossfade time slider to 0.1
	- make the sliders keyboard controllable.
	From #445868.

2007-06-10  James Livingston  <doclivingston@gmail.com>

	patch by: Peter Grundström  <pete@openfestis.org>

	* configure.ac:
	* plugins/Makefile.am:
	* plugins/mtpdevice/Makefile.am:
	* plugins/mtpdevice/mtp-ui.xml:
	* plugins/mtpdevice/mtpdevice.rb-plugin.desktop.in:
	* plugins/mtpdevice/rb-mtp-plugin.c:
	* plugins/mtpdevice/rb-mtp-source.c:
	* plugins/mtpdevice/rb-mtp-source.h: add support for MTP media
	players. From #345006

2007-06-09  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	* plugins/jamendo/jamendo/JamendoSaxHandler.py:
	Ignore the contents of the 'lyrics' and 'description' tags,
	which we don't use anyway.  Reduces peak memory usage by ~20MB.
	From #424423.

2007-06-09  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	Patch mostly by:  Michael Monreal.

	* plugins/iradio/rb-iradio-source.c:
	* sources/rb-podcast-source.c:
	Add ellipses for the new iradio station and new podcast actions,
	since they bring up dialogs.  Fixes #445149.

	* shell/rb-shell-clipboard.c:
	And remove the one in the 'new playlist' action, since it doesn't.

2007-06-09  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	* backends/gstreamer/rb-player-gst-xfade.c: (start_stream_fade):
	Add a control pointer at timestamp 0 with the start volume, since
	GstController adds one there with the default volume now.  Makes
	fading in work with gstreamer core 0.10.13.1+.

2007-06-07  Christophe Fergeau  <teuf@gnome.org>

	* plugins/ipod/Makefile.am:
	* plugins/ipod/rb-ipod-db.c:
	* plugins/ipod/rb-ipod-db.h:
	* plugins/ipod/rb-ipod-source.c: reworked ipod db handling to be able
	to write it from a different thread, this makes the UI much more
	responsive during iPod database saving, fixes bug #436319

2007-06-07  James Livingston  <doclivingston@gmail.com>

	patch by: Adam Zimmerman  <adam_zimmerman@sfu.ca>

	* plugins/magnatune/magnatune-purchase.glade:
	* plugins/magnatune/magnatune/MagnatuneSource.py: allow the use of
	MagnaTune gift cards. closes #436764

2007-06-07  James Livingston  <doclivingston@gmail.com>

	* bindings/python/override_common.c: (_helper_wrap_boxed_glist): make
	this function actually work.

	* bindings/python/rb.override: fix the binding of
	rb.EntryView.get_selected_entries() to wrap the list correctly

	* bindings/python/rhythmdb.override: add more informative error
	messages when you pass the wrong parameter type

2007-06-06  James Livingston  <doclivingston@gmail.com>

	patch by: Bastien Nocera  <hadess@hadess.net>

	* plugins/jamendo/jamendo-loading.glade:
	* plugins/jamendo/jamendo/JamendoSource.py:
	* plugins/magnatune/magnatune-loading.glade:
	* plugins/magnatune/magnatune/MagnatuneSource.py: don't do crazy
	things to the loading screen when the window is small. Fixes #419474

2007-06-06  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	* plugins/audioscrobbler/rb-lastfm-source.c:
	(rb_lastfm_message_cb):
	Don't limit the number of response lines we process here.
	The number of lines in the response recently changed from 6 to 7.

2007-06-04  Luca Ferretti  <elle.uca@libero.it>

	* data/icons/hicolor/22x22/actions/Makefile.am:
	Fix the build (by by svg, welcome xcf)

2007-06-04  Luca Ferretti  <elle.uca@libero.it>

	* plugins/audioscrobbler/Makefile.am:
	* plugins/audioscrobbler/as-icon.png:
	* plugins/audioscrobbler/rb-audioscrobbler-plugin.c:
	(impl_activate):
	New audioscrobbles logo in Tango style.

	* plugins/magnatune/magnatune_circle_small.png:
	New Magnatune logo in Tango style.

	* plugins/jamendo/jamendo_logo_small.png:
	New Jamendo logo in Tango style.

	All icons from Alex "weej" Jones and Michael Monreal.
	Not (yet?) themeable.

2007-06-04  Luca Ferretti  <elle.uca@libero.it>

	* data/icons/hicolor/22x22/actions/internet-radio-new.svg: removed
	* data/icons/hicolor/22x22/actions/internet-radio-new.xcf: added
	* data/icons/hicolor/22x22/actions/internet-radio-new.png:
	
	22x22 icon with diferent star emblem, matching other icons
	in gnome-icon-theme. By Michael Monreal.

2007-06-04  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	* plugins/artdisplay/artdisplay/AmazonCoverArtSearch.py:
	* plugins/artdisplay/artdisplay/CoverArtDatabase.py:
	Filter out empty cover art URLs.  Fixes #442032.

